/*!
  * Bootstrap v4.3.1 (https://getbootstrap.com/)
  * Copyright 2011-2019 The Bootstrap Authors (https://github.com/twbs/bootstrap/graphs/contributors)
  * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
  */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?e(exports,require("jquery")):"function"==typeof define&&define.amd?define(["exports","jquery"],e):e(t.bootstrap={},t.jQuery)}(this,function(t,e){"use strict";e=e&&e.hasOwnProperty("default")?e.default:e;
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): util.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Private TransitionEnd Helpers
 * ------------------------------------------------------------------------
 */
var n="transitionend";function i(t){var n=this,i=!1;return e(this).one(o.TRANSITION_END,function(){i=!0}),setTimeout(function(){i||o.triggerTransitionEnd(n)},t),this}
/**
 * --------------------------------------------------------------------------
 * Public Util Api
 * --------------------------------------------------------------------------
 */
var o={TRANSITION_END:"bsTransitionEnd",getUID:function(t){do{
// eslint-disable-next-line no-bitwise
t+=~~(1e6*Math.random());// "~~" acts like a faster Math.floor() here
}while(document.getElementById(t));return t},getSelectorFromElement:function(t){var e=t.getAttribute("data-target");if(!e||"#"===e){var n=t.getAttribute("href");e=n&&"#"!==n?n.trim():""}try{return document.querySelector(e)?e:null}catch(t){return null}},getTransitionDurationFromElement:function(t){if(!t)return 0;
// Get transition-duration of the element
var n=e(t).css("transition-duration"),i=e(t).css("transition-delay"),o=parseFloat(n),r=parseFloat(i);
// Return 0 if element or transition duration is not found
return o||r?(
// If multiple durations are defined, take the first
n=n.split(",")[0],i=i.split(",")[0],1e3*(parseFloat(n)+parseFloat(i))):0},reflow:function(t){return t.offsetHeight},triggerTransitionEnd:function(t){e(t).trigger(n)},
// TODO: Remove in v5
supportsTransitionEnd:function(){return Boolean(n)},isElement:function(t){return(t[0]||t).nodeType},typeCheckConfig:function(t,e,n){for(var i in n)if(Object.prototype.hasOwnProperty.call(n,i)){var r=n[i],s=e[i],a=s&&o.isElement(s)?"element":(l=s,{}.toString.call(l).match(/\s([a-z]+)/i)[1].toLowerCase());if(!new RegExp(r).test(a))throw new Error(t.toUpperCase()+': Option "'+i+'" provided type "'+a+'" but expected type "'+r+'".')}
// Shoutout AngusCroll (https://goo.gl/pxwQGp)
var l},findShadowRoot:function(t){if(!document.documentElement.attachShadow)return null;
// Can find the shadow root otherwise it'll return the document
if("function"==typeof t.getRootNode){var e=t.getRootNode();return e instanceof ShadowRoot?e:null}return t instanceof ShadowRoot?t:
// when we don't find a shadow root
t.parentNode?o.findShadowRoot(t.parentNode):null}};e.fn.emulateTransitionEnd=i,e.event.special[o.TRANSITION_END]={bindType:n,delegateType:n,handle:function(t){if(e(t.target).is(this))return t.handleObj.handler.apply(this,arguments);// eslint-disable-line prefer-rest-params
}};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): alert.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var r=e.fn.alert,s={CLOSE:"close.bs.alert",CLOSED:"closed.bs.alert",CLICK_DATA_API:"click.bs.alert.data-api"},a="alert",l="fade",c="show",h=function(t){this._element=t},u={VERSION:{configurable:!0}};
// Getters
u.VERSION.get=function(){return"4.3.1"},
// Public
h.prototype.close=function(t){var e=this._element;t&&(e=this._getRootElement(t)),this._triggerCloseEvent(e).isDefaultPrevented()||this._removeElement(e)},h.prototype.dispose=function(){e.removeData(this._element,"bs.alert"),this._element=null},
// Private
h.prototype._getRootElement=function(t){var n=o.getSelectorFromElement(t),i=!1;return n&&(i=document.querySelector(n)),i||(i=e(t).closest("."+a)[0]),i},h.prototype._triggerCloseEvent=function(t){var n=e.Event(s.CLOSE);return e(t).trigger(n),n},h.prototype._removeElement=function(t){var n=this;if(e(t).removeClass(c),e(t).hasClass(l)){var i=o.getTransitionDurationFromElement(t);e(t).one(o.TRANSITION_END,function(e){return n._destroyElement(t,e)}).emulateTransitionEnd(i)}else this._destroyElement(t)},h.prototype._destroyElement=function(t){e(t).detach().trigger(s.CLOSED).remove()},
// Static
h._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.alert");i||(i=new h(this),n.data("bs.alert",i)),"close"===t&&i[t](this)})},h._handleDismiss=function(t){return function(e){e&&e.preventDefault(),t.close(this)}},Object.defineProperties(h,u),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(s.CLICK_DATA_API,'[data-dismiss="alert"]',h._handleDismiss(new h)),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.alert=h._jQueryInterface,e.fn.alert.Constructor=h,e.fn.alert.noConflict=function(){return e.fn.alert=r,h._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): button.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var f=e.fn.button,d="active",p="btn",g="focus",m='[data-toggle^="button"]',_='[data-toggle="buttons"]',v='input:not([type="hidden"])',b=".active",y=".btn",E={CLICK_DATA_API:"click.bs.button.data-api",FOCUS_BLUR_DATA_API:"focus.bs.button.data-api blur.bs.button.data-api"},w=function(t){this._element=t},C={VERSION:{configurable:!0}};
// Getters
C.VERSION.get=function(){return"4.3.1"},
// Public
w.prototype.toggle=function(){var t=!0,n=!0,i=e(this._element).closest(_)[0];if(i){var o=this._element.querySelector(v);if(o){if("radio"===o.type)if(o.checked&&this._element.classList.contains(d))t=!1;else{var r=i.querySelector(b);r&&e(r).removeClass(d)}if(t){if(o.hasAttribute("disabled")||i.hasAttribute("disabled")||o.classList.contains("disabled")||i.classList.contains("disabled"))return;o.checked=!this._element.classList.contains(d),e(o).trigger("change")}o.focus(),n=!1}}n&&this._element.setAttribute("aria-pressed",!this._element.classList.contains(d)),t&&e(this._element).toggleClass(d)},w.prototype.dispose=function(){e.removeData(this._element,"bs.button"),this._element=null},
// Static
w._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.button");n||(n=new w(this),e(this).data("bs.button",n)),"toggle"===t&&n[t]()})},Object.defineProperties(w,C),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(E.CLICK_DATA_API,m,function(t){t.preventDefault();var n=t.target;e(n).hasClass(p)||(n=e(n).closest(y)),w._jQueryInterface.call(e(n),"toggle")}).on(E.FOCUS_BLUR_DATA_API,m,function(t){var n=e(t.target).closest(y)[0];e(n).toggleClass(g,/^focus(in)?$/.test(t.type))}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.button=w._jQueryInterface,e.fn.button.Constructor=w,e.fn.button.noConflict=function(){return e.fn.button=f,w._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): carousel.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var T="carousel",S=".bs.carousel",D=e.fn[T],I={interval:5e3,keyboard:!0,slide:!1,pause:"hover",wrap:!0,touch:!0},O={interval:"(number|boolean)",keyboard:"boolean",slide:"(boolean|string)",pause:"(string|boolean)",wrap:"boolean",touch:"boolean"},A="next",N="prev",L="left",j="right",P={SLIDE:"slide.bs.carousel",SLID:"slid.bs.carousel",KEYDOWN:"keydown.bs.carousel",MOUSEENTER:"mouseenter.bs.carousel",MOUSELEAVE:"mouseleave.bs.carousel",TOUCHSTART:"touchstart.bs.carousel",TOUCHMOVE:"touchmove.bs.carousel",TOUCHEND:"touchend.bs.carousel",POINTERDOWN:"pointerdown.bs.carousel",POINTERUP:"pointerup.bs.carousel",DRAG_START:"dragstart.bs.carousel",LOAD_DATA_API:"load.bs.carousel.data-api",CLICK_DATA_API:"click.bs.carousel.data-api"},x="carousel",k="active",H="slide",R="carousel-item-right",F="carousel-item-left",M="carousel-item-next",W="carousel-item-prev",U="pointer-event",K=".active",B=".active.carousel-item",q=".carousel-item",Q=".carousel-item img",V=".carousel-item-next, .carousel-item-prev",Y=".carousel-indicators",z="[data-slide], [data-slide-to]",X='[data-ride="carousel"]',G={TOUCH:"touch",PEN:"pen"},$=function(t,e){this._items=null,this._interval=null,this._activeElement=null,this._isPaused=!1,this._isSliding=!1,this.touchTimeout=null,this.touchStartX=0,this.touchDeltaX=0,this._config=this._getConfig(e),this._element=t,this._indicatorsElement=this._element.querySelector(Y),this._touchSupported="ontouchstart"in document.documentElement||navigator.maxTouchPoints>0,this._pointerEvent=Boolean(window.PointerEvent||window.MSPointerEvent),this._addEventListeners()},J={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
J.VERSION.get=function(){return"4.3.1"},J.Default.get=function(){return I},
// Public
$.prototype.next=function(){this._isSliding||this._slide(A)},$.prototype.nextWhenVisible=function(){
// Don't call next when the page isn't visible
// or the carousel or its parent isn't visible
!document.hidden&&e(this._element).is(":visible")&&"hidden"!==e(this._element).css("visibility")&&this.next()},$.prototype.prev=function(){this._isSliding||this._slide(N)},$.prototype.pause=function(t){t||(this._isPaused=!0),this._element.querySelector(V)&&(o.triggerTransitionEnd(this._element),this.cycle(!0)),clearInterval(this._interval),this._interval=null},$.prototype.cycle=function(t){t||(this._isPaused=!1),this._interval&&(clearInterval(this._interval),this._interval=null),this._config.interval&&!this._isPaused&&(this._interval=setInterval((document.visibilityState?this.nextWhenVisible:this.next).bind(this),this._config.interval))},$.prototype.to=function(t){var n=this;this._activeElement=this._element.querySelector(B);var i=this._getItemIndex(this._activeElement);if(!(t>this._items.length-1||t<0))if(this._isSliding)e(this._element).one(P.SLID,function(){return n.to(t)});else{if(i===t)return this.pause(),void this.cycle();var o=t>i?A:N;this._slide(o,this._items[t])}},$.prototype.dispose=function(){e(this._element).off(S),e.removeData(this._element,"bs.carousel"),this._items=null,this._config=null,this._element=null,this._interval=null,this._isPaused=null,this._isSliding=null,this._activeElement=null,this._indicatorsElement=null},
// Private
$.prototype._getConfig=function(t){return t=Object.assign({},I,t),o.typeCheckConfig(T,t,O),t},$.prototype._handleSwipe=function(){var t=Math.abs(this.touchDeltaX);if(!(t<=40)){var e=t/this.touchDeltaX;
// swipe left
e>0&&this.prev(),
// swipe right
e<0&&this.next()}},$.prototype._addEventListeners=function(){var t=this;this._config.keyboard&&e(this._element).on(P.KEYDOWN,function(e){return t._keydown(e)}),"hover"===this._config.pause&&e(this._element).on(P.MOUSEENTER,function(e){return t.pause(e)}).on(P.MOUSELEAVE,function(e){return t.cycle(e)}),this._config.touch&&this._addTouchEventListeners()},$.prototype._addTouchEventListeners=function(){var t=this;if(this._touchSupported){var n=function(e){t._pointerEvent&&G[e.originalEvent.pointerType.toUpperCase()]?t.touchStartX=e.originalEvent.clientX:t._pointerEvent||(t.touchStartX=e.originalEvent.touches[0].clientX)},i=function(e){t._pointerEvent&&G[e.originalEvent.pointerType.toUpperCase()]&&(t.touchDeltaX=e.originalEvent.clientX-t.touchStartX),t._handleSwipe(),"hover"===t._config.pause&&(
// If it's a touch-enabled device, mouseenter/leave are fired as
// part of the mouse compatibility events on first tap - the carousel
// would stop cycling until user tapped out of it;
// here, we listen for touchend, explicitly pause the carousel
// (as if it's the second time we tap on it, mouseenter compat event
// is NOT fired) and after a timeout (to allow for mouse compatibility
// events to fire) we explicitly restart cycling
t.pause(),t.touchTimeout&&clearTimeout(t.touchTimeout),t.touchTimeout=setTimeout(function(e){return t.cycle(e)},500+t._config.interval))};e(this._element.querySelectorAll(Q)).on(P.DRAG_START,function(t){return t.preventDefault()}),this._pointerEvent?(e(this._element).on(P.POINTERDOWN,function(t){return n(t)}),e(this._element).on(P.POINTERUP,function(t){return i(t)}),this._element.classList.add(U)):(e(this._element).on(P.TOUCHSTART,function(t){return n(t)}),e(this._element).on(P.TOUCHMOVE,function(e){return function(e){
// ensure swiping with one touch and not pinching
e.originalEvent.touches&&e.originalEvent.touches.length>1?t.touchDeltaX=0:t.touchDeltaX=e.originalEvent.touches[0].clientX-t.touchStartX}(e)}),e(this._element).on(P.TOUCHEND,function(t){return i(t)}))}},$.prototype._keydown=function(t){if(!/input|textarea/i.test(t.target.tagName))switch(t.which){case 37:t.preventDefault(),this.prev();break;case 39:t.preventDefault(),this.next()}},$.prototype._getItemIndex=function(t){return this._items=t&&t.parentNode?[].slice.call(t.parentNode.querySelectorAll(q)):[],this._items.indexOf(t)},$.prototype._getItemByDirection=function(t,e){var n=t===A,i=t===N,o=this._getItemIndex(e),r=this._items.length-1;if((i&&0===o||n&&o===r)&&!this._config.wrap)return e;var s=(o+(t===N?-1:1))%this._items.length;return-1===s?this._items[this._items.length-1]:this._items[s]},$.prototype._triggerSlideEvent=function(t,n){var i=this._getItemIndex(t),o=this._getItemIndex(this._element.querySelector(B)),r=e.Event(P.SLIDE,{relatedTarget:t,direction:n,from:o,to:i});return e(this._element).trigger(r),r},$.prototype._setActiveIndicatorElement=function(t){if(this._indicatorsElement){var n=[].slice.call(this._indicatorsElement.querySelectorAll(K));e(n).removeClass(k);var i=this._indicatorsElement.children[this._getItemIndex(t)];i&&e(i).addClass(k)}},$.prototype._slide=function(t,n){var i,r,s,a=this,l=this._element.querySelector(B),c=this._getItemIndex(l),h=n||l&&this._getItemByDirection(t,l),u=this._getItemIndex(h),f=Boolean(this._interval);if(t===A?(i=F,r=M,s=L):(i=R,r=W,s=j),h&&e(h).hasClass(k))this._isSliding=!1;else if(!this._triggerSlideEvent(h,s).isDefaultPrevented()&&l&&h){this._isSliding=!0,f&&this.pause(),this._setActiveIndicatorElement(h);var d=e.Event(P.SLID,{relatedTarget:h,direction:s,from:c,to:u});if(e(this._element).hasClass(H)){e(h).addClass(r),o.reflow(h),e(l).addClass(i),e(h).addClass(i);var p=parseInt(h.getAttribute("data-interval"),10);p?(this._config.defaultInterval=this._config.defaultInterval||this._config.interval,this._config.interval=p):this._config.interval=this._config.defaultInterval||this._config.interval;var g=o.getTransitionDurationFromElement(l);e(l).one(o.TRANSITION_END,function(){e(h).removeClass(i+" "+r).addClass(k),e(l).removeClass(k+" "+r+" "+i),a._isSliding=!1,setTimeout(function(){return e(a._element).trigger(d)},0)}).emulateTransitionEnd(g)}else e(l).removeClass(k),e(h).addClass(k),this._isSliding=!1,e(this._element).trigger(d);f&&this.cycle()}},
// Static
$._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.carousel"),i=Object.assign({},I,e(this).data());"object"==typeof t&&(i=Object.assign({},i,t));var o="string"==typeof t?t:i.slide;if(n||(n=new $(this,i),e(this).data("bs.carousel",n)),"number"==typeof t)n.to(t);else if("string"==typeof o){if(void 0===n[o])throw new TypeError('No method named "'+o+'"');n[o]()}else i.interval&&i.ride&&(n.pause(),n.cycle())})},$._dataApiClickHandler=function(t){var n=o.getSelectorFromElement(this);if(n){var i=e(n)[0];if(i&&e(i).hasClass(x)){var r=Object.assign({},e(i).data(),e(this).data()),s=this.getAttribute("data-slide-to");s&&(r.interval=!1),$._jQueryInterface.call(e(i),r),s&&e(i).data("bs.carousel").to(s),t.preventDefault()}}},Object.defineProperties($,J),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(P.CLICK_DATA_API,z,$._dataApiClickHandler),e(window).on(P.LOAD_DATA_API,function(){for(var t=[].slice.call(document.querySelectorAll(X)),n=0,i=t.length;n<i;n++){var o=e(t[n]);$._jQueryInterface.call(o,o.data())}}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn[T]=$._jQueryInterface,e.fn[T].Constructor=$,e.fn[T].noConflict=function(){return e.fn[T]=D,$._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): collapse.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var Z="collapse",tt=e.fn[Z],et={toggle:!0,parent:""},nt={toggle:"boolean",parent:"(string|element)"},it={SHOW:"show.bs.collapse",SHOWN:"shown.bs.collapse",HIDE:"hide.bs.collapse",HIDDEN:"hidden.bs.collapse",CLICK_DATA_API:"click.bs.collapse.data-api"},ot="show",rt="collapse",st="collapsing",at="collapsed",lt="width",ct="height",ht=".show, .collapsing",ut='[data-toggle="collapse"]',ft=function(t,e){this._isTransitioning=!1,this._element=t,this._config=this._getConfig(e),this._triggerArray=[].slice.call(document.querySelectorAll('[data-toggle="collapse"][href="#'+t.id+'"],[data-toggle="collapse"][data-target="#'+t.id+'"]'));for(var n=[].slice.call(document.querySelectorAll(ut)),i=0,r=n.length;i<r;i++){var s=n[i],a=o.getSelectorFromElement(s),l=[].slice.call(document.querySelectorAll(a)).filter(function(e){return e===t});null!==a&&l.length>0&&(this._selector=a,this._triggerArray.push(s))}this._parent=this._config.parent?this._getParent():null,this._config.parent||this._addAriaAndCollapsedClass(this._element,this._triggerArray),this._config.toggle&&this.toggle()},dt={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
dt.VERSION.get=function(){return"4.3.1"},dt.Default.get=function(){return et},
// Public
ft.prototype.toggle=function(){e(this._element).hasClass(ot)?this.hide():this.show()},ft.prototype.show=function(){var t,n,i=this;if(!this._isTransitioning&&!e(this._element).hasClass(ot)&&(this._parent&&0===(t=[].slice.call(this._parent.querySelectorAll(ht)).filter(function(t){return"string"==typeof i._config.parent?t.getAttribute("data-parent")===i._config.parent:t.classList.contains(rt)})).length&&(t=null),!(t&&(n=e(t).not(this._selector).data("bs.collapse"))&&n._isTransitioning))){var r=e.Event(it.SHOW);if(e(this._element).trigger(r),!r.isDefaultPrevented()){t&&(ft._jQueryInterface.call(e(t).not(this._selector),"hide"),n||e(t).data("bs.collapse",null));var s=this._getDimension();e(this._element).removeClass(rt).addClass(st),this._element.style[s]=0,this._triggerArray.length&&e(this._triggerArray).removeClass(at).attr("aria-expanded",!0),this.setTransitioning(!0);var a="scroll"+(s[0].toUpperCase()+s.slice(1)),l=o.getTransitionDurationFromElement(this._element);e(this._element).one(o.TRANSITION_END,function(){e(i._element).removeClass(st).addClass(rt).addClass(ot),i._element.style[s]="",i.setTransitioning(!1),e(i._element).trigger(it.SHOWN)}).emulateTransitionEnd(l),this._element.style[s]=this._element[a]+"px"}}},ft.prototype.hide=function(){var t=this;if(!this._isTransitioning&&e(this._element).hasClass(ot)){var n=e.Event(it.HIDE);if(e(this._element).trigger(n),!n.isDefaultPrevented()){var i=this._getDimension();this._element.style[i]=this._element.getBoundingClientRect()[i]+"px",o.reflow(this._element),e(this._element).addClass(st).removeClass(rt).removeClass(ot);var r=this._triggerArray.length;if(r>0)for(var s=0;s<r;s++){var a=t._triggerArray[s],l=o.getSelectorFromElement(a);if(null!==l)e([].slice.call(document.querySelectorAll(l))).hasClass(ot)||e(a).addClass(at).attr("aria-expanded",!1)}this.setTransitioning(!0);this._element.style[i]="";var c=o.getTransitionDurationFromElement(this._element);e(this._element).one(o.TRANSITION_END,function(){t.setTransitioning(!1),e(t._element).removeClass(st).addClass(rt).trigger(it.HIDDEN)}).emulateTransitionEnd(c)}}},ft.prototype.setTransitioning=function(t){this._isTransitioning=t},ft.prototype.dispose=function(){e.removeData(this._element,"bs.collapse"),this._config=null,this._parent=null,this._element=null,this._triggerArray=null,this._isTransitioning=null},
// Private
ft.prototype._getConfig=function(t){return(t=Object.assign({},et,t)).toggle=Boolean(t.toggle),// Coerce string values
o.typeCheckConfig(Z,t,nt),t},ft.prototype._getDimension=function(){return e(this._element).hasClass(lt)?lt:ct},ft.prototype._getParent=function(){var t,n=this;o.isElement(this._config.parent)?(t=this._config.parent,
// It's a jQuery object
void 0!==this._config.parent.jquery&&(t=this._config.parent[0])):t=document.querySelector(this._config.parent);var i='[data-toggle="collapse"][data-parent="'+this._config.parent+'"]',r=[].slice.call(t.querySelectorAll(i));return e(r).each(function(t,e){n._addAriaAndCollapsedClass(ft._getTargetFromElement(e),[e])}),t},ft.prototype._addAriaAndCollapsedClass=function(t,n){var i=e(t).hasClass(ot);n.length&&e(n).toggleClass(at,!i).attr("aria-expanded",i)},
// Static
ft._getTargetFromElement=function(t){var e=o.getSelectorFromElement(t);return e?document.querySelector(e):null},ft._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.collapse"),o=Object.assign({},et,n.data(),"object"==typeof t&&t?t:{});if(!i&&o.toggle&&/show|hide/.test(t)&&(o.toggle=!1),i||(i=new ft(this,o),n.data("bs.collapse",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t]()}})},Object.defineProperties(ft,dt),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(it.CLICK_DATA_API,ut,function(t){
// preventDefault only for <a> elements (which change the URL) not inside the collapsible element
"A"===t.currentTarget.tagName&&t.preventDefault();var n=e(this),i=o.getSelectorFromElement(this),r=[].slice.call(document.querySelectorAll(i));e(r).each(function(){var t=e(this),i=t.data("bs.collapse")?"toggle":n.data();ft._jQueryInterface.call(t,i)})}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn[Z]=ft._jQueryInterface,e.fn[Z].Constructor=ft,e.fn[Z].noConflict=function(){return e.fn[Z]=tt,ft._jQueryInterface};for(var pt="undefined"!=typeof window&&"undefined"!=typeof document,gt=["Edge","Trident","Firefox"],mt=0,_t=0;_t<gt.length;_t+=1)if(pt&&navigator.userAgent.indexOf(gt[_t])>=0){mt=1;break}var vt=pt&&window.Promise?function(t){var e=!1;return function(){e||(e=!0,window.Promise.resolve().then(function(){e=!1,t()}))}}:function(t){var e=!1;return function(){e||(e=!0,setTimeout(function(){e=!1,t()},mt))}};
/**
* Create a debounced version of a method, that's asynchronously deferred
* but called in the minimum time possible.
*
* @method
* @memberof Popper.Utils
* @argument {Function} fn
* @returns {Function}
*/
/**
 * Check if the given variable is a function
 * @method
 * @memberof Popper.Utils
 * @argument {Any} functionToCheck - variable to check
 * @returns {Boolean} answer to: is a function?
 */
function bt(t){return t&&"[object Function]"==={}.toString.call(t)}
/**
 * Get CSS computed property of the given element
 * @method
 * @memberof Popper.Utils
 * @argument {Eement} element
 * @argument {String} property
 */function yt(t,e){if(1!==t.nodeType)return[];
// NOTE: 1 DOM access here
var n=t.ownerDocument.defaultView.getComputedStyle(t,null);return e?n[e]:n}
/**
 * Returns the parentNode or the host of the element
 * @method
 * @memberof Popper.Utils
 * @argument {Element} element
 * @returns {Element} parent
 */function Et(t){return"HTML"===t.nodeName?t:t.parentNode||t.host}
/**
 * Returns the scrolling parent of the given element
 * @method
 * @memberof Popper.Utils
 * @argument {Element} element
 * @returns {Element} scroll parent
 */function wt(t){
// Return body, `getScroll` will take care to get the correct `scrollTop` from it
if(!t)return document.body;switch(t.nodeName){case"HTML":case"BODY":return t.ownerDocument.body;case"#document":return t.body}
// Firefox want us to check `-x` and `-y` variations as well
var e=yt(t),n=e.overflow,i=e.overflowX,o=e.overflowY;return/(auto|scroll|overlay)/.test(n+o+i)?t:wt(Et(t))}var Ct=pt&&!(!window.MSInputMethodContext||!document.documentMode),Tt=pt&&/MSIE 10/.test(navigator.userAgent);
/**
 * Determines if the browser is Internet Explorer
 * @method
 * @memberof Popper.Utils
 * @param {Number} version to check
 * @returns {Boolean} isIE
 */
function St(t){return 11===t?Ct:10===t?Tt:Ct||Tt}
/**
 * Returns the offset parent of the given element
 * @method
 * @memberof Popper.Utils
 * @argument {Element} element
 * @returns {Element} offset parent
 */function Dt(t){if(!t)return document.documentElement;
// Skip hidden elements which don't have an offsetParent
for(var e=St(10)?document.body:null,n=t.offsetParent||null
// NOTE: 1 DOM access here
;n===e&&t.nextElementSibling;)n=(t=t.nextElementSibling).offsetParent;var i=n&&n.nodeName;return i&&"BODY"!==i&&"HTML"!==i?
// .offsetParent will return the closest TH, TD or TABLE in case
// no offsetParent is present, I hate this job...
-1!==["TH","TD","TABLE"].indexOf(n.nodeName)&&"static"===yt(n,"position")?Dt(n):n:t?t.ownerDocument.documentElement:document.documentElement}
/**
 * Finds the root node (document, shadowDOM root) of the given element
 * @method
 * @memberof Popper.Utils
 * @argument {Element} node
 * @returns {Element} root node
 */
function It(t){return null!==t.parentNode?It(t.parentNode):t}
/**
 * Finds the offset parent common to the two provided nodes
 * @method
 * @memberof Popper.Utils
 * @argument {Element} element1
 * @argument {Element} element2
 * @returns {Element} common offset parent
 */function Ot(t,e){
// This check is needed to avoid errors in case one of the elements isn't defined for any reason
if(!(t&&t.nodeType&&e&&e.nodeType))return document.documentElement;
// Here we make sure to give as "start" the element that comes first in the DOM
var n=t.compareDocumentPosition(e)&Node.DOCUMENT_POSITION_FOLLOWING,i=n?t:e,o=n?e:t,r=document.createRange();r.setStart(i,0),r.setEnd(o,0);var s,a,l=r.commonAncestorContainer;
// Both nodes are inside #document
if(t!==l&&e!==l||i.contains(o))return"BODY"===(a=(s=l).nodeName)||"HTML"!==a&&Dt(s.firstElementChild)!==s?Dt(l):l;
// one of the nodes is inside shadowDOM, find which one
var c=It(t);return c.host?Ot(c.host,e):Ot(t,It(e).host)}
/**
 * Gets the scroll value of the given element in the given side (top and left)
 * @method
 * @memberof Popper.Utils
 * @argument {Element} element
 * @argument {String} side `top` or `left`
 * @returns {number} amount of scrolled pixels
 */function At(t,e){void 0===e&&(e="top");var n="top"===e?"scrollTop":"scrollLeft",i=t.nodeName;if("BODY"===i||"HTML"===i){var o=t.ownerDocument.documentElement;return(t.ownerDocument.scrollingElement||o)[n]}return t[n]}
/*
 * Sum or subtract the element scroll values (left and top) from a given rect object
 * @method
 * @memberof Popper.Utils
 * @param {Object} rect - Rect object you want to change
 * @param {HTMLElement} element - The element from the function reads the scroll values
 * @param {Boolean} subtract - set to true if you want to subtract the scroll values
 * @return {Object} rect - The modifier rect object
 */
/*
 * Helper to detect borders of a given element
 * @method
 * @memberof Popper.Utils
 * @param {CSSStyleDeclaration} styles
 * Result of `getStyleComputedProperty` on the given element
 * @param {String} axis - `x` or `y`
 * @return {number} borders - The borders size of the given axis
 */
function Nt(t,e){var n="x"===e?"Left":"Top",i="Left"===n?"Right":"Bottom";return parseFloat(t["border"+n+"Width"],10)+parseFloat(t["border"+i+"Width"],10)}function Lt(t,e,n,i){return Math.max(e["offset"+t],e["scroll"+t],n["client"+t],n["offset"+t],n["scroll"+t],St(10)?parseInt(n["offset"+t])+parseInt(i["margin"+("Height"===t?"Top":"Left")])+parseInt(i["margin"+("Height"===t?"Bottom":"Right")]):0)}function jt(t){var e=t.body,n=t.documentElement,i=St(10)&&getComputedStyle(n);return{height:Lt("Height",e,n,i),width:Lt("Width",e,n,i)}}
/**
 * Given element offsets, generate an output similar to getBoundingClientRect
 * @method
 * @memberof Popper.Utils
 * @argument {Object} offsets
 * @returns {Object} ClientRect like output
 */function Pt(t){return Object.assign({},t,{right:t.left+t.width,bottom:t.top+t.height})}
/**
 * Get bounding client rect of given element
 * @method
 * @memberof Popper.Utils
 * @param {HTMLElement} element
 * @return {Object} client rect
 */function xt(t){var e={};
// IE10 10 FIX: Please, don't ask, the element isn't
// considered in DOM in some circumstances...
// This isn't reproducible in IE10 compatibility mode of IE11
try{if(St(10)){e=t.getBoundingClientRect();var n=At(t,"top"),i=At(t,"left");e.top+=n,e.left+=i,e.bottom+=n,e.right+=i}else e=t.getBoundingClientRect()}catch(t){}var o={left:e.left,top:e.top,width:e.right-e.left,height:e.bottom-e.top},r="HTML"===t.nodeName?jt(t.ownerDocument):{},s=r.width||t.clientWidth||o.right-o.left,a=r.height||t.clientHeight||o.bottom-o.top,l=t.offsetWidth-s,c=t.offsetHeight-a;
// subtract scrollbar size from sizes
// if an hypothetical scrollbar is detected, we must be sure it's not a `border`
// we make this check conditional for performance reasons
if(l||c){var h=yt(t);l-=Nt(h,"x"),c-=Nt(h,"y"),o.width-=l,o.height-=c}return Pt(o)}function kt(t,e,n){void 0===n&&(n=!1);var i=St(10),o="HTML"===e.nodeName,r=xt(t),s=xt(e),a=wt(t),l=yt(e),c=parseFloat(l.borderTopWidth,10),h=parseFloat(l.borderLeftWidth,10);
// In cases where the parent is fixed, we must ignore negative scroll in offset calc
n&&o&&(s.top=Math.max(s.top,0),s.left=Math.max(s.left,0));var u=Pt({top:r.top-s.top-c,left:r.left-s.left-h,width:r.width,height:r.height});
// Subtract margins of documentElement in case it's being used as parent
// we do this only on HTML because it's the only element that behaves
// differently when margins are applied to it. The margins are included in
// the box of the documentElement, in the other cases not.
if(u.marginTop=0,u.marginLeft=0,!i&&o){var f=parseFloat(l.marginTop,10),d=parseFloat(l.marginLeft,10);u.top-=c-f,u.bottom-=c-f,u.left-=h-d,u.right-=h-d,
// Attach marginTop and marginLeft because in some circumstances we may need them
u.marginTop=f,u.marginLeft=d}return(i&&!n?e.contains(a):e===a&&"BODY"!==a.nodeName)&&(u=function(t,e,n){void 0===n&&(n=!1);var i=At(e,"top"),o=At(e,"left"),r=n?-1:1;return t.top+=i*r,t.bottom+=i*r,t.left+=o*r,t.right+=o*r,t}(u,e)),u}
/**
 * Finds the first parent of an element that has a transformed property defined
 * @method
 * @memberof Popper.Utils
 * @argument {Element} element
 * @returns {Element} first transformed parent or documentElement
 */
function Ht(t){
// This check is needed to avoid errors in case one of the elements isn't defined for any reason
if(!t||!t.parentElement||St())return document.documentElement;for(var e=t.parentElement;e&&"none"===yt(e,"transform");)e=e.parentElement;return e||document.documentElement}
/**
 * Computed the boundaries limits and return them
 * @method
 * @memberof Popper.Utils
 * @param {HTMLElement} popper
 * @param {HTMLElement} reference
 * @param {number} padding
 * @param {HTMLElement} boundariesElement - Element used to define the boundaries
 * @param {Boolean} fixedPosition - Is in fixed position mode
 * @returns {Object} Coordinates of the boundaries
 */function Rt(t,e,n,i,o){void 0===o&&(o=!1);
// NOTE: 1 DOM access here
var r={top:0,left:0},s=o?Ht(t):Ot(t,e);
// Handle viewport case
if("viewport"===i)r=function(t,e){void 0===e&&(e=!1);var n=t.ownerDocument.documentElement,i=kt(t,n),o=Math.max(n.clientWidth,window.innerWidth||0),r=Math.max(n.clientHeight,window.innerHeight||0),s=e?0:At(n),a=e?0:At(n,"left");return Pt({top:s-i.top+i.marginTop,left:a-i.left+i.marginLeft,width:o,height:r})}
/**
 * Check if the given element is fixed or is inside a fixed parent
 * @method
 * @memberof Popper.Utils
 * @argument {Element} element
 * @argument {Element} customContainer
 * @returns {Boolean} answer to "isFixed?"
 */(s,o);else{
// Handle other cases based on DOM element used as boundaries
var a;"scrollParent"===i?"BODY"===(a=wt(Et(e))).nodeName&&(a=t.ownerDocument.documentElement):a="window"===i?t.ownerDocument.documentElement:i;var l=kt(a,s,o);
// In case of HTML, we need a different computation
if("HTML"!==a.nodeName||function t(e){var n=e.nodeName;return"BODY"!==n&&"HTML"!==n&&("fixed"===yt(e,"position")||t(Et(e)))}(s))
// for all the other DOM elements, this one is good
r=l;else{var c=jt(t.ownerDocument),h=c.height,u=c.width;r.top+=l.top-l.marginTop,r.bottom=h+l.top,r.left+=l.left-l.marginLeft,r.right=u+l.left}}
// Add paddings
var f="number"==typeof(n=n||0);return r.left+=f?n:n.left||0,r.top+=f?n:n.top||0,r.right-=f?n:n.right||0,r.bottom-=f?n:n.bottom||0,r}
/**
 * Utility used to transform the `auto` placement to the placement with more
 * available space.
 * @method
 * @memberof Popper.Utils
 * @argument {Object} data - The data object generated by update method
 * @argument {Object} options - Modifiers configuration and options
 * @returns {Object} The data object, properly modified
 */
function Ft(t,e,n,i,o,r){if(void 0===r&&(r=0),-1===t.indexOf("auto"))return t;var s=Rt(n,i,r,o),a={top:{width:s.width,height:e.top-s.top},right:{width:s.right-e.right,height:s.height},bottom:{width:s.width,height:s.bottom-e.bottom},left:{width:e.left-s.left,height:s.height}},l=Object.keys(a).map(function(t){return Object.assign({},{key:t},a[t],{area:(e=a[t],e.width*e.height)});var e}).sort(function(t,e){return e.area-t.area}),c=l.filter(function(t){var e=t.width,i=t.height;return e>=n.clientWidth&&i>=n.clientHeight}),h=c.length>0?c[0].key:l[0].key,u=t.split("-")[1];return h+(u?"-"+u:"")}
/**
 * Get offsets to the reference element
 * @method
 * @memberof Popper.Utils
 * @param {Object} state
 * @param {Element} popper - the popper element
 * @param {Element} reference - the reference element (the popper will be relative to this)
 * @param {Element} fixedPosition - is in fixed position mode
 * @returns {Object} An object containing the offsets which will be applied to the popper
 */function Mt(t,e,n,i){return void 0===i&&(i=null),kt(n,i?Ht(e):Ot(e,n),i)}
/**
 * Get the outer sizes of the given element (offset size + margins)
 * @method
 * @memberof Popper.Utils
 * @argument {Element} element
 * @returns {Object} object containing width and height properties
 */function Wt(t){var e=t.ownerDocument.defaultView.getComputedStyle(t),n=parseFloat(e.marginTop||0)+parseFloat(e.marginBottom||0),i=parseFloat(e.marginLeft||0)+parseFloat(e.marginRight||0);return{width:t.offsetWidth+i,height:t.offsetHeight+n}}
/**
 * Get the opposite placement of the given one
 * @method
 * @memberof Popper.Utils
 * @argument {String} placement
 * @returns {String} flipped placement
 */function Ut(t){var e={left:"right",right:"left",bottom:"top",top:"bottom"};return t.replace(/left|right|bottom|top/g,function(t){return e[t]})}
/**
 * Get offsets to the popper
 * @method
 * @memberof Popper.Utils
 * @param {Object} position - CSS position the Popper will get applied
 * @param {HTMLElement} popper - the popper element
 * @param {Object} referenceOffsets - the reference offsets (the popper will be relative to this)
 * @param {String} placement - one of the valid placement options
 * @returns {Object} popperOffsets - An object containing the offsets which will be applied to the popper
 */function Kt(t,e,n){n=n.split("-")[0];
// Get popper node sizes
var i=Wt(t),o={width:i.width,height:i.height},r=-1!==["right","left"].indexOf(n),s=r?"top":"left",a=r?"left":"top",l=r?"height":"width",c=r?"width":"height";
// Add position, width and height to our offsets object
return o[s]=e[s]+e[l]/2-i[l]/2,o[a]=n===a?e[a]-i[c]:e[Ut(a)],o}
/**
 * Mimics the `find` method of Array
 * @method
 * @memberof Popper.Utils
 * @argument {Array} arr
 * @argument prop
 * @argument value
 * @returns index or -1
 */function Bt(t,e){
// use native find if supported
return Array.prototype.find?t.find(e):t.filter(e)[0];
// use `filter` to obtain the same behavior of `find`
}
/**
 * Return the index of the matching object
 * @method
 * @memberof Popper.Utils
 * @argument {Array} arr
 * @argument prop
 * @argument value
 * @returns index or -1
 */
/**
 * Loop trough the list of modifiers and run them in order,
 * each of them will then edit the data object.
 * @method
 * @memberof Popper.Utils
 * @param {dataObject} data
 * @param {Array} modifiers
 * @param {String} ends - Optional modifier name used as stopper
 * @returns {dataObject}
 */
function qt(t,e,n){return(void 0===n?t:t.slice(0,function(t,e,n){
// use native findIndex if supported
if(Array.prototype.findIndex)return t.findIndex(function(t){return t[e]===n});
// use `find` + `indexOf` if `findIndex` isn't supported
var i=Bt(t,function(t){return t[e]===n});return t.indexOf(i)}(t,"name",n))).forEach(function(t){t.function&&// eslint-disable-line dot-notation
console.warn("`modifier.function` is deprecated, use `modifier.fn`!");var n=t.function||t.fn;// eslint-disable-line dot-notation
t.enabled&&bt(n)&&(
// Add properties to offsets to make them a complete clientRect object
// we do this before each modifier to make sure the previous one doesn't
// mess with these values
e.offsets.popper=Pt(e.offsets.popper),e.offsets.reference=Pt(e.offsets.reference),e=n(e,t))}),e}
/**
 * Updates the position of the popper, computing the new offsets and applying
 * the new style.<br />
 * Prefer `scheduleUpdate` over `update` because of performance reasons.
 * @method
 * @memberof Popper
 */
/**
 * Helper used to know if the given modifier is enabled.
 * @method
 * @memberof Popper.Utils
 * @returns {Boolean}
 */
function Qt(t,e){return t.some(function(t){var n=t.name;return t.enabled&&n===e})}
/**
 * Get the prefixed supported property name
 * @method
 * @memberof Popper.Utils
 * @argument {String} property (camelCase)
 * @returns {String} prefixed property (camelCase or PascalCase, depending on the vendor prefix)
 */function Vt(t){for(var e=[!1,"ms","Webkit","Moz","O"],n=t.charAt(0).toUpperCase()+t.slice(1),i=0;i<e.length;i++){var o=e[i],r=o?""+o+n:t;if(void 0!==document.body.style[r])return r}return null}
/**
 * Destroys the popper.
 * @method
 * @memberof Popper
 */
/**
 * Get the window associated with the element
 * @argument {Element} element
 * @returns {Window}
 */
function Yt(t){var e=t.ownerDocument;return e?e.defaultView:window}
/**
 * Setup needed event listeners used to update the popper position
 * @method
 * @memberof Popper.Utils
 * @private
 */
function zt(t,e,n,i){
// Resize event listener on window
n.updateBound=i,Yt(t).addEventListener("resize",n.updateBound,{passive:!0});
// Scroll event listener on scroll parents
var o=wt(t);return function t(e,n,i,o){var r="BODY"===e.nodeName,s=r?e.ownerDocument.defaultView:e;s.addEventListener(n,i,{passive:!0}),r||t(wt(s.parentNode),n,i,o),o.push(s)}(o,"scroll",n.updateBound,n.scrollParents),n.scrollElement=o,n.eventsEnabled=!0,n}
/**
 * It will add resize/scroll events and start recalculating
 * position of the popper element when they are triggered.
 * @method
 * @memberof Popper
 */
/**
 * It will remove resize/scroll events and won't recalculate popper position
 * when they are triggered. It also won't trigger `onUpdate` callback anymore,
 * unless you call `update` method manually.
 * @method
 * @memberof Popper
 */
function Xt(){
/**
 * Remove event listeners used to update the popper position
 * @method
 * @memberof Popper.Utils
 * @private
 */
var t,e;this.state.eventsEnabled&&(cancelAnimationFrame(this.scheduleUpdate),this.state=(t=this.reference,e=this.state,
// Remove resize event listener on window
Yt(t).removeEventListener("resize",e.updateBound),
// Remove scroll event listener on scroll parents
e.scrollParents.forEach(function(t){t.removeEventListener("scroll",e.updateBound)}),
// Reset state
e.updateBound=null,e.scrollParents=[],e.scrollElement=null,e.eventsEnabled=!1,e))}
/**
 * Tells if a given input is a number
 * @method
 * @memberof Popper.Utils
 * @param {*} input to check
 * @return {Boolean}
 */function Gt(t){return""!==t&&!isNaN(parseFloat(t))&&isFinite(t)}
/**
 * Set the style to the given popper
 * @method
 * @memberof Popper.Utils
 * @argument {Element} element - Element to apply the style to
 * @argument {Object} styles
 * Object with a list of properties and values which will be applied to the element
 */function $t(t,e){Object.keys(e).forEach(function(n){var i="";
// add unit if the value is numeric and is one of the following
-1!==["width","height","top","right","bottom","left"].indexOf(n)&&Gt(e[n])&&(i="px"),t.style[n]=e[n]+i})}
/**
 * Set the attributes to the given popper
 * @method
 * @memberof Popper.Utils
 * @argument {Element} element - Element to apply the attributes to
 * @argument {Object} styles
 * Object with a list of properties and values which will be applied to the element
 */var Jt=pt&&/Firefox/i.test(navigator.userAgent);
/**
 * @function
 * @memberof Modifiers
 * @argument {Object} data - The data object generated by `update` method
 * @argument {Object} options - Modifiers configuration and options
 * @returns {Object} The data object, properly modified
 */
/**
 * Helper used to know if the given modifier depends from another one.<br />
 * It checks if the needed modifier is listed and enabled.
 * @method
 * @memberof Popper.Utils
 * @param {Array} modifiers - list of modifiers
 * @param {String} requestingName - name of requesting modifier
 * @param {String} requestedName - name of requested modifier
 * @returns {Boolean}
 */
function Zt(t,e,n){var i=Bt(t,function(t){return t.name===e}),o=!!i&&t.some(function(t){return t.name===n&&t.enabled&&t.order<i.order});if(!o){var r="`"+e+"`",s="`"+n+"`";console.warn(s+" modifier is required by "+r+" modifier in order to work, be sure to include it before "+r+"!")}return o}
/**
 * @function
 * @memberof Modifiers
 * @argument {Object} data - The data object generated by update method
 * @argument {Object} options - Modifiers configuration and options
 * @returns {Object} The data object, properly modified
 */
/**
 * List of accepted placements to use as values of the `placement` option.<br />
 * Valid placements are:
 * - `auto`
 * - `top`
 * - `right`
 * - `bottom`
 * - `left`
 *
 * Each placement can have a variation from this list:
 * - `-start`
 * - `-end`
 *
 * Variations are interpreted easily if you think of them as the left to right
 * written languages. Horizontally (`top` and `bottom`), `start` is left and `end`
 * is right.<br />
 * Vertically (`left` and `right`), `start` is top and `end` is bottom.
 *
 * Some valid examples are:
 * - `top-end` (on top of reference, right aligned)
 * - `right-start` (on right of reference, top aligned)
 * - `bottom` (on bottom, centered)
 * - `auto-end` (on the side with more space available, alignment depends by placement)
 *
 * @static
 * @type {Array}
 * @enum {String}
 * @readonly
 * @method placements
 * @memberof Popper
 */
var te=["auto-start","auto","auto-end","top-start","top","top-end","right-start","right","right-end","bottom-end","bottom","bottom-start","left-end","left","left-start"],ee=te.slice(3);
// Get rid of `auto` `auto-start` and `auto-end`
/**
 * Given an initial placement, returns all the subsequent placements
 * clockwise (or counter-clockwise).
 *
 * @method
 * @memberof Popper.Utils
 * @argument {String} placement - A valid placement (it accepts variations)
 * @argument {Boolean} counter - Set to true to walk the placements counterclockwise
 * @returns {Array} placements including their variations
 */
function ne(t,e){void 0===e&&(e=!1);var n=ee.indexOf(t),i=ee.slice(n+1).concat(ee.slice(0,n));return e?i.reverse():i}var ie={FLIP:"flip",CLOCKWISE:"clockwise",COUNTERCLOCKWISE:"counterclockwise"};
/**
 * @function
 * @memberof Modifiers
 * @argument {Object} data - The data object generated by update method
 * @argument {Object} options - Modifiers configuration and options
 * @returns {Object} The data object, properly modified
 */
/**
 * Parse an `offset` string to extrapolate `x` and `y` numeric offsets.
 * @function
 * @memberof {modifiers~offset}
 * @private
 * @argument {String} offset
 * @argument {Object} popperOffsets
 * @argument {Object} referenceOffsets
 * @argument {String} basePlacement
 * @returns {Array} a two cells array with x and y offsets in numbers
 */
function oe(t,e,n,i){var o=[0,0],r=-1!==["right","left"].indexOf(i),s=t.split(/(\+|\-)/).map(function(t){return t.trim()}),a=s.indexOf(Bt(s,function(t){return-1!==t.search(/,|\s/)}));
// Use height if placement is left or right and index is 0 otherwise use width
// in this way the first offset will use an axis and the second one
// will use the other one
s[a]&&-1===s[a].indexOf(",")&&console.warn("Offsets separated by white space(s) are deprecated, use a comma (,) instead.");
// If divider is found, we divide the list of values and operands to divide
// them by ofset X and Y.
var l=/\s*,\s*|\s+/,c=-1!==a?[s.slice(0,a).concat([s[a].split(l)[0]]),[s[a].split(l)[1]].concat(s.slice(a+1))]:[s];
// Convert the values with units to absolute pixels to allow our computations
// Loop trough the offsets arrays and execute the operations
return(c=c.map(function(t,i){
// Most of the units rely on the orientation of the popper
var o=(1===i?!r:r)?"height":"width",s=!1;return t.reduce(function(t,e){return""===t[t.length-1]&&-1!==["+","-"].indexOf(e)?(t[t.length-1]=e,s=!0,t):s?(t[t.length-1]+=e,s=!1,t):t.concat(e)},[]).map(function(t){
/**
 * Converts a string containing value + unit into a px value number
 * @function
 * @memberof {modifiers~offset}
 * @private
 * @argument {String} str - Value + unit string
 * @argument {String} measurement - `height` or `width`
 * @argument {Object} popperOffsets
 * @argument {Object} referenceOffsets
 * @returns {Number|String}
 * Value in pixels, or original string if no values were extracted
 */return function(t,e,n,i){
// separate value from unit
var o=t.match(/((?:\-|\+)?\d*\.?\d*)(.*)/),r=+o[1],s=o[2];
// If it's not a number it's an operator, I guess
if(!r)return t;if(0===s.indexOf("%")){var a;switch(s){case"%p":a=n;break;case"%":case"%r":default:a=i}return Pt(a)[e]/100*r}return"vh"===s||"vw"===s?("vh"===s?Math.max(document.documentElement.clientHeight,window.innerHeight||0):Math.max(document.documentElement.clientWidth,window.innerWidth||0))/100*r:r}(t,o,e,n)})})).forEach(function(t,e){t.forEach(function(n,i){Gt(n)&&(o[e]+=n*("-"===t[i-1]?-1:1))})}),o}
/**
 * @function
 * @memberof Modifiers
 * @argument {Object} data - The data object generated by update method
 * @argument {Object} options - Modifiers configuration and options
 * @argument {Number|String} options.offset=0
 * The offset value as described in the modifier description
 * @returns {Object} The data object, properly modified
 */
/**
 * Modifier function, each modifier can have a function of this type assigned
 * to its `fn` property.<br />
 * These functions will be called on each update, this means that you must
 * make sure they are performant enough to avoid performance bottlenecks.
 *
 * @function ModifierFn
 * @argument {dataObject} data - The data object generated by `update` method
 * @argument {Object} options - Modifiers configuration and options
 * @returns {dataObject} The data object, properly modified
 */
/**
 * Modifiers are plugins used to alter the behavior of your poppers.<br />
 * Popper.js uses a set of 9 modifiers to provide all the basic functionalities
 * needed by the library.
 *
 * Usually you don't want to override the `order`, `fn` and `onLoad` props.
 * All the other properties are configurations that could be tweaked.
 * @namespace modifiers
 */
var re={
/**
   * Popper's placement.
   * @prop {Popper.placements} placement='bottom'
   */
placement:"bottom",
/**
   * Set this to true if you want popper to position it self in 'fixed' mode
   * @prop {Boolean} positionFixed=false
   */
positionFixed:!1,
/**
   * Whether events (resize, scroll) are initially enabled.
   * @prop {Boolean} eventsEnabled=true
   */
eventsEnabled:!0,
/**
   * Set to true if you want to automatically remove the popper when
   * you call the `destroy` method.
   * @prop {Boolean} removeOnDestroy=false
   */
removeOnDestroy:!1,
/**
   * Callback called when the popper is created.<br />
   * By default, it is set to no-op.<br />
   * Access Popper.js instance with `data.instance`.
   * @prop {onCreate}
   */
onCreate:function(){},
/**
   * Callback called when the popper is updated. This callback is not called
   * on the initialization/creation of the popper, but only on subsequent
   * updates.<br />
   * By default, it is set to no-op.<br />
   * Access Popper.js instance with `data.instance`.
   * @prop {onUpdate}
   */
onUpdate:function(){},
/**
   * List of modifiers used to modify the offsets before they are applied to the popper.
   * They provide most of the functionalities of Popper.js.
   * @prop {modifiers}
   */
modifiers:{
/**
   * Modifier used to shift the popper on the start or end of its reference
   * element.<br />
   * It will read the variation of the `placement` property.<br />
   * It can be one either `-end` or `-start`.
   * @memberof modifiers
   * @inner
   */
shift:{
/** @prop {number} order=100 - Index used to define the order of execution */
order:100,
/** @prop {Boolean} enabled=true - Whether the modifier is enabled or not */
enabled:!0,
/** @prop {ModifierFn} */
fn:
/**
 * @function
 * @memberof Modifiers
 * @argument {Object} data - The data object generated by `update` method
 * @argument {Object} options - Modifiers configuration and options
 * @returns {Object} The data object, properly modified
 */
function(t){var e,n,i=t.placement,o=i.split("-")[0],r=i.split("-")[1];
// if shift shiftvariation is specified, run the modifier
if(r){var s=t.offsets,a=s.reference,l=s.popper,c=-1!==["bottom","top"].indexOf(o),h=c?"left":"top",u=c?"width":"height",f={start:(e={},e[h]=a[h],e),end:(n={},n[h]=a[h]+a[u]-l[u],n)};t.offsets.popper=Object.assign({},l,f[r])}return t}
/**
 * @function
 * @memberof Modifiers
 * @argument {Object} data - The data object generated by update method
 * @argument {Object} options - Modifiers configuration and options
 * @returns {Object} The data object, properly modified
 */},
/**
   * The `offset` modifier can shift your popper on both its axis.
   *
   * It accepts the following units:
   * - `px` or unit-less, interpreted as pixels
   * - `%` or `%r`, percentage relative to the length of the reference element
   * - `%p`, percentage relative to the length of the popper element
   * - `vw`, CSS viewport width unit
   * - `vh`, CSS viewport height unit
   *
   * For length is intended the main axis relative to the placement of the popper.<br />
   * This means that if the placement is `top` or `bottom`, the length will be the
   * `width`. In case of `left` or `right`, it will be the `height`.
   *
   * You can provide a single value (as `Number` or `String`), or a pair of values
   * as `String` divided by a comma or one (or more) white spaces.<br />
   * The latter is a deprecated method because it leads to confusion and will be
   * removed in v2.<br />
   * Additionally, it accepts additions and subtractions between different units.
   * Note that multiplications and divisions aren't supported.
   *
   * Valid examples are:
   * ```
   * 10
   * '10%'
   * '10, 10'
   * '10%, 10'
   * '10 + 10%'
   * '10 - 5vh + 3%'
   * '-10px + 5vh, 5px - 6%'
   * ```
   * > **NB**: If you desire to apply offsets to your poppers in a way that may make them overlap
   * > with their reference element, unfortunately, you will have to disable the `flip` modifier.
   * > You can read more on this at this [issue](https://github.com/FezVrasta/popper.js/issues/373).
   *
   * @memberof modifiers
   * @inner
   */
offset:{
/** @prop {number} order=200 - Index used to define the order of execution */
order:200,
/** @prop {Boolean} enabled=true - Whether the modifier is enabled or not */
enabled:!0,
/** @prop {ModifierFn} */
fn:function(t,e){var n,i=e.offset,o=t.placement,r=t.offsets,s=r.popper,a=r.reference,l=o.split("-")[0];return n=Gt(+i)?[+i,0]:oe(i,s,a,l),"left"===l?(s.top+=n[0],s.left-=n[1]):"right"===l?(s.top+=n[0],s.left+=n[1]):"top"===l?(s.left+=n[0],s.top-=n[1]):"bottom"===l&&(s.left+=n[0],s.top+=n[1]),t.popper=s,t}
/**
 * @function
 * @memberof Modifiers
 * @argument {Object} data - The data object generated by `update` method
 * @argument {Object} options - Modifiers configuration and options
 * @returns {Object} The data object, properly modified
 */,
/** @prop {Number|String} offset=0
     * The offset value as described in the modifier description
     */
offset:0},
/**
   * Modifier used to prevent the popper from being positioned outside the boundary.
   *
   * A scenario exists where the reference itself is not within the boundaries.<br />
   * We can say it has "escaped the boundaries" — or just "escaped".<br />
   * In this case we need to decide whether the popper should either:
   *
   * - detach from the reference and remain "trapped" in the boundaries, or
   * - if it should ignore the boundary and "escape with its reference"
   *
   * When `escapeWithReference` is set to`true` and reference is completely
   * outside its boundaries, the popper will overflow (or completely leave)
   * the boundaries in order to remain attached to the edge of the reference.
   *
   * @memberof modifiers
   * @inner
   */
preventOverflow:{
/** @prop {number} order=300 - Index used to define the order of execution */
order:300,
/** @prop {Boolean} enabled=true - Whether the modifier is enabled or not */
enabled:!0,
/** @prop {ModifierFn} */
fn:function(t,e){var n=e.boundariesElement||Dt(t.instance.popper);
// If offsetParent is the reference element, we really want to
// go one step up and use the next offsetParent as reference to
// avoid to make this modifier completely useless and look like broken
t.instance.reference===n&&(n=Dt(n));
// NOTE: DOM access here
// resets the popper's position so that the document size can be calculated excluding
// the size of the popper element itself
var i=Vt("transform"),o=t.instance.popper.style,r=o.top,s=o.left,a=o[i];o.top="",o.left="",o[i]="";var l=Rt(t.instance.popper,t.instance.reference,e.padding,n,t.positionFixed);
// NOTE: DOM access here
// restores the original style properties after the offsets have been computed
o.top=r,o.left=s,o[i]=a,e.boundaries=l;var c=e.priority,h=t.offsets.popper,u={primary:function(t){var n,i=h[t];return h[t]<l[t]&&!e.escapeWithReference&&(i=Math.max(h[t],l[t])),(n={})[t]=i,n},secondary:function(t){var n,i="right"===t?"left":"top",o=h[i];return h[t]>l[t]&&!e.escapeWithReference&&(o=Math.min(h[i],l[t]-("right"===t?h.width:h.height))),(n={})[i]=o,n}};return c.forEach(function(t){var e=-1!==["left","top"].indexOf(t)?"primary":"secondary";h=Object.assign({},h,u[e](t))}),t.offsets.popper=h,t},
/**
     * @prop {Array} [priority=['left','right','top','bottom']]
     * Popper will try to prevent overflow following these priorities by default,
     * then, it could overflow on the left and on top of the `boundariesElement`
     */
priority:["left","right","top","bottom"],
/**
     * @prop {number} padding=5
     * Amount of pixel used to define a minimum distance between the boundaries
     * and the popper. This makes sure the popper always has a little padding
     * between the edges of its container
     */
padding:5,
/**
     * @prop {String|HTMLElement} boundariesElement='scrollParent'
     * Boundaries used by the modifier. Can be `scrollParent`, `window`,
     * `viewport` or any DOM element.
     */
boundariesElement:"scrollParent"},
/**
   * Modifier used to make sure the reference and its popper stay near each other
   * without leaving any gap between the two. Especially useful when the arrow is
   * enabled and you want to ensure that it points to its reference element.
   * It cares only about the first axis. You can still have poppers with margin
   * between the popper and its reference element.
   * @memberof modifiers
   * @inner
   */
keepTogether:{
/** @prop {number} order=400 - Index used to define the order of execution */
order:400,
/** @prop {Boolean} enabled=true - Whether the modifier is enabled or not */
enabled:!0,
/** @prop {ModifierFn} */
fn:
/**
 * @function
 * @memberof Modifiers
 * @argument {Object} data - The data object generated by update method
 * @argument {Object} options - Modifiers configuration and options
 * @returns {Object} The data object, properly modified
 */
function(t){var e=t.offsets,n=e.popper,i=e.reference,o=t.placement.split("-")[0],r=Math.floor,s=-1!==["top","bottom"].indexOf(o),a=s?"right":"bottom",l=s?"left":"top",c=s?"width":"height";return n[a]<r(i[l])&&(t.offsets.popper[l]=r(i[l])-n[c]),n[l]>r(i[a])&&(t.offsets.popper[l]=r(i[a])),t}},
/**
   * This modifier is used to move the `arrowElement` of the popper to make
   * sure it is positioned between the reference element and its popper element.
   * It will read the outer size of the `arrowElement` node to detect how many
   * pixels of conjunction are needed.
   *
   * It has no effect if no `arrowElement` is provided.
   * @memberof modifiers
   * @inner
   */
arrow:{
/** @prop {number} order=500 - Index used to define the order of execution */
order:500,
/** @prop {Boolean} enabled=true - Whether the modifier is enabled or not */
enabled:!0,
/** @prop {ModifierFn} */
fn:function(t,e){var n;
// arrow depends on keepTogether in order to work
if(!Zt(t.instance.modifiers,"arrow","keepTogether"))return t;var i=e.element;
// if arrowElement is a string, suppose it's a CSS selector
if("string"==typeof i){
// if arrowElement is not found, don't run the modifier
if(!(i=t.instance.popper.querySelector(i)))return t}else
// if the arrowElement isn't a query selector we must check that the
// provided DOM node is child of its popper node
if(!t.instance.popper.contains(i))return console.warn("WARNING: `arrow.element` must be child of its popper element!"),t;var o=t.placement.split("-")[0],r=t.offsets,s=r.popper,a=r.reference,l=-1!==["left","right"].indexOf(o),c=l?"height":"width",h=l?"Top":"Left",u=h.toLowerCase(),f=l?"left":"top",d=l?"bottom":"right",p=Wt(i)[c];
//
// extends keepTogether behavior making sure the popper and its
// reference have enough pixels in conjunction
//
// top/left side
a[d]-p<s[u]&&(t.offsets.popper[u]-=s[u]-(a[d]-p)),
// bottom/right side
a[u]+p>s[d]&&(t.offsets.popper[u]+=a[u]+p-s[d]),t.offsets.popper=Pt(t.offsets.popper);
// compute center of the popper
var g=a[u]+a[c]/2-p/2,m=yt(t.instance.popper),_=parseFloat(m["margin"+h],10),v=parseFloat(m["border"+h+"Width"],10),b=g-t.offsets.popper[u]-_-v;
// Compute the sideValue using the updated popper offsets
// take popper margin in account because we don't have this info available
// prevent arrowElement from being placed not contiguously to its popper
return b=Math.max(Math.min(s[c]-p,b),0),t.arrowElement=i,t.offsets.arrow=((n={})[u]=Math.round(b),n[f]="",n),t}
/**
 * Get the opposite placement variation of the given one
 * @method
 * @memberof Popper.Utils
 * @argument {String} placement variation
 * @returns {String} flipped placement variation
 */,
/** @prop {String|HTMLElement} element='[x-arrow]' - Selector or node used as arrow */
element:"[x-arrow]"},
/**
   * Modifier used to flip the popper's placement when it starts to overlap its
   * reference element.
   *
   * Requires the `preventOverflow` modifier before it in order to work.
   *
   * **NOTE:** this modifier will interrupt the current update cycle and will
   * restart it if it detects the need to flip the placement.
   * @memberof modifiers
   * @inner
   */
flip:{
/** @prop {number} order=600 - Index used to define the order of execution */
order:600,
/** @prop {Boolean} enabled=true - Whether the modifier is enabled or not */
enabled:!0,
/** @prop {ModifierFn} */
fn:function(t,e){
// if `inner` modifier is enabled, we can't use the `flip` modifier
if(Qt(t.instance.modifiers,"inner"))return t;if(t.flipped&&t.placement===t.originalPlacement)
// seems like flip is trying to loop, probably there's not enough space on any of the flippable sides
return t;var n=Rt(t.instance.popper,t.instance.reference,e.padding,e.boundariesElement,t.positionFixed),i=t.placement.split("-")[0],o=Ut(i),r=t.placement.split("-")[1]||"",s=[];switch(e.behavior){case ie.FLIP:s=[i,o];break;case ie.CLOCKWISE:s=ne(i);break;case ie.COUNTERCLOCKWISE:s=ne(i,!0);break;default:s=e.behavior}return s.forEach(function(a,l){if(i!==a||s.length===l+1)return t;i=t.placement.split("-")[0],o=Ut(i);var c=t.offsets.popper,h=t.offsets.reference,u=Math.floor,f="left"===i&&u(c.right)>u(h.left)||"right"===i&&u(c.left)<u(h.right)||"top"===i&&u(c.bottom)>u(h.top)||"bottom"===i&&u(c.top)<u(h.bottom),d=u(c.left)<u(n.left),p=u(c.right)>u(n.right),g=u(c.top)<u(n.top),m=u(c.bottom)>u(n.bottom),_="left"===i&&d||"right"===i&&p||"top"===i&&g||"bottom"===i&&m,v=-1!==["top","bottom"].indexOf(i),b=!!e.flipVariations&&(v&&"start"===r&&d||v&&"end"===r&&p||!v&&"start"===r&&g||!v&&"end"===r&&m);(f||_||b)&&(
// this boolean to detect any flip loop
t.flipped=!0,(f||_)&&(i=s[l+1]),b&&(r=function(t){return"end"===t?"start":"start"===t?"end":t}(r)),t.placement=i+(r?"-"+r:""),
// this object contains `position`, we want to preserve it along with
// any additional property we may add in the future
t.offsets.popper=Object.assign({},t.offsets.popper,Kt(t.instance.popper,t.offsets.reference,t.placement)),t=qt(t.instance.modifiers,t,"flip"))}),t},
/**
     * @prop {String|Array} behavior='flip'
     * The behavior used to change the popper's placement. It can be one of
     * `flip`, `clockwise`, `counterclockwise` or an array with a list of valid
     * placements (with optional variations)
     */
behavior:"flip",
/**
     * @prop {number} padding=5
     * The popper will flip if it hits the edges of the `boundariesElement`
     */
padding:5,
/**
     * @prop {String|HTMLElement} boundariesElement='viewport'
     * The element which will define the boundaries of the popper position.
     * The popper will never be placed outside of the defined boundaries
     * (except if `keepTogether` is enabled)
     */
boundariesElement:"viewport"},
/**
   * Modifier used to make the popper flow toward the inner of the reference element.
   * By default, when this modifier is disabled, the popper will be placed outside
   * the reference element.
   * @memberof modifiers
   * @inner
   */
inner:{
/** @prop {number} order=700 - Index used to define the order of execution */
order:700,
/** @prop {Boolean} enabled=false - Whether the modifier is enabled or not */
enabled:!1,
/** @prop {ModifierFn} */
fn:
/**
 * @function
 * @memberof Modifiers
 * @argument {Object} data - The data object generated by `update` method
 * @argument {Object} options - Modifiers configuration and options
 * @returns {Object} The data object, properly modified
 */
function(t){var e=t.placement,n=e.split("-")[0],i=t.offsets,o=i.popper,r=i.reference,s=-1!==["left","right"].indexOf(n),a=-1===["top","left"].indexOf(n);return o[s?"left":"top"]=r[n]-(a?o[s?"width":"height"]:0),t.placement=Ut(e),t.offsets.popper=Pt(o),t}},
/**
   * Modifier used to hide the popper when its reference element is outside of the
   * popper boundaries. It will set a `x-out-of-boundaries` attribute which can
   * be used to hide with a CSS selector the popper when its reference is
   * out of boundaries.
   *
   * Requires the `preventOverflow` modifier before it in order to work.
   * @memberof modifiers
   * @inner
   */
hide:{
/** @prop {number} order=800 - Index used to define the order of execution */
order:800,
/** @prop {Boolean} enabled=true - Whether the modifier is enabled or not */
enabled:!0,
/** @prop {ModifierFn} */
fn:function(t){if(!Zt(t.instance.modifiers,"hide","preventOverflow"))return t;var e=t.offsets.reference,n=Bt(t.instance.modifiers,function(t){return"preventOverflow"===t.name}).boundaries;if(e.bottom<n.top||e.left>n.right||e.top>n.bottom||e.right<n.left){
// Avoid unnecessary DOM access if visibility hasn't changed
if(!0===t.hide)return t;t.hide=!0,t.attributes["x-out-of-boundaries"]=""}else{
// Avoid unnecessary DOM access if visibility hasn't changed
if(!1===t.hide)return t;t.hide=!1,t.attributes["x-out-of-boundaries"]=!1}return t}},
/**
   * Computes the style that will be applied to the popper element to gets
   * properly positioned.
   *
   * Note that this modifier will not touch the DOM, it just prepares the styles
   * so that `applyStyle` modifier can apply it. This separation is useful
   * in case you need to replace `applyStyle` with a custom implementation.
   *
   * This modifier has `850` as `order` value to maintain backward compatibility
   * with previous versions of Popper.js. Expect the modifiers ordering method
   * to change in future major versions of the library.
   *
   * @memberof modifiers
   * @inner
   */
computeStyle:{
/** @prop {number} order=850 - Index used to define the order of execution */
order:850,
/** @prop {Boolean} enabled=true - Whether the modifier is enabled or not */
enabled:!0,
/** @prop {ModifierFn} */
fn:function(t,e){var n=e.x,i=e.y,o=t.offsets.popper,r=Bt(t.instance.modifiers,function(t){return"applyStyle"===t.name}).gpuAcceleration;void 0!==r&&console.warn("WARNING: `gpuAcceleration` option moved to `computeStyle` modifier and will not be supported in future versions of Popper.js!");var s,a,l=void 0!==r?r:e.gpuAcceleration,c=Dt(t.instance.popper),h=xt(c),u={position:o.position},f=
/**
 * @function
 * @memberof Popper.Utils
 * @argument {Object} data - The data object generated by `update` method
 * @argument {Boolean} shouldRound - If the offsets should be rounded at all
 * @returns {Object} The popper's position offsets rounded
 *
 * The tale of pixel-perfect positioning. It's still not 100% perfect, but as
 * good as it can be within reason.
 * Discussion here: https://github.com/FezVrasta/popper.js/pull/715
 *
 * Low DPI screens cause a popper to be blurry if not using full pixels (Safari
 * as well on High DPI screens).
 *
 * Firefox prefers no rounding for positioning and does not have blurriness on
 * high DPI screens.
 *
 * Only horizontal placement and left/right values need to be considered.
 */
function(t,e){var n=t.offsets,i=n.popper,o=n.reference,r=-1!==["left","right"].indexOf(t.placement),s=-1!==t.placement.indexOf("-"),a=o.width%2==i.width%2,l=o.width%2==1&&i.width%2==1,c=function(t){return t},h=e?r||s||a?Math.round:Math.floor:c,u=e?Math.round:c;return{left:h(l&&!s&&e?i.left-1:i.left),top:u(i.top),bottom:u(i.bottom),right:h(i.right)}}(t,window.devicePixelRatio<2||!Jt),d="bottom"===n?"top":"bottom",p="right"===i?"left":"right",g=Vt("transform");if(a="bottom"===d?
// when offsetParent is <html> the positioning is relative to the bottom of the screen (excluding the scrollbar)
// and not the bottom of the html element
"HTML"===c.nodeName?-c.clientHeight+f.bottom:-h.height+f.bottom:f.top,s="right"===p?"HTML"===c.nodeName?-c.clientWidth+f.right:-h.width+f.right:f.left,l&&g)u[g]="translate3d("+s+"px, "+a+"px, 0)",u[d]=0,u[p]=0,u.willChange="transform";else{
// othwerise, we use the standard `top`, `left`, `bottom` and `right` properties
var m="bottom"===d?-1:1,_="right"===p?-1:1;u[d]=a*m,u[p]=s*_,u.willChange=d+", "+p}
// Attributes
var v={"x-placement":t.placement};
// Update `data` attributes, styles and arrowStyles
return t.attributes=Object.assign({},v,t.attributes),t.styles=Object.assign({},u,t.styles),t.arrowStyles=Object.assign({},t.offsets.arrow,t.arrowStyles),t},
/**
     * @prop {Boolean} gpuAcceleration=true
     * If true, it uses the CSS 3D transformation to position the popper.
     * Otherwise, it will use the `top` and `left` properties
     */
gpuAcceleration:!0,
/**
     * @prop {string} [x='bottom']
     * Where to anchor the X axis (`bottom` or `top`). AKA X offset origin.
     * Change this if your popper should grow in a direction different from `bottom`
     */
x:"bottom",
/**
     * @prop {string} [x='left']
     * Where to anchor the Y axis (`left` or `right`). AKA Y offset origin.
     * Change this if your popper should grow in a direction different from `right`
     */
y:"right"},
/**
   * Applies the computed styles to the popper element.
   *
   * All the DOM manipulations are limited to this modifier. This is useful in case
   * you want to integrate Popper.js inside a framework or view library and you
   * want to delegate all the DOM manipulations to it.
   *
   * Note that if you disable this modifier, you must make sure the popper element
   * has its position set to `absolute` before Popper.js can do its work!
   *
   * Just disable this modifier and define your own to achieve the desired effect.
   *
   * @memberof modifiers
   * @inner
   */
applyStyle:{
/** @prop {number} order=900 - Index used to define the order of execution */
order:900,
/** @prop {Boolean} enabled=true - Whether the modifier is enabled or not */
enabled:!0,
/** @prop {ModifierFn} */
fn:
/**
 * @function
 * @memberof Modifiers
 * @argument {Object} data - The data object generated by `update` method
 * @argument {Object} data.styles - List of style properties - values to apply to popper element
 * @argument {Object} data.attributes - List of attribute properties - values to apply to popper element
 * @argument {Object} options - Modifiers configuration and options
 * @returns {Object} The same data object
 */
function(t){var e,n;
// any property present in `data.styles` will be applied to the popper,
// in this way we can make the 3rd party modifiers add custom styles to it
// Be aware, modifiers could override the properties defined in the previous
// lines of this modifier!
return $t(t.instance.popper,t.styles),
// any property present in `data.attributes` will be applied to the popper,
// they will be set as HTML attributes of the element
e=t.instance.popper,n=t.attributes,Object.keys(n).forEach(function(t){!1!==n[t]?e.setAttribute(t,n[t]):e.removeAttribute(t)}),
// if arrowElement is defined and arrowStyles has some properties
t.arrowElement&&Object.keys(t.arrowStyles).length&&$t(t.arrowElement,t.arrowStyles),t}
/**
 * Set the x-placement attribute before everything else because it could be used
 * to add margins to the popper margins needs to be calculated to get the
 * correct popper offsets.
 * @method
 * @memberof Popper.modifiers
 * @param {HTMLElement} reference - The reference element used to position the popper
 * @param {HTMLElement} popper - The HTML element used as popper
 * @param {Object} options - Popper.js options
 */,
/** @prop {Function} */
onLoad:function(t,e,n,i,o){
// compute reference element offsets
var r=Mt(0,e,t,n.positionFixed),s=Ft(n.placement,r,e,t,n.modifiers.flip.boundariesElement,n.modifiers.flip.padding);
// compute auto placement, store placement inside the data object,
// modifiers will be able to edit `placement` if needed
// and refer to originalPlacement to know the original value
return e.setAttribute("x-placement",s),
// Apply `position` to popper before anything else because
// without the position applied we can't guarantee correct computations
$t(e,{position:n.positionFixed?"fixed":"absolute"}),n},
/**
     * @deprecated since version 1.10.0, the property moved to `computeStyle` modifier
     * @prop {Boolean} gpuAcceleration=true
     * If true, it uses the CSS 3D transformation to position the popper.
     * Otherwise, it will use the `top` and `left` properties
     */
gpuAcceleration:void 0}}},se=function t(e,n,i){var o=this;void 0===i&&(i={}),
// make update() debounced, so that it only runs at most once-per-tick
this.update=vt(this.update.bind(this)),this.scheduleUpdate=this.scheduleUpdate.bind(this),
// with {} we create a new object with the options inside it
this.options=Object.assign({},t.Defaults,i),
// init state
this.state={isDestroyed:!1,isCreated:!1,scrollParents:[]},
// get reference and popper elements (allow jQuery wrappers)
this.reference=e&&e.jquery?e[0]:e,this.popper=n&&n.jquery?n[0]:n,
// Deep merge modifiers options
this.options.modifiers={},Object.keys(Object.assign({},t.Defaults.modifiers,i.modifiers)).forEach(function(e){o.options.modifiers[e]=Object.assign({},t.Defaults.modifiers[e]||{},
// If there are custom options, override and merge with default ones
i.modifiers?i.modifiers[e]:{})}),
// Refactoring modifiers' list (Object => Array)
this.modifiers=Object.keys(this.options.modifiers).map(function(t){return Object.assign({},{name:t},o.options.modifiers[t])}).sort(function(t,e){return t.order-e.order}),
// modifiers have the ability to execute arbitrary code when Popper.js get inited
// such code is executed in the same order of its modifier
// they could add new properties to their options configuration
// BE AWARE: don't add options to `options.modifiers.name` but to `modifierOptions`!
this.modifiers.forEach(function(t){t.enabled&&bt(t.onLoad)&&t.onLoad(o.reference,o.popper,o.options,t,o.state)}),
// fire the first update to position the popper in the right place
this.update();var r=this.options.eventsEnabled;r&&
// setup event listeners, they will take care of update the position in specific situations
this.enableEventListeners(),this.state.eventsEnabled=r};
/**
 * The `dataObject` is an object containing all the information used by Popper.js.
 * This object is passed to modifiers and to the `onCreate` and `onUpdate` callbacks.
 * @name dataObject
 * @property {Object} data.instance The Popper.js instance
 * @property {String} data.placement Placement applied to popper
 * @property {String} data.originalPlacement Placement originally defined on init
 * @property {Boolean} data.flipped True if popper has been flipped by flip modifier
 * @property {Boolean} data.hide True if the reference element is out of boundaries, useful to know when to hide the popper
 * @property {HTMLElement} data.arrowElement Node used as arrow by arrow modifier
 * @property {Object} data.styles Any CSS property defined here will be applied to the popper. It expects the JavaScript nomenclature (eg. `marginBottom`)
 * @property {Object} data.arrowStyles Any CSS property defined here will be applied to the popper arrow. It expects the JavaScript nomenclature (eg. `marginBottom`)
 * @property {Object} data.boundaries Offsets of the popper boundaries
 * @property {Object} data.offsets The measurements of popper, reference and arrow elements
 * @property {Object} data.offsets.popper `top`, `left`, `width`, `height` values
 * @property {Object} data.offsets.reference `top`, `left`, `width`, `height` values
 * @property {Object} data.offsets.arrow] `top` and `left` offsets, only one of them will be different from 0
 */
/**
 * Default options provided to Popper.js constructor.<br />
 * These can be overridden using the `options` argument of Popper.js.<br />
 * To override an option, simply pass an object with the same
 * structure of the `options` object, as the 3rd argument. For example:
 * ```
 * new Popper(ref, pop, {
 *   modifiers: {
 *     preventOverflow: { enabled: false }
 *   }
 * })
 * ```
 * @type {Object}
 * @static
 * @memberof Popper
 */
// We can't use class properties because they don't get listed in the
// class prototype and break stuff like Sinon stubs
se.prototype.update=function(){return function(){
// if popper is destroyed, don't perform any further update
if(!this.state.isDestroyed){var t={instance:this,styles:{},arrowStyles:{},attributes:{},flipped:!1,offsets:{}};
// compute reference element offsets
t.offsets.reference=Mt(this.state,this.popper,this.reference,this.options.positionFixed),
// compute auto placement, store placement inside the data object,
// modifiers will be able to edit `placement` if needed
// and refer to originalPlacement to know the original value
t.placement=Ft(this.options.placement,t.offsets.reference,this.popper,this.reference,this.options.modifiers.flip.boundariesElement,this.options.modifiers.flip.padding),
// store the computed placement inside `originalPlacement`
t.originalPlacement=t.placement,t.positionFixed=this.options.positionFixed,
// compute the popper offsets
t.offsets.popper=Kt(this.popper,t.offsets.reference,t.placement),t.offsets.popper.position=this.options.positionFixed?"fixed":"absolute",
// run the modifiers
t=qt(this.modifiers,t),
// the first `update` will call `onCreate` callback
// the other ones will call `onUpdate` callback
this.state.isCreated?this.options.onUpdate(t):(this.state.isCreated=!0,this.options.onCreate(t))}}.call(this)},se.prototype.destroy=function(){return function(){return this.state.isDestroyed=!0,
// touch DOM only if `applyStyle` modifier is enabled
Qt(this.modifiers,"applyStyle")&&(this.popper.removeAttribute("x-placement"),this.popper.style.position="",this.popper.style.top="",this.popper.style.left="",this.popper.style.right="",this.popper.style.bottom="",this.popper.style.willChange="",this.popper.style[Vt("transform")]=""),this.disableEventListeners(),
// remove the popper if user explicity asked for the deletion on destroy
// do not use `remove` because IE11 doesn't support it
this.options.removeOnDestroy&&this.popper.parentNode.removeChild(this.popper),this}.call(this)},se.prototype.enableEventListeners=function(){return function(){this.state.eventsEnabled||(this.state=zt(this.reference,this.options,this.state,this.scheduleUpdate))}.call(this)},se.prototype.disableEventListeners=function(){return Xt.call(this)},
/**
 * Schedules an update. It will run on the next UI update available.
 * @method scheduleUpdate
 * @memberof Popper
 */
se.prototype.scheduleUpdate=function(){return requestAnimationFrame(this.update)},
/**
 * Collection of utilities useful when writing custom modifiers.
 * Starting from version 1.7, this method is available only if you
 * include `popper-utils.js` before `popper.js`.
 *
 * **DEPRECATION**: This way to access PopperUtils is deprecated
 * and will be removed in v2! Use the PopperUtils module directly instead.
 * Due to the high instability of the methods contained in Utils, we can't
 * guarantee them to follow semver. Use them at your own risk!
 * @static
 * @private
 * @type {Object}
 * @deprecated since version 1.8
 * @member Utils
 * @memberof Popper
 */
se.Utils=("undefined"!=typeof window?window:global).PopperUtils,se.placements=te,se.Defaults=re;
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): dropdown.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var ae="dropdown",le=e.fn[ae],ce=new RegExp("38|40|27"),he={HIDE:"hide.bs.dropdown",HIDDEN:"hidden.bs.dropdown",SHOW:"show.bs.dropdown",SHOWN:"shown.bs.dropdown",CLICK:"click.bs.dropdown",CLICK_DATA_API:"click.bs.dropdown.data-api",KEYDOWN_DATA_API:"keydown.bs.dropdown.data-api",KEYUP_DATA_API:"keyup.bs.dropdown.data-api"},ue="disabled",fe="show",de="dropup",pe="dropright",ge="dropleft",me="dropdown-menu-right",_e="position-static",ve='[data-toggle="dropdown"]',be=".dropdown form",ye=".dropdown-menu",Ee=".navbar-nav",we=".dropdown-menu .dropdown-item:not(.disabled):not(:disabled)",Ce="top-start",Te="top-end",Se="bottom-start",De="bottom-end",Ie="right-start",Oe="left-start",Ae={offset:0,flip:!0,boundary:"scrollParent",reference:"toggle",display:"dynamic"},Ne={offset:"(number|string|function)",flip:"boolean",boundary:"(string|element)",reference:"(string|element)",display:"string"},Le=function(t,e){this._element=t,this._popper=null,this._config=this._getConfig(e),this._menu=this._getMenuElement(),this._inNavbar=this._detectNavbar(),this._addEventListeners()},je={VERSION:{configurable:!0},Default:{configurable:!0},DefaultType:{configurable:!0}};
// Getters
je.VERSION.get=function(){return"4.3.1"},je.Default.get=function(){return Ae},je.DefaultType.get=function(){return Ne},
// Public
Le.prototype.toggle=function(){if(!this._element.disabled&&!e(this._element).hasClass(ue)){var t=Le._getParentFromElement(this._element),n=e(this._menu).hasClass(fe);if(Le._clearMenus(),!n){var i={relatedTarget:this._element},r=e.Event(he.SHOW,i);if(e(t).trigger(r),!r.isDefaultPrevented()){
// Disable totally Popper.js for Dropdown in Navbar
if(!this._inNavbar){0;var s=this._element;"parent"===this._config.reference?s=t:o.isElement(this._config.reference)&&(s=this._config.reference,
// Check if it's jQuery element
void 0!==this._config.reference.jquery&&(s=this._config.reference[0])),
// If boundary is not `scrollParent`, then set position to `static`
// to allow the menu to "escape" the scroll parent's boundaries
// https://github.com/twbs/bootstrap/issues/24251
"scrollParent"!==this._config.boundary&&e(t).addClass(_e),this._popper=new se(s,this._menu,this._getPopperConfig())}
// If this is a touch-enabled device we add extra
// empty mouseover listeners to the body's immediate children;
// only needed because of broken event delegation on iOS
// https://www.quirksmode.org/blog/archives/2014/02/mouse_event_bub.html
"ontouchstart"in document.documentElement&&0===e(t).closest(Ee).length&&e(document.body).children().on("mouseover",null,e.noop),this._element.focus(),this._element.setAttribute("aria-expanded",!0),e(this._menu).toggleClass(fe),e(t).toggleClass(fe).trigger(e.Event(he.SHOWN,i))}}}},Le.prototype.show=function(){if(!(this._element.disabled||e(this._element).hasClass(ue)||e(this._menu).hasClass(fe))){var t={relatedTarget:this._element},n=e.Event(he.SHOW,t),i=Le._getParentFromElement(this._element);e(i).trigger(n),n.isDefaultPrevented()||(e(this._menu).toggleClass(fe),e(i).toggleClass(fe).trigger(e.Event(he.SHOWN,t)))}},Le.prototype.hide=function(){if(!this._element.disabled&&!e(this._element).hasClass(ue)&&e(this._menu).hasClass(fe)){var t={relatedTarget:this._element},n=e.Event(he.HIDE,t),i=Le._getParentFromElement(this._element);e(i).trigger(n),n.isDefaultPrevented()||(e(this._menu).toggleClass(fe),e(i).toggleClass(fe).trigger(e.Event(he.HIDDEN,t)))}},Le.prototype.dispose=function(){e.removeData(this._element,"bs.dropdown"),e(this._element).off(".bs.dropdown"),this._element=null,this._menu=null,null!==this._popper&&(this._popper.destroy(),this._popper=null)},Le.prototype.update=function(){this._inNavbar=this._detectNavbar(),null!==this._popper&&this._popper.scheduleUpdate()},
// Private
Le.prototype._addEventListeners=function(){var t=this;e(this._element).on(he.CLICK,function(e){e.preventDefault(),e.stopPropagation(),t.toggle()})},Le.prototype._getConfig=function(t){return t=Object.assign({},this.constructor.Default,e(this._element).data(),t),o.typeCheckConfig(ae,t,this.constructor.DefaultType),t},Le.prototype._getMenuElement=function(){if(!this._menu){var t=Le._getParentFromElement(this._element);t&&(this._menu=t.querySelector(ye))}return this._menu},Le.prototype._getPlacement=function(){var t=e(this._element.parentNode),n=Se;
// Handle dropup
return t.hasClass(de)?(n=Ce,e(this._menu).hasClass(me)&&(n=Te)):t.hasClass(pe)?n=Ie:t.hasClass(ge)?n=Oe:e(this._menu).hasClass(me)&&(n=De),n},Le.prototype._detectNavbar=function(){return e(this._element).closest(".navbar").length>0},Le.prototype._getOffset=function(){var t=this,e={};return"function"==typeof this._config.offset?e.fn=function(e){return e.offsets=Object.assign({},e.offsets,t._config.offset(e.offsets,t._element)||{}),e}:e.offset=this._config.offset,e},Le.prototype._getPopperConfig=function(){var t={placement:this._getPlacement(),modifiers:{offset:this._getOffset(),flip:{enabled:this._config.flip},preventOverflow:{boundariesElement:this._config.boundary}}};
// Disable Popper.js if we have a static display
return"static"===this._config.display&&(t.modifiers.applyStyle={enabled:!1}),t},
// Static
Le._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.dropdown");if(n||(n=new Le(this,"object"==typeof t?t:null),e(this).data("bs.dropdown",n)),"string"==typeof t){if(void 0===n[t])throw new TypeError('No method named "'+t+'"');n[t]()}})},Le._clearMenus=function(t){if(!t||3!==t.which&&("keyup"!==t.type||9===t.which))for(var n=[].slice.call(document.querySelectorAll(ve)),i=0,o=n.length;i<o;i++){var r=Le._getParentFromElement(n[i]),s=e(n[i]).data("bs.dropdown"),a={relatedTarget:n[i]};if(t&&"click"===t.type&&(a.clickEvent=t),s){var l=s._menu;if(e(r).hasClass(fe)&&!(t&&("click"===t.type&&/input|textarea/i.test(t.target.tagName)||"keyup"===t.type&&9===t.which)&&e.contains(r,t.target))){var c=e.Event(he.HIDE,a);e(r).trigger(c),c.isDefaultPrevented()||(
// If this is a touch-enabled device we remove the extra
// empty mouseover listeners we added for iOS support
"ontouchstart"in document.documentElement&&e(document.body).children().off("mouseover",null,e.noop),n[i].setAttribute("aria-expanded","false"),e(l).removeClass(fe),e(r).removeClass(fe).trigger(e.Event(he.HIDDEN,a)))}}}},Le._getParentFromElement=function(t){var e,n=o.getSelectorFromElement(t);return n&&(e=document.querySelector(n)),e||t.parentNode},
// eslint-disable-next-line complexity
Le._dataApiKeydownHandler=function(t){
// If not input/textarea:
//- And not a key in REGEXP_KEYDOWN => not a dropdown command
// If input/textarea:
//- If space key => not a dropdown command
//- If key is other than escape
//  - If key is not up or down => not a dropdown command
//  - If trigger inside the menu => not a dropdown command
if((/input|textarea/i.test(t.target.tagName)?!(32===t.which||27!==t.which&&(40!==t.which&&38!==t.which||e(t.target).closest(ye).length)):ce.test(t.which))&&(t.preventDefault(),t.stopPropagation(),!this.disabled&&!e(this).hasClass(ue))){var n=Le._getParentFromElement(this),i=e(n).hasClass(fe);if(i&&(!i||27!==t.which&&32!==t.which)){var o=[].slice.call(n.querySelectorAll(we));if(0!==o.length){var r=o.indexOf(t.target);38===t.which&&r>0&&// Up
r--,40===t.which&&r<o.length-1&&// Down
r++,r<0&&(r=0),o[r].focus()}}else{if(27===t.which){var s=n.querySelector(ve);e(s).trigger("focus")}e(this).trigger("click")}}},Object.defineProperties(Le,je),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(he.KEYDOWN_DATA_API,ve,Le._dataApiKeydownHandler).on(he.KEYDOWN_DATA_API,ye,Le._dataApiKeydownHandler).on(he.CLICK_DATA_API+" "+he.KEYUP_DATA_API,Le._clearMenus).on(he.CLICK_DATA_API,ve,function(t){t.preventDefault(),t.stopPropagation(),Le._jQueryInterface.call(e(this),"toggle")}).on(he.CLICK_DATA_API,be,function(t){t.stopPropagation()}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn[ae]=Le._jQueryInterface,e.fn[ae].Constructor=Le,e.fn[ae].noConflict=function(){return e.fn[ae]=le,Le._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): modal.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var Pe=e.fn.modal,xe={backdrop:!0,keyboard:!0,focus:!0,show:!0},ke={backdrop:"(boolean|string)",keyboard:"boolean",focus:"boolean",show:"boolean"},He={HIDE:"hide.bs.modal",HIDDEN:"hidden.bs.modal",SHOW:"show.bs.modal",SHOWN:"shown.bs.modal",FOCUSIN:"focusin.bs.modal",RESIZE:"resize.bs.modal",CLICK_DISMISS:"click.dismiss.bs.modal",KEYDOWN_DISMISS:"keydown.dismiss.bs.modal",MOUSEUP_DISMISS:"mouseup.dismiss.bs.modal",MOUSEDOWN_DISMISS:"mousedown.dismiss.bs.modal",CLICK_DATA_API:"click.bs.modal.data-api"},Re="modal-dialog-scrollable",Fe="modal-scrollbar-measure",Me="modal-backdrop",We="modal-open",Ue="fade",Ke="show",Be=".modal-dialog",qe=".modal-body",Qe='[data-toggle="modal"]',Ve='[data-dismiss="modal"]',Ye=".fixed-top, .fixed-bottom, .is-fixed, .sticky-top",ze=".sticky-top",Xe=function(t,e){this._config=this._getConfig(e),this._element=t,this._dialog=t.querySelector(Be),this._backdrop=null,this._isShown=!1,this._isBodyOverflowing=!1,this._ignoreBackdropClick=!1,this._isTransitioning=!1,this._scrollbarWidth=0},Ge={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
Ge.VERSION.get=function(){return"4.3.1"},Ge.Default.get=function(){return xe},
// Public
Xe.prototype.toggle=function(t){return this._isShown?this.hide():this.show(t)},Xe.prototype.show=function(t){var n=this;if(!this._isShown&&!this._isTransitioning){e(this._element).hasClass(Ue)&&(this._isTransitioning=!0);var i=e.Event(He.SHOW,{relatedTarget:t});e(this._element).trigger(i),this._isShown||i.isDefaultPrevented()||(this._isShown=!0,this._checkScrollbar(),this._setScrollbar(),this._adjustDialog(),this._setEscapeEvent(),this._setResizeEvent(),e(this._element).on(He.CLICK_DISMISS,Ve,function(t){return n.hide(t)}),e(this._dialog).on(He.MOUSEDOWN_DISMISS,function(){e(n._element).one(He.MOUSEUP_DISMISS,function(t){e(t.target).is(n._element)&&(n._ignoreBackdropClick=!0)})}),this._showBackdrop(function(){return n._showElement(t)}))}},Xe.prototype.hide=function(t){var n=this;if(t&&t.preventDefault(),this._isShown&&!this._isTransitioning){var i=e.Event(He.HIDE);if(e(this._element).trigger(i),this._isShown&&!i.isDefaultPrevented()){this._isShown=!1;var r=e(this._element).hasClass(Ue);if(r&&(this._isTransitioning=!0),this._setEscapeEvent(),this._setResizeEvent(),e(document).off(He.FOCUSIN),e(this._element).removeClass(Ke),e(this._element).off(He.CLICK_DISMISS),e(this._dialog).off(He.MOUSEDOWN_DISMISS),r){var s=o.getTransitionDurationFromElement(this._element);e(this._element).one(o.TRANSITION_END,function(t){return n._hideModal(t)}).emulateTransitionEnd(s)}else this._hideModal()}}},Xe.prototype.dispose=function(){[window,this._element,this._dialog].forEach(function(t){return e(t).off(".bs.modal")}),
/**
   * `document` has 2 events `Event.FOCUSIN` and `Event.CLICK_DATA_API`
   * Do not move `document` in `htmlElements` array
   * It will remove `Event.CLICK_DATA_API` event that should remain
   */
e(document).off(He.FOCUSIN),e.removeData(this._element,"bs.modal"),this._config=null,this._element=null,this._dialog=null,this._backdrop=null,this._isShown=null,this._isBodyOverflowing=null,this._ignoreBackdropClick=null,this._isTransitioning=null,this._scrollbarWidth=null},Xe.prototype.handleUpdate=function(){this._adjustDialog()},
// Private
Xe.prototype._getConfig=function(t){return t=Object.assign({},xe,t),o.typeCheckConfig("modal",t,ke),t},Xe.prototype._showElement=function(t){var n=this,i=e(this._element).hasClass(Ue);this._element.parentNode&&this._element.parentNode.nodeType===Node.ELEMENT_NODE||
// Don't move modal's DOM position
document.body.appendChild(this._element),this._element.style.display="block",this._element.removeAttribute("aria-hidden"),this._element.setAttribute("aria-modal",!0),e(this._dialog).hasClass(Re)?this._dialog.querySelector(qe).scrollTop=0:this._element.scrollTop=0,i&&o.reflow(this._element),e(this._element).addClass(Ke),this._config.focus&&this._enforceFocus();var r=e.Event(He.SHOWN,{relatedTarget:t}),s=function(){n._config.focus&&n._element.focus(),n._isTransitioning=!1,e(n._element).trigger(r)};if(i){var a=o.getTransitionDurationFromElement(this._dialog);e(this._dialog).one(o.TRANSITION_END,s).emulateTransitionEnd(a)}else s()},Xe.prototype._enforceFocus=function(){var t=this;e(document).off(He.FOCUSIN).on(He.FOCUSIN,function(n){document!==n.target&&t._element!==n.target&&0===e(t._element).has(n.target).length&&t._element.focus()})},Xe.prototype._setEscapeEvent=function(){var t=this;this._isShown&&this._config.keyboard?e(this._element).on(He.KEYDOWN_DISMISS,function(e){27===e.which&&(e.preventDefault(),t.hide())}):this._isShown||e(this._element).off(He.KEYDOWN_DISMISS)},Xe.prototype._setResizeEvent=function(){var t=this;this._isShown?e(window).on(He.RESIZE,function(e){return t.handleUpdate(e)}):e(window).off(He.RESIZE)},Xe.prototype._hideModal=function(){var t=this;this._element.style.display="none",this._element.setAttribute("aria-hidden",!0),this._element.removeAttribute("aria-modal"),this._isTransitioning=!1,this._showBackdrop(function(){e(document.body).removeClass(We),t._resetAdjustments(),t._resetScrollbar(),e(t._element).trigger(He.HIDDEN)})},Xe.prototype._removeBackdrop=function(){this._backdrop&&(e(this._backdrop).remove(),this._backdrop=null)},Xe.prototype._showBackdrop=function(t){var n=this,i=e(this._element).hasClass(Ue)?Ue:"";if(this._isShown&&this._config.backdrop){if(this._backdrop=document.createElement("div"),this._backdrop.className=Me,i&&this._backdrop.classList.add(i),e(this._backdrop).appendTo(document.body),e(this._element).on(He.CLICK_DISMISS,function(t){n._ignoreBackdropClick?n._ignoreBackdropClick=!1:t.target===t.currentTarget&&("static"===n._config.backdrop?n._element.focus():n.hide())}),i&&o.reflow(this._backdrop),e(this._backdrop).addClass(Ke),!t)return;if(!i)return void t();var r=o.getTransitionDurationFromElement(this._backdrop);e(this._backdrop).one(o.TRANSITION_END,t).emulateTransitionEnd(r)}else if(!this._isShown&&this._backdrop){e(this._backdrop).removeClass(Ke);var s=function(){n._removeBackdrop(),t&&t()};if(e(this._element).hasClass(Ue)){var a=o.getTransitionDurationFromElement(this._backdrop);e(this._backdrop).one(o.TRANSITION_END,s).emulateTransitionEnd(a)}else s()}else t&&t()},
// ----------------------------------------------------------------------
// the following methods are used to handle overflowing modals
// todo (fat): these should probably be refactored out of modal.js
// ----------------------------------------------------------------------
Xe.prototype._adjustDialog=function(){var t=this._element.scrollHeight>document.documentElement.clientHeight;!this._isBodyOverflowing&&t&&(this._element.style.paddingLeft=this._scrollbarWidth+"px"),this._isBodyOverflowing&&!t&&(this._element.style.paddingRight=this._scrollbarWidth+"px")},Xe.prototype._resetAdjustments=function(){this._element.style.paddingLeft="",this._element.style.paddingRight=""},Xe.prototype._checkScrollbar=function(){var t=document.body.getBoundingClientRect();this._isBodyOverflowing=t.left+t.right<window.innerWidth,this._scrollbarWidth=this._getScrollbarWidth()},Xe.prototype._setScrollbar=function(){var t=this;if(this._isBodyOverflowing){
// Note: DOMNode.style.paddingRight returns the actual value or '' if not set
// while $(DOMNode).css('padding-right') returns the calculated value or 0 if not set
var n=[].slice.call(document.querySelectorAll(Ye)),i=[].slice.call(document.querySelectorAll(ze));
// Adjust fixed content padding
e(n).each(function(n,i){var o=i.style.paddingRight,r=e(i).css("padding-right");e(i).data("padding-right",o).css("padding-right",parseFloat(r)+t._scrollbarWidth+"px")}),
// Adjust sticky content margin
e(i).each(function(n,i){var o=i.style.marginRight,r=e(i).css("margin-right");e(i).data("margin-right",o).css("margin-right",parseFloat(r)-t._scrollbarWidth+"px")});
// Adjust body padding
var o=document.body.style.paddingRight,r=e(document.body).css("padding-right");e(document.body).data("padding-right",o).css("padding-right",parseFloat(r)+this._scrollbarWidth+"px")}e(document.body).addClass(We)},Xe.prototype._resetScrollbar=function(){
// Restore fixed content padding
var t=[].slice.call(document.querySelectorAll(Ye));e(t).each(function(t,n){var i=e(n).data("padding-right");e(n).removeData("padding-right"),n.style.paddingRight=i||""});
// Restore sticky content
var n=[].slice.call(document.querySelectorAll(""+ze));e(n).each(function(t,n){var i=e(n).data("margin-right");void 0!==i&&e(n).css("margin-right",i).removeData("margin-right")});
// Restore body padding
var i=e(document.body).data("padding-right");e(document.body).removeData("padding-right"),document.body.style.paddingRight=i||""},Xe.prototype._getScrollbarWidth=function(){// thx d.walsh
var t=document.createElement("div");t.className=Fe,document.body.appendChild(t);var e=t.getBoundingClientRect().width-t.clientWidth;return document.body.removeChild(t),e},
// Static
Xe._jQueryInterface=function(t,n){return this.each(function(){var i=e(this).data("bs.modal"),o=Object.assign({},xe,e(this).data(),"object"==typeof t&&t?t:{});if(i||(i=new Xe(this,o),e(this).data("bs.modal",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t](n)}else o.show&&i.show(n)})},Object.defineProperties(Xe,Ge),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(He.CLICK_DATA_API,Qe,function(t){var n,i=this,r=o.getSelectorFromElement(this);r&&(n=document.querySelector(r));var s=e(n).data("bs.modal")?"toggle":Object.assign({},e(n).data(),e(this).data());"A"!==this.tagName&&"AREA"!==this.tagName||t.preventDefault();var a=e(n).one(He.SHOW,function(t){t.isDefaultPrevented()||a.one(He.HIDDEN,function(){e(i).is(":visible")&&i.focus()})});Xe._jQueryInterface.call(e(n),s,this)}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.modal=Xe._jQueryInterface,e.fn.modal.Constructor=Xe,e.fn.modal.noConflict=function(){return e.fn.modal=Pe,Xe._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): tools/sanitizer.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
var $e=["background","cite","href","itemtype","longdesc","poster","src","xlink:href"],Je={
// Global attributes allowed on any supplied element below.
"*":["class","dir","id","lang","role",/^aria-[\w-]*$/i],a:["target","href","title","rel"],area:[],b:[],br:[],col:[],code:[],div:[],em:[],hr:[],h1:[],h2:[],h3:[],h4:[],h5:[],h6:[],i:[],img:["src","alt","title","width","height"],li:[],ol:[],p:[],pre:[],s:[],small:[],span:[],sub:[],sup:[],strong:[],u:[],ul:[]},Ze=/^(?:(?:https?|mailto|ftp|tel|file):|[^&:\/?#]*(?:[\/?#]|$))/gi,tn=/^data:(?:image\/(?:bmp|gif|jpeg|jpg|png|tiff|webp)|video\/(?:mpeg|mp4|ogg|webm)|audio\/(?:mp3|oga|ogg|opus));base64,[a-z0-9+\/]+=*$/i;function en(t,e,n){if(0===t.length)return t;if(n&&"function"==typeof n)return n(t);for(var i=(new window.DOMParser).parseFromString(t,"text/html"),o=Object.keys(e),r=[].slice.call(i.body.querySelectorAll("*")),s=function(t,n){var i=r[t],s=i.nodeName.toLowerCase();if(-1!==o.indexOf(i.nodeName.toLowerCase())){var a=[].slice.call(i.attributes),l=[].concat(e["*"]||[],e[s]||[]);a.forEach(function(t){(function(t,e){var n=t.nodeName.toLowerCase();if(-1!==e.indexOf(n))return-1===$e.indexOf(n)||Boolean(t.nodeValue.match(Ze)||t.nodeValue.match(tn));
// Check if a regular expression validates the attribute.
for(var i=e.filter(function(t){return t instanceof RegExp}),o=0,r=i.length;o<r;o++)if(n.match(i[o]))return!0;return!1})(t,l)||i.removeAttribute(t.nodeName)})}else i.parentNode.removeChild(i)},a=0,l=r.length;a<l;a++)s(a);return i.body.innerHTML}
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): tooltip.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */var nn="tooltip",on=e.fn.tooltip,rn=new RegExp("(^|\\s)bs-tooltip\\S+","g"),sn=["sanitize","whiteList","sanitizeFn"],an={animation:"boolean",template:"string",title:"(string|element|function)",trigger:"string",delay:"(number|object)",html:"boolean",selector:"(string|boolean)",placement:"(string|function)",offset:"(number|string|function)",container:"(string|element|boolean)",fallbackPlacement:"(string|array)",boundary:"(string|element)",sanitize:"boolean",sanitizeFn:"(null|function)",whiteList:"object"},ln={AUTO:"auto",TOP:"top",RIGHT:"right",BOTTOM:"bottom",LEFT:"left"},cn={animation:!0,template:'<div class="tooltip" role="tooltip"><div class="arrow"></div><div class="tooltip-inner"></div></div>',trigger:"hover focus",title:"",delay:0,html:!1,selector:!1,placement:"top",offset:0,container:!1,fallbackPlacement:"flip",boundary:"scrollParent",sanitize:!0,sanitizeFn:null,whiteList:Je},hn="show",un="out",fn={HIDE:"hide.bs.tooltip",HIDDEN:"hidden.bs.tooltip",SHOW:"show.bs.tooltip",SHOWN:"shown.bs.tooltip",INSERTED:"inserted.bs.tooltip",CLICK:"click.bs.tooltip",FOCUSIN:"focusin.bs.tooltip",FOCUSOUT:"focusout.bs.tooltip",MOUSEENTER:"mouseenter.bs.tooltip",MOUSELEAVE:"mouseleave.bs.tooltip"},dn="fade",pn="show",gn=".tooltip-inner",mn=".arrow",_n="hover",vn="focus",bn="click",yn="manual",En=function(t,e){
// private
this._isEnabled=!0,this._timeout=0,this._hoverState="",this._activeTrigger={},this._popper=null,
// Protected
this.element=t,this.config=this._getConfig(e),this.tip=null,this._setListeners()},wn={VERSION:{configurable:!0},Default:{configurable:!0},NAME:{configurable:!0},DATA_KEY:{configurable:!0},Event:{configurable:!0},EVENT_KEY:{configurable:!0},DefaultType:{configurable:!0}};
// Getters
wn.VERSION.get=function(){return"4.3.1"},wn.Default.get=function(){return cn},wn.NAME.get=function(){return nn},wn.DATA_KEY.get=function(){return"bs.tooltip"},wn.Event.get=function(){return fn},wn.EVENT_KEY.get=function(){return".bs.tooltip"},wn.DefaultType.get=function(){return an},
// Public
En.prototype.enable=function(){this._isEnabled=!0},En.prototype.disable=function(){this._isEnabled=!1},En.prototype.toggleEnabled=function(){this._isEnabled=!this._isEnabled},En.prototype.toggle=function(t){if(this._isEnabled)if(t){var n=this.constructor.DATA_KEY,i=e(t.currentTarget).data(n);i||(i=new this.constructor(t.currentTarget,this._getDelegateConfig()),e(t.currentTarget).data(n,i)),i._activeTrigger.click=!i._activeTrigger.click,i._isWithActiveTrigger()?i._enter(null,i):i._leave(null,i)}else{if(e(this.getTipElement()).hasClass(pn))return void this._leave(null,this);this._enter(null,this)}},En.prototype.dispose=function(){clearTimeout(this._timeout),e.removeData(this.element,this.constructor.DATA_KEY),e(this.element).off(this.constructor.EVENT_KEY),e(this.element).closest(".modal").off("hide.bs.modal"),this.tip&&e(this.tip).remove(),this._isEnabled=null,this._timeout=null,this._hoverState=null,this._activeTrigger=null,null!==this._popper&&this._popper.destroy(),this._popper=null,this.element=null,this.config=null,this.tip=null},En.prototype.show=function(){var t=this;if("none"===e(this.element).css("display"))throw new Error("Please use show on visible elements");var n=e.Event(this.constructor.Event.SHOW);if(this.isWithContent()&&this._isEnabled){e(this.element).trigger(n);var i=o.findShadowRoot(this.element),r=e.contains(null!==i?i:this.element.ownerDocument.documentElement,this.element);if(n.isDefaultPrevented()||!r)return;var s=this.getTipElement(),a=o.getUID(this.constructor.NAME);s.setAttribute("id",a),this.element.setAttribute("aria-describedby",a),this.setContent(),this.config.animation&&e(s).addClass(dn);var l="function"==typeof this.config.placement?this.config.placement.call(this,s,this.element):this.config.placement,c=this._getAttachment(l);this.addAttachmentClass(c);var h=this._getContainer();e(s).data(this.constructor.DATA_KEY,this),e.contains(this.element.ownerDocument.documentElement,this.tip)||e(s).appendTo(h),e(this.element).trigger(this.constructor.Event.INSERTED),this._popper=new se(this.element,s,{placement:c,modifiers:{offset:this._getOffset(),flip:{behavior:this.config.fallbackPlacement},arrow:{element:mn},preventOverflow:{boundariesElement:this.config.boundary}},onCreate:function(e){e.originalPlacement!==e.placement&&t._handlePopperPlacementChange(e)},onUpdate:function(e){return t._handlePopperPlacementChange(e)}}),e(s).addClass(pn),
// If this is a touch-enabled device we add extra
// empty mouseover listeners to the body's immediate children;
// only needed because of broken event delegation on iOS
// https://www.quirksmode.org/blog/archives/2014/02/mouse_event_bub.html
"ontouchstart"in document.documentElement&&e(document.body).children().on("mouseover",null,e.noop);var u=function(){t.config.animation&&t._fixTransition();var n=t._hoverState;t._hoverState=null,e(t.element).trigger(t.constructor.Event.SHOWN),n===un&&t._leave(null,t)};if(e(this.tip).hasClass(dn)){var f=o.getTransitionDurationFromElement(this.tip);e(this.tip).one(o.TRANSITION_END,u).emulateTransitionEnd(f)}else u()}},En.prototype.hide=function(t){var n=this,i=this.getTipElement(),r=e.Event(this.constructor.Event.HIDE),s=function(){n._hoverState!==hn&&i.parentNode&&i.parentNode.removeChild(i),n._cleanTipClass(),n.element.removeAttribute("aria-describedby"),e(n.element).trigger(n.constructor.Event.HIDDEN),null!==n._popper&&n._popper.destroy(),t&&t()};if(e(this.element).trigger(r),!r.isDefaultPrevented()){if(e(i).removeClass(pn),
// If this is a touch-enabled device we remove the extra
// empty mouseover listeners we added for iOS support
"ontouchstart"in document.documentElement&&e(document.body).children().off("mouseover",null,e.noop),this._activeTrigger[bn]=!1,this._activeTrigger[vn]=!1,this._activeTrigger[_n]=!1,e(this.tip).hasClass(dn)){var a=o.getTransitionDurationFromElement(i);e(i).one(o.TRANSITION_END,s).emulateTransitionEnd(a)}else s();this._hoverState=""}},En.prototype.update=function(){null!==this._popper&&this._popper.scheduleUpdate()},
// Protected
En.prototype.isWithContent=function(){return Boolean(this.getTitle())},En.prototype.addAttachmentClass=function(t){e(this.getTipElement()).addClass("bs-tooltip-"+t)},En.prototype.getTipElement=function(){return this.tip=this.tip||e(this.config.template)[0],this.tip},En.prototype.setContent=function(){var t=this.getTipElement();this.setElementContent(e(t.querySelectorAll(gn)),this.getTitle()),e(t).removeClass(dn+" "+pn)},En.prototype.setElementContent=function(t,n){"object"!=typeof n||!n.nodeType&&!n.jquery?this.config.html?(this.config.sanitize&&(n=en(n,this.config.whiteList,this.config.sanitizeFn)),t.html(n)):t.text(n):
// Content is a DOM node or a jQuery
this.config.html?e(n).parent().is(t)||t.empty().append(n):t.text(e(n).text())},En.prototype.getTitle=function(){var t=this.element.getAttribute("data-original-title");return t||(t="function"==typeof this.config.title?this.config.title.call(this.element):this.config.title),t},
// Private
En.prototype._getOffset=function(){var t=this,e={};return"function"==typeof this.config.offset?e.fn=function(e){return e.offsets=Object.assign({},e.offsets,t.config.offset(e.offsets,t.element)||{}),e}:e.offset=this.config.offset,e},En.prototype._getContainer=function(){return!1===this.config.container?document.body:o.isElement(this.config.container)?e(this.config.container):e(document).find(this.config.container)},En.prototype._getAttachment=function(t){return ln[t.toUpperCase()]},En.prototype._setListeners=function(){var t=this;this.config.trigger.split(" ").forEach(function(n){if("click"===n)e(t.element).on(t.constructor.Event.CLICK,t.config.selector,function(e){return t.toggle(e)});else if(n!==yn){var i=n===_n?t.constructor.Event.MOUSEENTER:t.constructor.Event.FOCUSIN,o=n===_n?t.constructor.Event.MOUSELEAVE:t.constructor.Event.FOCUSOUT;e(t.element).on(i,t.config.selector,function(e){return t._enter(e)}).on(o,t.config.selector,function(e){return t._leave(e)})}}),e(this.element).closest(".modal").on("hide.bs.modal",function(){t.element&&t.hide()}),this.config.selector?this.config=Object.assign({},this.config,{trigger:"manual",selector:""}):this._fixTitle()},En.prototype._fixTitle=function(){var t=typeof this.element.getAttribute("data-original-title");(this.element.getAttribute("title")||"string"!==t)&&(this.element.setAttribute("data-original-title",this.element.getAttribute("title")||""),this.element.setAttribute("title",""))},En.prototype._enter=function(t,n){var i=this.constructor.DATA_KEY;(n=n||e(t.currentTarget).data(i))||(n=new this.constructor(t.currentTarget,this._getDelegateConfig()),e(t.currentTarget).data(i,n)),t&&(n._activeTrigger["focusin"===t.type?vn:_n]=!0),e(n.getTipElement()).hasClass(pn)||n._hoverState===hn?n._hoverState=hn:(clearTimeout(n._timeout),n._hoverState=hn,n.config.delay&&n.config.delay.show?n._timeout=setTimeout(function(){n._hoverState===hn&&n.show()},n.config.delay.show):n.show())},En.prototype._leave=function(t,n){var i=this.constructor.DATA_KEY;(n=n||e(t.currentTarget).data(i))||(n=new this.constructor(t.currentTarget,this._getDelegateConfig()),e(t.currentTarget).data(i,n)),t&&(n._activeTrigger["focusout"===t.type?vn:_n]=!1),n._isWithActiveTrigger()||(clearTimeout(n._timeout),n._hoverState=un,n.config.delay&&n.config.delay.hide?n._timeout=setTimeout(function(){n._hoverState===un&&n.hide()},n.config.delay.hide):n.hide())},En.prototype._isWithActiveTrigger=function(){for(var t in this._activeTrigger)if(this._activeTrigger[t])return!0;return!1},En.prototype._getConfig=function(t){var n=e(this.element).data();return Object.keys(n).forEach(function(t){-1!==sn.indexOf(t)&&delete n[t]}),"number"==typeof(t=Object.assign({},this.constructor.Default,n,"object"==typeof t&&t?t:{})).delay&&(t.delay={show:t.delay,hide:t.delay}),"number"==typeof t.title&&(t.title=t.title.toString()),"number"==typeof t.content&&(t.content=t.content.toString()),o.typeCheckConfig(nn,t,this.constructor.DefaultType),t.sanitize&&(t.template=en(t.template,t.whiteList,t.sanitizeFn)),t},En.prototype._getDelegateConfig=function(){var t={};if(this.config)for(var e in this.config)this.constructor.Default[e]!==this.config[e]&&(t[e]=this.config[e]);return t},En.prototype._cleanTipClass=function(){var t=e(this.getTipElement()),n=t.attr("class").match(rn);null!==n&&n.length&&t.removeClass(n.join(""))},En.prototype._handlePopperPlacementChange=function(t){var e=t.instance;this.tip=e.popper,this._cleanTipClass(),this.addAttachmentClass(this._getAttachment(t.placement))},En.prototype._fixTransition=function(){var t=this.getTipElement(),n=this.config.animation;null===t.getAttribute("x-placement")&&(e(t).removeClass(dn),this.config.animation=!1,this.hide(),this.show(),this.config.animation=n)},
// Static
En._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.tooltip"),i="object"==typeof t&&t;if((n||!/dispose|hide/.test(t))&&(n||(n=new En(this,i),e(this).data("bs.tooltip",n)),"string"==typeof t)){if(void 0===n[t])throw new TypeError('No method named "'+t+'"');n[t]()}})},Object.defineProperties(En,wn),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.tooltip=En._jQueryInterface,e.fn.tooltip.Constructor=En,e.fn.tooltip.noConflict=function(){return e.fn.tooltip=on,En._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): popover.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var Cn="popover",Tn=e.fn.popover,Sn=new RegExp("(^|\\s)bs-popover\\S+","g"),Dn=Object.assign({},En.Default,{placement:"right",trigger:"click",content:"",template:'<div class="popover" role="tooltip"><div class="arrow"></div><h3 class="popover-header"></h3><div class="popover-body"></div></div>'}),In=Object.assign({},En.DefaultType,{content:"(string|element|function)"}),On="fade",An="show",Nn=".popover-header",Ln=".popover-body",jn={HIDE:"hide.bs.popover",HIDDEN:"hidden.bs.popover",SHOW:"show.bs.popover",SHOWN:"shown.bs.popover",INSERTED:"inserted.bs.popover",CLICK:"click.bs.popover",FOCUSIN:"focusin.bs.popover",FOCUSOUT:"focusout.bs.popover",MOUSEENTER:"mouseenter.bs.popover",MOUSELEAVE:"mouseleave.bs.popover"},Pn=function(t){function n(){t.apply(this,arguments)}t&&(n.__proto__=t),n.prototype=Object.create(t&&t.prototype),n.prototype.constructor=n;var i={VERSION:{configurable:!0},Default:{configurable:!0},NAME:{configurable:!0},DATA_KEY:{configurable:!0},Event:{configurable:!0},EVENT_KEY:{configurable:!0},DefaultType:{configurable:!0}};return i.VERSION.get=function(){return"4.3.1"},i.Default.get=function(){return Dn},i.NAME.get=function(){return Cn},i.DATA_KEY.get=function(){return"bs.popover"},i.Event.get=function(){return jn},i.EVENT_KEY.get=function(){return".bs.popover"},i.DefaultType.get=function(){return In},
// Overrides
n.prototype.isWithContent=function(){return this.getTitle()||this._getContent()},n.prototype.addAttachmentClass=function(t){e(this.getTipElement()).addClass("bs-popover-"+t)},n.prototype.getTipElement=function(){return this.tip=this.tip||e(this.config.template)[0],this.tip},n.prototype.setContent=function(){var t=e(this.getTipElement());
// We use append for html objects to maintain js events
this.setElementContent(t.find(Nn),this.getTitle());var n=this._getContent();"function"==typeof n&&(n=n.call(this.element)),this.setElementContent(t.find(Ln),n),t.removeClass(On+" "+An)},
// Private
n.prototype._getContent=function(){return this.element.getAttribute("data-content")||this.config.content},n.prototype._cleanTipClass=function(){var t=e(this.getTipElement()),n=t.attr("class").match(Sn);null!==n&&n.length>0&&t.removeClass(n.join(""))},
// Static
n._jQueryInterface=function(t){return this.each(function(){var i=e(this).data("bs.popover"),o="object"==typeof t?t:null;if((i||!/dispose|hide/.test(t))&&(i||(i=new n(this,o),e(this).data("bs.popover",i)),"string"==typeof t)){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t]()}})},Object.defineProperties(n,i),n}(En);
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.popover=Pn._jQueryInterface,e.fn.popover.Constructor=Pn,e.fn.popover.noConflict=function(){return e.fn.popover=Tn,Pn._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): scrollspy.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var xn="scrollspy",kn=e.fn[xn],Hn={offset:10,method:"auto",target:""},Rn={offset:"number",method:"string",target:"(string|element)"},Fn={ACTIVATE:"activate.bs.scrollspy",SCROLL:"scroll.bs.scrollspy",LOAD_DATA_API:"load.bs.scrollspy.data-api"},Mn="dropdown-item",Wn="active",Un='[data-spy="scroll"]',Kn=".nav, .list-group",Bn=".nav-link",qn=".nav-item",Qn=".list-group-item",Vn=".dropdown",Yn=".dropdown-item",zn=".dropdown-toggle",Xn="offset",Gn="position",$n=function(t,n){var i=this;this._element=t,this._scrollElement="BODY"===t.tagName?window:t,this._config=this._getConfig(n),this._selector=this._config.target+" "+Bn+","+this._config.target+" "+Qn+","+this._config.target+" "+Yn,this._offsets=[],this._targets=[],this._activeTarget=null,this._scrollHeight=0,e(this._scrollElement).on(Fn.SCROLL,function(t){return i._process(t)}),this.refresh(),this._process()},Jn={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
Jn.VERSION.get=function(){return"4.3.1"},Jn.Default.get=function(){return Hn},
// Public
$n.prototype.refresh=function(){var t=this,n=this._scrollElement===this._scrollElement.window?Xn:Gn,i="auto"===this._config.method?n:this._config.method,r=i===Gn?this._getScrollTop():0;this._offsets=[],this._targets=[],this._scrollHeight=this._getScrollHeight(),[].slice.call(document.querySelectorAll(this._selector)).map(function(t){var n,s=o.getSelectorFromElement(t);if(s&&(n=document.querySelector(s)),n){var a=n.getBoundingClientRect();if(a.width||a.height)
// TODO (fat): remove sketch reliance on jQuery position/offset
return[e(n)[i]().top+r,s]}return null}).filter(function(t){return t}).sort(function(t,e){return t[0]-e[0]}).forEach(function(e){t._offsets.push(e[0]),t._targets.push(e[1])})},$n.prototype.dispose=function(){e.removeData(this._element,"bs.scrollspy"),e(this._scrollElement).off(".bs.scrollspy"),this._element=null,this._scrollElement=null,this._config=null,this._selector=null,this._offsets=null,this._targets=null,this._activeTarget=null,this._scrollHeight=null},
// Private
$n.prototype._getConfig=function(t){if("string"!=typeof(t=Object.assign({},Hn,"object"==typeof t&&t?t:{})).target){var n=e(t.target).attr("id");n||(n=o.getUID(xn),e(t.target).attr("id",n)),t.target="#"+n}return o.typeCheckConfig(xn,t,Rn),t},$n.prototype._getScrollTop=function(){return this._scrollElement===window?this._scrollElement.pageYOffset:this._scrollElement.scrollTop},$n.prototype._getScrollHeight=function(){return this._scrollElement.scrollHeight||Math.max(document.body.scrollHeight,document.documentElement.scrollHeight)},$n.prototype._getOffsetHeight=function(){return this._scrollElement===window?window.innerHeight:this._scrollElement.getBoundingClientRect().height},$n.prototype._process=function(){var t=this._getScrollTop()+this._config.offset,e=this._getScrollHeight(),n=this._config.offset+e-this._getOffsetHeight();if(this._scrollHeight!==e&&this.refresh(),t>=n){var i=this._targets[this._targets.length-1];this._activeTarget!==i&&this._activate(i)}else{if(this._activeTarget&&t<this._offsets[0]&&this._offsets[0]>0)return this._activeTarget=null,void this._clear();for(var o=this._offsets.length;o--;){this._activeTarget!==this._targets[o]&&t>=this._offsets[o]&&(void 0===this._offsets[o+1]||t<this._offsets[o+1])&&this._activate(this._targets[o])}}},$n.prototype._activate=function(t){this._activeTarget=t,this._clear();var n=this._selector.split(",").map(function(e){return e+'[data-target="'+t+'"],'+e+'[href="'+t+'"]'}),i=e([].slice.call(document.querySelectorAll(n.join(","))));i.hasClass(Mn)?(i.closest(Vn).find(zn).addClass(Wn),i.addClass(Wn)):(
// Set triggered link as active
i.addClass(Wn),
// Set triggered links parents as active
// With both <ul> and <nav> markup a parent is the previous sibling of any nav ancestor
i.parents(Kn).prev(Bn+", "+Qn).addClass(Wn),
// Handle special case when .nav-link is inside .nav-item
i.parents(Kn).prev(qn).children(Bn).addClass(Wn)),e(this._scrollElement).trigger(Fn.ACTIVATE,{relatedTarget:t})},$n.prototype._clear=function(){[].slice.call(document.querySelectorAll(this._selector)).filter(function(t){return t.classList.contains(Wn)}).forEach(function(t){return t.classList.remove(Wn)})},
// Static
$n._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.scrollspy");if(n||(n=new $n(this,"object"==typeof t&&t),e(this).data("bs.scrollspy",n)),"string"==typeof t){if(void 0===n[t])throw new TypeError('No method named "'+t+'"');n[t]()}})},Object.defineProperties($n,Jn),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(window).on(Fn.LOAD_DATA_API,function(){for(var t=[].slice.call(document.querySelectorAll(Un)),n=t.length;n--;){var i=e(t[n]);$n._jQueryInterface.call(i,i.data())}}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn[xn]=$n._jQueryInterface,e.fn[xn].Constructor=$n,e.fn[xn].noConflict=function(){return e.fn[xn]=kn,$n._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): tab.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var Zn=e.fn.tab,ti={HIDE:"hide.bs.tab",HIDDEN:"hidden.bs.tab",SHOW:"show.bs.tab",SHOWN:"shown.bs.tab",CLICK_DATA_API:"click.bs.tab.data-api"},ei="dropdown-menu",ni="active",ii="disabled",oi="fade",ri="show",si=".dropdown",ai=".nav, .list-group",li=".active",ci="> li > .active",hi='[data-toggle="tab"], [data-toggle="pill"], [data-toggle="list"]',ui=".dropdown-toggle",fi="> .dropdown-menu .active",di=function(t){this._element=t},pi={VERSION:{configurable:!0}};
// Getters
pi.VERSION.get=function(){return"4.3.1"},
// Public
di.prototype.show=function(){var t=this;if(!(this._element.parentNode&&this._element.parentNode.nodeType===Node.ELEMENT_NODE&&e(this._element).hasClass(ni)||e(this._element).hasClass(ii))){var n,i,r=e(this._element).closest(ai)[0],s=o.getSelectorFromElement(this._element);if(r){var a="UL"===r.nodeName||"OL"===r.nodeName?ci:li;i=(i=e.makeArray(e(r).find(a)))[i.length-1]}var l=e.Event(ti.HIDE,{relatedTarget:this._element}),c=e.Event(ti.SHOW,{relatedTarget:i});if(i&&e(i).trigger(l),e(this._element).trigger(c),!c.isDefaultPrevented()&&!l.isDefaultPrevented()){s&&(n=document.querySelector(s)),this._activate(this._element,r);var h=function(){var n=e.Event(ti.HIDDEN,{relatedTarget:t._element}),o=e.Event(ti.SHOWN,{relatedTarget:i});e(i).trigger(n),e(t._element).trigger(o)};n?this._activate(n,n.parentNode,h):h()}}},di.prototype.dispose=function(){e.removeData(this._element,"bs.tab"),this._element=null},
// Private
di.prototype._activate=function(t,n,i){var r=this,s=(!n||"UL"!==n.nodeName&&"OL"!==n.nodeName?e(n).children(li):e(n).find(ci))[0],a=i&&s&&e(s).hasClass(oi),l=function(){return r._transitionComplete(t,s,i)};if(s&&a){var c=o.getTransitionDurationFromElement(s);e(s).removeClass(ri).one(o.TRANSITION_END,l).emulateTransitionEnd(c)}else l()},di.prototype._transitionComplete=function(t,n,i){if(n){e(n).removeClass(ni);var r=e(n.parentNode).find(fi)[0];r&&e(r).removeClass(ni),"tab"===n.getAttribute("role")&&n.setAttribute("aria-selected",!1)}if(e(t).addClass(ni),"tab"===t.getAttribute("role")&&t.setAttribute("aria-selected",!0),o.reflow(t),t.classList.contains(oi)&&t.classList.add(ri),t.parentNode&&e(t.parentNode).hasClass(ei)){var s=e(t).closest(si)[0];if(s){var a=[].slice.call(s.querySelectorAll(ui));e(a).addClass(ni)}t.setAttribute("aria-expanded",!0)}i&&i()},
// Static
di._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.tab");if(i||(i=new di(this),n.data("bs.tab",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t]()}})},Object.defineProperties(di,pi),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(ti.CLICK_DATA_API,hi,function(t){t.preventDefault(),di._jQueryInterface.call(e(this),"show")}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.tab=di._jQueryInterface,e.fn.tab.Constructor=di,e.fn.tab.noConflict=function(){return e.fn.tab=Zn,di._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): toast.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var gi=e.fn.toast,mi={CLICK_DISMISS:"click.dismiss.bs.toast",HIDE:"hide.bs.toast",HIDDEN:"hidden.bs.toast",SHOW:"show.bs.toast",SHOWN:"shown.bs.toast"},_i="fade",vi="hide",bi="show",yi="showing",Ei={animation:"boolean",autohide:"boolean",delay:"number"},wi={animation:!0,autohide:!0,delay:500},Ci='[data-dismiss="toast"]',Ti=function(t,e){this._element=t,this._config=this._getConfig(e),this._timeout=null,this._setListeners()},Si={VERSION:{configurable:!0},DefaultType:{configurable:!0},Default:{configurable:!0}};
// Getters
Si.VERSION.get=function(){return"4.3.1"},Si.DefaultType.get=function(){return Ei},Si.Default.get=function(){return wi},
// Public
Ti.prototype.show=function(){var t=this;e(this._element).trigger(mi.SHOW),this._config.animation&&this._element.classList.add(_i);var n=function(){t._element.classList.remove(yi),t._element.classList.add(bi),e(t._element).trigger(mi.SHOWN),t._config.autohide&&t.hide()};if(this._element.classList.remove(vi),this._element.classList.add(yi),this._config.animation){var i=o.getTransitionDurationFromElement(this._element);e(this._element).one(o.TRANSITION_END,n).emulateTransitionEnd(i)}else n()},Ti.prototype.hide=function(t){var n=this;this._element.classList.contains(bi)&&(e(this._element).trigger(mi.HIDE),t?this._close():this._timeout=setTimeout(function(){n._close()},this._config.delay))},Ti.prototype.dispose=function(){clearTimeout(this._timeout),this._timeout=null,this._element.classList.contains(bi)&&this._element.classList.remove(bi),e(this._element).off(mi.CLICK_DISMISS),e.removeData(this._element,"bs.toast"),this._element=null,this._config=null},
// Private
Ti.prototype._getConfig=function(t){return t=Object.assign({},wi,e(this._element).data(),"object"==typeof t&&t?t:{}),o.typeCheckConfig("toast",t,this.constructor.DefaultType),t},Ti.prototype._setListeners=function(){var t=this;e(this._element).on(mi.CLICK_DISMISS,Ci,function(){return t.hide(!0)})},Ti.prototype._close=function(){var t=this,n=function(){t._element.classList.add(vi),e(t._element).trigger(mi.HIDDEN)};if(this._element.classList.remove(bi),this._config.animation){var i=o.getTransitionDurationFromElement(this._element);e(this._element).one(o.TRANSITION_END,n).emulateTransitionEnd(i)}else n()},
// Static
Ti._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.toast");if(i||(i=new Ti(this,"object"==typeof t&&t),n.data("bs.toast",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t](this)}})},Object.defineProperties(Ti,Si),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.toast=Ti._jQueryInterface,e.fn.toast.Constructor=Ti,e.fn.toast.noConflict=function(){return e.fn.toast=gi,Ti._jQueryInterface},
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): index.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
function(){if(void 0===e)throw new TypeError("Bootstrap's JavaScript requires jQuery. jQuery must be included before Bootstrap's JavaScript.");var t=e.fn.jquery.split(" ")[0].split(".");if(t[0]<2&&t[1]<9||1===t[0]&&9===t[1]&&t[2]<1||t[0]>=4)throw new Error("Bootstrap's JavaScript requires at least jQuery v1.9.1 but less than v4.0.0")}(),t.Util=o,t.Alert=h,t.Button=w,t.Carousel=$,t.Collapse=ft,t.Dropdown=Le,t.Modal=Xe,t.Popover=Pn,t.Scrollspy=$n,t.Tab=di,t.Toast=Ti,t.Tooltip=En,Object.defineProperty(t,"__esModule",{value:!0})});
//# sourceMappingURL=bootstrap.bundle.js.map
//# sourceMappingURL=bootstrap.bundle.min.js.map