/*!
  * Bootstrap v4.3.1 (https://getbootstrap.com/)
  * Copyright 2011-2019 The Bootstrap Authors (https://github.com/twbs/bootstrap/graphs/contributors)
  * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
  */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?e(exports,require("jquery"),require("popper.js")):"function"==typeof define&&define.amd?define(["exports","jquery","popper.js"],e):e(t.bootstrap={},t.jQuery,t.Popper)}(this,function(t,e,n){"use strict";e=e&&e.hasOwnProperty("default")?e.default:e,n=n&&n.hasOwnProperty("default")?n.default:n;
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): util.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Private TransitionEnd Helpers
 * ------------------------------------------------------------------------
 */
var i="transitionend";function o(t){var n=this,i=!1;return e(this).one(s.TRANSITION_END,function(){i=!0}),setTimeout(function(){i||s.triggerTransitionEnd(n)},t),this}
/**
 * --------------------------------------------------------------------------
 * Public Util Api
 * --------------------------------------------------------------------------
 */
var s={TRANSITION_END:"bsTransitionEnd",getUID:function(t){do{
// eslint-disable-next-line no-bitwise
t+=~~(1e6*Math.random());// "~~" acts like a faster Math.floor() here
}while(document.getElementById(t));return t},getSelectorFromElement:function(t){var e=t.getAttribute("data-target");if(!e||"#"===e){var n=t.getAttribute("href");e=n&&"#"!==n?n.trim():""}try{return document.querySelector(e)?e:null}catch(t){return null}},getTransitionDurationFromElement:function(t){if(!t)return 0;
// Get transition-duration of the element
var n=e(t).css("transition-duration"),i=e(t).css("transition-delay"),o=parseFloat(n),s=parseFloat(i);
// Return 0 if element or transition duration is not found
return o||s?(
// If multiple durations are defined, take the first
n=n.split(",")[0],i=i.split(",")[0],1e3*(parseFloat(n)+parseFloat(i))):0},reflow:function(t){return t.offsetHeight},triggerTransitionEnd:function(t){e(t).trigger(i)},
// TODO: Remove in v5
supportsTransitionEnd:function(){return Boolean(i)},isElement:function(t){return(t[0]||t).nodeType},typeCheckConfig:function(t,e,n){for(var i in n)if(Object.prototype.hasOwnProperty.call(n,i)){var o=n[i],r=e[i],a=r&&s.isElement(r)?"element":(l=r,{}.toString.call(l).match(/\s([a-z]+)/i)[1].toLowerCase());if(!new RegExp(o).test(a))throw new Error(t.toUpperCase()+': Option "'+i+'" provided type "'+a+'" but expected type "'+o+'".')}
// Shoutout AngusCroll (https://goo.gl/pxwQGp)
var l},findShadowRoot:function(t){if(!document.documentElement.attachShadow)return null;
// Can find the shadow root otherwise it'll return the document
if("function"==typeof t.getRootNode){var e=t.getRootNode();return e instanceof ShadowRoot?e:null}return t instanceof ShadowRoot?t:
// when we don't find a shadow root
t.parentNode?s.findShadowRoot(t.parentNode):null}};e.fn.emulateTransitionEnd=o,e.event.special[s.TRANSITION_END]={bindType:i,delegateType:i,handle:function(t){if(e(t.target).is(this))return t.handleObj.handler.apply(this,arguments);// eslint-disable-line prefer-rest-params
}};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): alert.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var r=e.fn.alert,a={CLOSE:"close.bs.alert",CLOSED:"closed.bs.alert",CLICK_DATA_API:"click.bs.alert.data-api"},l="alert",c="fade",h="show",u=function(t){this._element=t},f={VERSION:{configurable:!0}};
// Getters
f.VERSION.get=function(){return"4.3.1"},
// Public
u.prototype.close=function(t){var e=this._element;t&&(e=this._getRootElement(t)),this._triggerCloseEvent(e).isDefaultPrevented()||this._removeElement(e)},u.prototype.dispose=function(){e.removeData(this._element,"bs.alert"),this._element=null},
// Private
u.prototype._getRootElement=function(t){var n=s.getSelectorFromElement(t),i=!1;return n&&(i=document.querySelector(n)),i||(i=e(t).closest("."+l)[0]),i},u.prototype._triggerCloseEvent=function(t){var n=e.Event(a.CLOSE);return e(t).trigger(n),n},u.prototype._removeElement=function(t){var n=this;if(e(t).removeClass(h),e(t).hasClass(c)){var i=s.getTransitionDurationFromElement(t);e(t).one(s.TRANSITION_END,function(e){return n._destroyElement(t,e)}).emulateTransitionEnd(i)}else this._destroyElement(t)},u.prototype._destroyElement=function(t){e(t).detach().trigger(a.CLOSED).remove()},
// Static
u._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.alert");i||(i=new u(this),n.data("bs.alert",i)),"close"===t&&i[t](this)})},u._handleDismiss=function(t){return function(e){e&&e.preventDefault(),t.close(this)}},Object.defineProperties(u,f),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(a.CLICK_DATA_API,'[data-dismiss="alert"]',u._handleDismiss(new u)),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.alert=u._jQueryInterface,e.fn.alert.Constructor=u,e.fn.alert.noConflict=function(){return e.fn.alert=r,u._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): button.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var d=e.fn.button,p="active",g="btn",_="focus",m='[data-toggle^="button"]',v='[data-toggle="buttons"]',y='input:not([type="hidden"])',b=".active",E=".btn",C={CLICK_DATA_API:"click.bs.button.data-api",FOCUS_BLUR_DATA_API:"focus.bs.button.data-api blur.bs.button.data-api"},T=function(t){this._element=t},S={VERSION:{configurable:!0}};
// Getters
S.VERSION.get=function(){return"4.3.1"},
// Public
T.prototype.toggle=function(){var t=!0,n=!0,i=e(this._element).closest(v)[0];if(i){var o=this._element.querySelector(y);if(o){if("radio"===o.type)if(o.checked&&this._element.classList.contains(p))t=!1;else{var s=i.querySelector(b);s&&e(s).removeClass(p)}if(t){if(o.hasAttribute("disabled")||i.hasAttribute("disabled")||o.classList.contains("disabled")||i.classList.contains("disabled"))return;o.checked=!this._element.classList.contains(p),e(o).trigger("change")}o.focus(),n=!1}}n&&this._element.setAttribute("aria-pressed",!this._element.classList.contains(p)),t&&e(this._element).toggleClass(p)},T.prototype.dispose=function(){e.removeData(this._element,"bs.button"),this._element=null},
// Static
T._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.button");n||(n=new T(this),e(this).data("bs.button",n)),"toggle"===t&&n[t]()})},Object.defineProperties(T,S),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(C.CLICK_DATA_API,m,function(t){t.preventDefault();var n=t.target;e(n).hasClass(g)||(n=e(n).closest(E)),T._jQueryInterface.call(e(n),"toggle")}).on(C.FOCUS_BLUR_DATA_API,m,function(t){var n=e(t.target).closest(E)[0];e(n).toggleClass(_,/^focus(in)?$/.test(t.type))}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.button=T._jQueryInterface,e.fn.button.Constructor=T,e.fn.button.noConflict=function(){return e.fn.button=d,T._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): carousel.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var I="carousel",D=".bs.carousel",w=e.fn[I],A={interval:5e3,keyboard:!0,slide:!1,pause:"hover",wrap:!0,touch:!0},O={interval:"(number|boolean)",keyboard:"boolean",slide:"(boolean|string)",pause:"(string|boolean)",wrap:"boolean",touch:"boolean"},N="next",j="prev",P="left",L="right",k={SLIDE:"slide.bs.carousel",SLID:"slid.bs.carousel",KEYDOWN:"keydown.bs.carousel",MOUSEENTER:"mouseenter.bs.carousel",MOUSELEAVE:"mouseleave.bs.carousel",TOUCHSTART:"touchstart.bs.carousel",TOUCHMOVE:"touchmove.bs.carousel",TOUCHEND:"touchend.bs.carousel",POINTERDOWN:"pointerdown.bs.carousel",POINTERUP:"pointerup.bs.carousel",DRAG_START:"dragstart.bs.carousel",LOAD_DATA_API:"load.bs.carousel.data-api",CLICK_DATA_API:"click.bs.carousel.data-api"},R="carousel",H="active",x="slide",F="carousel-item-right",U="carousel-item-left",W="carousel-item-next",M="carousel-item-prev",q="pointer-event",K=".active",Q=".active.carousel-item",B=".carousel-item",V=".carousel-item img",Y=".carousel-item-next, .carousel-item-prev",z=".carousel-indicators",X="[data-slide], [data-slide-to]",$='[data-ride="carousel"]',G={TOUCH:"touch",PEN:"pen"},J=function(t,e){this._items=null,this._interval=null,this._activeElement=null,this._isPaused=!1,this._isSliding=!1,this.touchTimeout=null,this.touchStartX=0,this.touchDeltaX=0,this._config=this._getConfig(e),this._element=t,this._indicatorsElement=this._element.querySelector(z),this._touchSupported="ontouchstart"in document.documentElement||navigator.maxTouchPoints>0,this._pointerEvent=Boolean(window.PointerEvent||window.MSPointerEvent),this._addEventListeners()},Z={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
Z.VERSION.get=function(){return"4.3.1"},Z.Default.get=function(){return A},
// Public
J.prototype.next=function(){this._isSliding||this._slide(N)},J.prototype.nextWhenVisible=function(){
// Don't call next when the page isn't visible
// or the carousel or its parent isn't visible
!document.hidden&&e(this._element).is(":visible")&&"hidden"!==e(this._element).css("visibility")&&this.next()},J.prototype.prev=function(){this._isSliding||this._slide(j)},J.prototype.pause=function(t){t||(this._isPaused=!0),this._element.querySelector(Y)&&(s.triggerTransitionEnd(this._element),this.cycle(!0)),clearInterval(this._interval),this._interval=null},J.prototype.cycle=function(t){t||(this._isPaused=!1),this._interval&&(clearInterval(this._interval),this._interval=null),this._config.interval&&!this._isPaused&&(this._interval=setInterval((document.visibilityState?this.nextWhenVisible:this.next).bind(this),this._config.interval))},J.prototype.to=function(t){var n=this;this._activeElement=this._element.querySelector(Q);var i=this._getItemIndex(this._activeElement);if(!(t>this._items.length-1||t<0))if(this._isSliding)e(this._element).one(k.SLID,function(){return n.to(t)});else{if(i===t)return this.pause(),void this.cycle();var o=t>i?N:j;this._slide(o,this._items[t])}},J.prototype.dispose=function(){e(this._element).off(D),e.removeData(this._element,"bs.carousel"),this._items=null,this._config=null,this._element=null,this._interval=null,this._isPaused=null,this._isSliding=null,this._activeElement=null,this._indicatorsElement=null},
// Private
J.prototype._getConfig=function(t){return t=Object.assign({},A,t),s.typeCheckConfig(I,t,O),t},J.prototype._handleSwipe=function(){var t=Math.abs(this.touchDeltaX);if(!(t<=40)){var e=t/this.touchDeltaX;
// swipe left
e>0&&this.prev(),
// swipe right
e<0&&this.next()}},J.prototype._addEventListeners=function(){var t=this;this._config.keyboard&&e(this._element).on(k.KEYDOWN,function(e){return t._keydown(e)}),"hover"===this._config.pause&&e(this._element).on(k.MOUSEENTER,function(e){return t.pause(e)}).on(k.MOUSELEAVE,function(e){return t.cycle(e)}),this._config.touch&&this._addTouchEventListeners()},J.prototype._addTouchEventListeners=function(){var t=this;if(this._touchSupported){var n=function(e){t._pointerEvent&&G[e.originalEvent.pointerType.toUpperCase()]?t.touchStartX=e.originalEvent.clientX:t._pointerEvent||(t.touchStartX=e.originalEvent.touches[0].clientX)},i=function(e){t._pointerEvent&&G[e.originalEvent.pointerType.toUpperCase()]&&(t.touchDeltaX=e.originalEvent.clientX-t.touchStartX),t._handleSwipe(),"hover"===t._config.pause&&(
// If it's a touch-enabled device, mouseenter/leave are fired as
// part of the mouse compatibility events on first tap - the carousel
// would stop cycling until user tapped out of it;
// here, we listen for touchend, explicitly pause the carousel
// (as if it's the second time we tap on it, mouseenter compat event
// is NOT fired) and after a timeout (to allow for mouse compatibility
// events to fire) we explicitly restart cycling
t.pause(),t.touchTimeout&&clearTimeout(t.touchTimeout),t.touchTimeout=setTimeout(function(e){return t.cycle(e)},500+t._config.interval))};e(this._element.querySelectorAll(V)).on(k.DRAG_START,function(t){return t.preventDefault()}),this._pointerEvent?(e(this._element).on(k.POINTERDOWN,function(t){return n(t)}),e(this._element).on(k.POINTERUP,function(t){return i(t)}),this._element.classList.add(q)):(e(this._element).on(k.TOUCHSTART,function(t){return n(t)}),e(this._element).on(k.TOUCHMOVE,function(e){return function(e){
// ensure swiping with one touch and not pinching
e.originalEvent.touches&&e.originalEvent.touches.length>1?t.touchDeltaX=0:t.touchDeltaX=e.originalEvent.touches[0].clientX-t.touchStartX}(e)}),e(this._element).on(k.TOUCHEND,function(t){return i(t)}))}},J.prototype._keydown=function(t){if(!/input|textarea/i.test(t.target.tagName))switch(t.which){case 37:t.preventDefault(),this.prev();break;case 39:t.preventDefault(),this.next()}},J.prototype._getItemIndex=function(t){return this._items=t&&t.parentNode?[].slice.call(t.parentNode.querySelectorAll(B)):[],this._items.indexOf(t)},J.prototype._getItemByDirection=function(t,e){var n=t===N,i=t===j,o=this._getItemIndex(e),s=this._items.length-1;if((i&&0===o||n&&o===s)&&!this._config.wrap)return e;var r=(o+(t===j?-1:1))%this._items.length;return-1===r?this._items[this._items.length-1]:this._items[r]},J.prototype._triggerSlideEvent=function(t,n){var i=this._getItemIndex(t),o=this._getItemIndex(this._element.querySelector(Q)),s=e.Event(k.SLIDE,{relatedTarget:t,direction:n,from:o,to:i});return e(this._element).trigger(s),s},J.prototype._setActiveIndicatorElement=function(t){if(this._indicatorsElement){var n=[].slice.call(this._indicatorsElement.querySelectorAll(K));e(n).removeClass(H);var i=this._indicatorsElement.children[this._getItemIndex(t)];i&&e(i).addClass(H)}},J.prototype._slide=function(t,n){var i,o,r,a=this,l=this._element.querySelector(Q),c=this._getItemIndex(l),h=n||l&&this._getItemByDirection(t,l),u=this._getItemIndex(h),f=Boolean(this._interval);if(t===N?(i=U,o=W,r=P):(i=F,o=M,r=L),h&&e(h).hasClass(H))this._isSliding=!1;else if(!this._triggerSlideEvent(h,r).isDefaultPrevented()&&l&&h){this._isSliding=!0,f&&this.pause(),this._setActiveIndicatorElement(h);var d=e.Event(k.SLID,{relatedTarget:h,direction:r,from:c,to:u});if(e(this._element).hasClass(x)){e(h).addClass(o),s.reflow(h),e(l).addClass(i),e(h).addClass(i);var p=parseInt(h.getAttribute("data-interval"),10);p?(this._config.defaultInterval=this._config.defaultInterval||this._config.interval,this._config.interval=p):this._config.interval=this._config.defaultInterval||this._config.interval;var g=s.getTransitionDurationFromElement(l);e(l).one(s.TRANSITION_END,function(){e(h).removeClass(i+" "+o).addClass(H),e(l).removeClass(H+" "+o+" "+i),a._isSliding=!1,setTimeout(function(){return e(a._element).trigger(d)},0)}).emulateTransitionEnd(g)}else e(l).removeClass(H),e(h).addClass(H),this._isSliding=!1,e(this._element).trigger(d);f&&this.cycle()}},
// Static
J._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.carousel"),i=Object.assign({},A,e(this).data());"object"==typeof t&&(i=Object.assign({},i,t));var o="string"==typeof t?t:i.slide;if(n||(n=new J(this,i),e(this).data("bs.carousel",n)),"number"==typeof t)n.to(t);else if("string"==typeof o){if(void 0===n[o])throw new TypeError('No method named "'+o+'"');n[o]()}else i.interval&&i.ride&&(n.pause(),n.cycle())})},J._dataApiClickHandler=function(t){var n=s.getSelectorFromElement(this);if(n){var i=e(n)[0];if(i&&e(i).hasClass(R)){var o=Object.assign({},e(i).data(),e(this).data()),r=this.getAttribute("data-slide-to");r&&(o.interval=!1),J._jQueryInterface.call(e(i),o),r&&e(i).data("bs.carousel").to(r),t.preventDefault()}}},Object.defineProperties(J,Z),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(k.CLICK_DATA_API,X,J._dataApiClickHandler),e(window).on(k.LOAD_DATA_API,function(){for(var t=[].slice.call(document.querySelectorAll($)),n=0,i=t.length;n<i;n++){var o=e(t[n]);J._jQueryInterface.call(o,o.data())}}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn[I]=J._jQueryInterface,e.fn[I].Constructor=J,e.fn[I].noConflict=function(){return e.fn[I]=w,J._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): collapse.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var tt="collapse",et=e.fn[tt],nt={toggle:!0,parent:""},it={toggle:"boolean",parent:"(string|element)"},ot={SHOW:"show.bs.collapse",SHOWN:"shown.bs.collapse",HIDE:"hide.bs.collapse",HIDDEN:"hidden.bs.collapse",CLICK_DATA_API:"click.bs.collapse.data-api"},st="show",rt="collapse",at="collapsing",lt="collapsed",ct="width",ht="height",ut=".show, .collapsing",ft='[data-toggle="collapse"]',dt=function(t,e){this._isTransitioning=!1,this._element=t,this._config=this._getConfig(e),this._triggerArray=[].slice.call(document.querySelectorAll('[data-toggle="collapse"][href="#'+t.id+'"],[data-toggle="collapse"][data-target="#'+t.id+'"]'));for(var n=[].slice.call(document.querySelectorAll(ft)),i=0,o=n.length;i<o;i++){var r=n[i],a=s.getSelectorFromElement(r),l=[].slice.call(document.querySelectorAll(a)).filter(function(e){return e===t});null!==a&&l.length>0&&(this._selector=a,this._triggerArray.push(r))}this._parent=this._config.parent?this._getParent():null,this._config.parent||this._addAriaAndCollapsedClass(this._element,this._triggerArray),this._config.toggle&&this.toggle()},pt={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
pt.VERSION.get=function(){return"4.3.1"},pt.Default.get=function(){return nt},
// Public
dt.prototype.toggle=function(){e(this._element).hasClass(st)?this.hide():this.show()},dt.prototype.show=function(){var t,n,i=this;if(!this._isTransitioning&&!e(this._element).hasClass(st)&&(this._parent&&0===(t=[].slice.call(this._parent.querySelectorAll(ut)).filter(function(t){return"string"==typeof i._config.parent?t.getAttribute("data-parent")===i._config.parent:t.classList.contains(rt)})).length&&(t=null),!(t&&(n=e(t).not(this._selector).data("bs.collapse"))&&n._isTransitioning))){var o=e.Event(ot.SHOW);if(e(this._element).trigger(o),!o.isDefaultPrevented()){t&&(dt._jQueryInterface.call(e(t).not(this._selector),"hide"),n||e(t).data("bs.collapse",null));var r=this._getDimension();e(this._element).removeClass(rt).addClass(at),this._element.style[r]=0,this._triggerArray.length&&e(this._triggerArray).removeClass(lt).attr("aria-expanded",!0),this.setTransitioning(!0);var a="scroll"+(r[0].toUpperCase()+r.slice(1)),l=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,function(){e(i._element).removeClass(at).addClass(rt).addClass(st),i._element.style[r]="",i.setTransitioning(!1),e(i._element).trigger(ot.SHOWN)}).emulateTransitionEnd(l),this._element.style[r]=this._element[a]+"px"}}},dt.prototype.hide=function(){var t=this;if(!this._isTransitioning&&e(this._element).hasClass(st)){var n=e.Event(ot.HIDE);if(e(this._element).trigger(n),!n.isDefaultPrevented()){var i=this._getDimension();this._element.style[i]=this._element.getBoundingClientRect()[i]+"px",s.reflow(this._element),e(this._element).addClass(at).removeClass(rt).removeClass(st);var o=this._triggerArray.length;if(o>0)for(var r=0;r<o;r++){var a=t._triggerArray[r],l=s.getSelectorFromElement(a);if(null!==l)e([].slice.call(document.querySelectorAll(l))).hasClass(st)||e(a).addClass(lt).attr("aria-expanded",!1)}this.setTransitioning(!0);this._element.style[i]="";var c=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,function(){t.setTransitioning(!1),e(t._element).removeClass(at).addClass(rt).trigger(ot.HIDDEN)}).emulateTransitionEnd(c)}}},dt.prototype.setTransitioning=function(t){this._isTransitioning=t},dt.prototype.dispose=function(){e.removeData(this._element,"bs.collapse"),this._config=null,this._parent=null,this._element=null,this._triggerArray=null,this._isTransitioning=null},
// Private
dt.prototype._getConfig=function(t){return(t=Object.assign({},nt,t)).toggle=Boolean(t.toggle),// Coerce string values
s.typeCheckConfig(tt,t,it),t},dt.prototype._getDimension=function(){return e(this._element).hasClass(ct)?ct:ht},dt.prototype._getParent=function(){var t,n=this;s.isElement(this._config.parent)?(t=this._config.parent,
// It's a jQuery object
void 0!==this._config.parent.jquery&&(t=this._config.parent[0])):t=document.querySelector(this._config.parent);var i='[data-toggle="collapse"][data-parent="'+this._config.parent+'"]',o=[].slice.call(t.querySelectorAll(i));return e(o).each(function(t,e){n._addAriaAndCollapsedClass(dt._getTargetFromElement(e),[e])}),t},dt.prototype._addAriaAndCollapsedClass=function(t,n){var i=e(t).hasClass(st);n.length&&e(n).toggleClass(lt,!i).attr("aria-expanded",i)},
// Static
dt._getTargetFromElement=function(t){var e=s.getSelectorFromElement(t);return e?document.querySelector(e):null},dt._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.collapse"),o=Object.assign({},nt,n.data(),"object"==typeof t&&t?t:{});if(!i&&o.toggle&&/show|hide/.test(t)&&(o.toggle=!1),i||(i=new dt(this,o),n.data("bs.collapse",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t]()}})},Object.defineProperties(dt,pt),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(ot.CLICK_DATA_API,ft,function(t){
// preventDefault only for <a> elements (which change the URL) not inside the collapsible element
"A"===t.currentTarget.tagName&&t.preventDefault();var n=e(this),i=s.getSelectorFromElement(this),o=[].slice.call(document.querySelectorAll(i));e(o).each(function(){var t=e(this),i=t.data("bs.collapse")?"toggle":n.data();dt._jQueryInterface.call(t,i)})}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn[tt]=dt._jQueryInterface,e.fn[tt].Constructor=dt,e.fn[tt].noConflict=function(){return e.fn[tt]=et,dt._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): dropdown.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var gt="dropdown",_t=e.fn[gt],mt=new RegExp("38|40|27"),vt={HIDE:"hide.bs.dropdown",HIDDEN:"hidden.bs.dropdown",SHOW:"show.bs.dropdown",SHOWN:"shown.bs.dropdown",CLICK:"click.bs.dropdown",CLICK_DATA_API:"click.bs.dropdown.data-api",KEYDOWN_DATA_API:"keydown.bs.dropdown.data-api",KEYUP_DATA_API:"keyup.bs.dropdown.data-api"},yt="disabled",bt="show",Et="dropup",Ct="dropright",Tt="dropleft",St="dropdown-menu-right",It="position-static",Dt='[data-toggle="dropdown"]',wt=".dropdown form",At=".dropdown-menu",Ot=".navbar-nav",Nt=".dropdown-menu .dropdown-item:not(.disabled):not(:disabled)",jt="top-start",Pt="top-end",Lt="bottom-start",kt="bottom-end",Rt="right-start",Ht="left-start",xt={offset:0,flip:!0,boundary:"scrollParent",reference:"toggle",display:"dynamic"},Ft={offset:"(number|string|function)",flip:"boolean",boundary:"(string|element)",reference:"(string|element)",display:"string"},Ut=function(t,e){this._element=t,this._popper=null,this._config=this._getConfig(e),this._menu=this._getMenuElement(),this._inNavbar=this._detectNavbar(),this._addEventListeners()},Wt={VERSION:{configurable:!0},Default:{configurable:!0},DefaultType:{configurable:!0}};
// Getters
Wt.VERSION.get=function(){return"4.3.1"},Wt.Default.get=function(){return xt},Wt.DefaultType.get=function(){return Ft},
// Public
Ut.prototype.toggle=function(){if(!this._element.disabled&&!e(this._element).hasClass(yt)){var t=Ut._getParentFromElement(this._element),i=e(this._menu).hasClass(bt);if(Ut._clearMenus(),!i){var o={relatedTarget:this._element},r=e.Event(vt.SHOW,o);if(e(t).trigger(r),!r.isDefaultPrevented()){
// Disable totally Popper.js for Dropdown in Navbar
if(!this._inNavbar){
/**
     * Check for Popper dependency
     * Popper - https://popper.js.org
     */
if(void 0===n)throw new TypeError("Bootstrap's dropdowns require Popper.js (https://popper.js.org/)");var a=this._element;"parent"===this._config.reference?a=t:s.isElement(this._config.reference)&&(a=this._config.reference,
// Check if it's jQuery element
void 0!==this._config.reference.jquery&&(a=this._config.reference[0])),
// If boundary is not `scrollParent`, then set position to `static`
// to allow the menu to "escape" the scroll parent's boundaries
// https://github.com/twbs/bootstrap/issues/24251
"scrollParent"!==this._config.boundary&&e(t).addClass(It),this._popper=new n(a,this._menu,this._getPopperConfig())}
// If this is a touch-enabled device we add extra
// empty mouseover listeners to the body's immediate children;
// only needed because of broken event delegation on iOS
// https://www.quirksmode.org/blog/archives/2014/02/mouse_event_bub.html
"ontouchstart"in document.documentElement&&0===e(t).closest(Ot).length&&e(document.body).children().on("mouseover",null,e.noop),this._element.focus(),this._element.setAttribute("aria-expanded",!0),e(this._menu).toggleClass(bt),e(t).toggleClass(bt).trigger(e.Event(vt.SHOWN,o))}}}},Ut.prototype.show=function(){if(!(this._element.disabled||e(this._element).hasClass(yt)||e(this._menu).hasClass(bt))){var t={relatedTarget:this._element},n=e.Event(vt.SHOW,t),i=Ut._getParentFromElement(this._element);e(i).trigger(n),n.isDefaultPrevented()||(e(this._menu).toggleClass(bt),e(i).toggleClass(bt).trigger(e.Event(vt.SHOWN,t)))}},Ut.prototype.hide=function(){if(!this._element.disabled&&!e(this._element).hasClass(yt)&&e(this._menu).hasClass(bt)){var t={relatedTarget:this._element},n=e.Event(vt.HIDE,t),i=Ut._getParentFromElement(this._element);e(i).trigger(n),n.isDefaultPrevented()||(e(this._menu).toggleClass(bt),e(i).toggleClass(bt).trigger(e.Event(vt.HIDDEN,t)))}},Ut.prototype.dispose=function(){e.removeData(this._element,"bs.dropdown"),e(this._element).off(".bs.dropdown"),this._element=null,this._menu=null,null!==this._popper&&(this._popper.destroy(),this._popper=null)},Ut.prototype.update=function(){this._inNavbar=this._detectNavbar(),null!==this._popper&&this._popper.scheduleUpdate()},
// Private
Ut.prototype._addEventListeners=function(){var t=this;e(this._element).on(vt.CLICK,function(e){e.preventDefault(),e.stopPropagation(),t.toggle()})},Ut.prototype._getConfig=function(t){return t=Object.assign({},this.constructor.Default,e(this._element).data(),t),s.typeCheckConfig(gt,t,this.constructor.DefaultType),t},Ut.prototype._getMenuElement=function(){if(!this._menu){var t=Ut._getParentFromElement(this._element);t&&(this._menu=t.querySelector(At))}return this._menu},Ut.prototype._getPlacement=function(){var t=e(this._element.parentNode),n=Lt;
// Handle dropup
return t.hasClass(Et)?(n=jt,e(this._menu).hasClass(St)&&(n=Pt)):t.hasClass(Ct)?n=Rt:t.hasClass(Tt)?n=Ht:e(this._menu).hasClass(St)&&(n=kt),n},Ut.prototype._detectNavbar=function(){return e(this._element).closest(".navbar").length>0},Ut.prototype._getOffset=function(){var t=this,e={};return"function"==typeof this._config.offset?e.fn=function(e){return e.offsets=Object.assign({},e.offsets,t._config.offset(e.offsets,t._element)||{}),e}:e.offset=this._config.offset,e},Ut.prototype._getPopperConfig=function(){var t={placement:this._getPlacement(),modifiers:{offset:this._getOffset(),flip:{enabled:this._config.flip},preventOverflow:{boundariesElement:this._config.boundary}}};
// Disable Popper.js if we have a static display
return"static"===this._config.display&&(t.modifiers.applyStyle={enabled:!1}),t},
// Static
Ut._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.dropdown");if(n||(n=new Ut(this,"object"==typeof t?t:null),e(this).data("bs.dropdown",n)),"string"==typeof t){if(void 0===n[t])throw new TypeError('No method named "'+t+'"');n[t]()}})},Ut._clearMenus=function(t){if(!t||3!==t.which&&("keyup"!==t.type||9===t.which))for(var n=[].slice.call(document.querySelectorAll(Dt)),i=0,o=n.length;i<o;i++){var s=Ut._getParentFromElement(n[i]),r=e(n[i]).data("bs.dropdown"),a={relatedTarget:n[i]};if(t&&"click"===t.type&&(a.clickEvent=t),r){var l=r._menu;if(e(s).hasClass(bt)&&!(t&&("click"===t.type&&/input|textarea/i.test(t.target.tagName)||"keyup"===t.type&&9===t.which)&&e.contains(s,t.target))){var c=e.Event(vt.HIDE,a);e(s).trigger(c),c.isDefaultPrevented()||(
// If this is a touch-enabled device we remove the extra
// empty mouseover listeners we added for iOS support
"ontouchstart"in document.documentElement&&e(document.body).children().off("mouseover",null,e.noop),n[i].setAttribute("aria-expanded","false"),e(l).removeClass(bt),e(s).removeClass(bt).trigger(e.Event(vt.HIDDEN,a)))}}}},Ut._getParentFromElement=function(t){var e,n=s.getSelectorFromElement(t);return n&&(e=document.querySelector(n)),e||t.parentNode},
// eslint-disable-next-line complexity
Ut._dataApiKeydownHandler=function(t){
// If not input/textarea:
//- And not a key in REGEXP_KEYDOWN => not a dropdown command
// If input/textarea:
//- If space key => not a dropdown command
//- If key is other than escape
//  - If key is not up or down => not a dropdown command
//  - If trigger inside the menu => not a dropdown command
if((/input|textarea/i.test(t.target.tagName)?!(32===t.which||27!==t.which&&(40!==t.which&&38!==t.which||e(t.target).closest(At).length)):mt.test(t.which))&&(t.preventDefault(),t.stopPropagation(),!this.disabled&&!e(this).hasClass(yt))){var n=Ut._getParentFromElement(this),i=e(n).hasClass(bt);if(i&&(!i||27!==t.which&&32!==t.which)){var o=[].slice.call(n.querySelectorAll(Nt));if(0!==o.length){var s=o.indexOf(t.target);38===t.which&&s>0&&// Up
s--,40===t.which&&s<o.length-1&&// Down
s++,s<0&&(s=0),o[s].focus()}}else{if(27===t.which){var r=n.querySelector(Dt);e(r).trigger("focus")}e(this).trigger("click")}}},Object.defineProperties(Ut,Wt),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(vt.KEYDOWN_DATA_API,Dt,Ut._dataApiKeydownHandler).on(vt.KEYDOWN_DATA_API,At,Ut._dataApiKeydownHandler).on(vt.CLICK_DATA_API+" "+vt.KEYUP_DATA_API,Ut._clearMenus).on(vt.CLICK_DATA_API,Dt,function(t){t.preventDefault(),t.stopPropagation(),Ut._jQueryInterface.call(e(this),"toggle")}).on(vt.CLICK_DATA_API,wt,function(t){t.stopPropagation()}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn[gt]=Ut._jQueryInterface,e.fn[gt].Constructor=Ut,e.fn[gt].noConflict=function(){return e.fn[gt]=_t,Ut._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): modal.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var Mt=e.fn.modal,qt={backdrop:!0,keyboard:!0,focus:!0,show:!0},Kt={backdrop:"(boolean|string)",keyboard:"boolean",focus:"boolean",show:"boolean"},Qt={HIDE:"hide.bs.modal",HIDDEN:"hidden.bs.modal",SHOW:"show.bs.modal",SHOWN:"shown.bs.modal",FOCUSIN:"focusin.bs.modal",RESIZE:"resize.bs.modal",CLICK_DISMISS:"click.dismiss.bs.modal",KEYDOWN_DISMISS:"keydown.dismiss.bs.modal",MOUSEUP_DISMISS:"mouseup.dismiss.bs.modal",MOUSEDOWN_DISMISS:"mousedown.dismiss.bs.modal",CLICK_DATA_API:"click.bs.modal.data-api"},Bt="modal-dialog-scrollable",Vt="modal-scrollbar-measure",Yt="modal-backdrop",zt="modal-open",Xt="fade",$t="show",Gt=".modal-dialog",Jt=".modal-body",Zt='[data-toggle="modal"]',te='[data-dismiss="modal"]',ee=".fixed-top, .fixed-bottom, .is-fixed, .sticky-top",ne=".sticky-top",ie=function(t,e){this._config=this._getConfig(e),this._element=t,this._dialog=t.querySelector(Gt),this._backdrop=null,this._isShown=!1,this._isBodyOverflowing=!1,this._ignoreBackdropClick=!1,this._isTransitioning=!1,this._scrollbarWidth=0},oe={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
oe.VERSION.get=function(){return"4.3.1"},oe.Default.get=function(){return qt},
// Public
ie.prototype.toggle=function(t){return this._isShown?this.hide():this.show(t)},ie.prototype.show=function(t){var n=this;if(!this._isShown&&!this._isTransitioning){e(this._element).hasClass(Xt)&&(this._isTransitioning=!0);var i=e.Event(Qt.SHOW,{relatedTarget:t});e(this._element).trigger(i),this._isShown||i.isDefaultPrevented()||(this._isShown=!0,this._checkScrollbar(),this._setScrollbar(),this._adjustDialog(),this._setEscapeEvent(),this._setResizeEvent(),e(this._element).on(Qt.CLICK_DISMISS,te,function(t){return n.hide(t)}),e(this._dialog).on(Qt.MOUSEDOWN_DISMISS,function(){e(n._element).one(Qt.MOUSEUP_DISMISS,function(t){e(t.target).is(n._element)&&(n._ignoreBackdropClick=!0)})}),this._showBackdrop(function(){return n._showElement(t)}))}},ie.prototype.hide=function(t){var n=this;if(t&&t.preventDefault(),this._isShown&&!this._isTransitioning){var i=e.Event(Qt.HIDE);if(e(this._element).trigger(i),this._isShown&&!i.isDefaultPrevented()){this._isShown=!1;var o=e(this._element).hasClass(Xt);if(o&&(this._isTransitioning=!0),this._setEscapeEvent(),this._setResizeEvent(),e(document).off(Qt.FOCUSIN),e(this._element).removeClass($t),e(this._element).off(Qt.CLICK_DISMISS),e(this._dialog).off(Qt.MOUSEDOWN_DISMISS),o){var r=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,function(t){return n._hideModal(t)}).emulateTransitionEnd(r)}else this._hideModal()}}},ie.prototype.dispose=function(){[window,this._element,this._dialog].forEach(function(t){return e(t).off(".bs.modal")}),
/**
   * `document` has 2 events `Event.FOCUSIN` and `Event.CLICK_DATA_API`
   * Do not move `document` in `htmlElements` array
   * It will remove `Event.CLICK_DATA_API` event that should remain
   */
e(document).off(Qt.FOCUSIN),e.removeData(this._element,"bs.modal"),this._config=null,this._element=null,this._dialog=null,this._backdrop=null,this._isShown=null,this._isBodyOverflowing=null,this._ignoreBackdropClick=null,this._isTransitioning=null,this._scrollbarWidth=null},ie.prototype.handleUpdate=function(){this._adjustDialog()},
// Private
ie.prototype._getConfig=function(t){return t=Object.assign({},qt,t),s.typeCheckConfig("modal",t,Kt),t},ie.prototype._showElement=function(t){var n=this,i=e(this._element).hasClass(Xt);this._element.parentNode&&this._element.parentNode.nodeType===Node.ELEMENT_NODE||
// Don't move modal's DOM position
document.body.appendChild(this._element),this._element.style.display="block",this._element.removeAttribute("aria-hidden"),this._element.setAttribute("aria-modal",!0),e(this._dialog).hasClass(Bt)?this._dialog.querySelector(Jt).scrollTop=0:this._element.scrollTop=0,i&&s.reflow(this._element),e(this._element).addClass($t),this._config.focus&&this._enforceFocus();var o=e.Event(Qt.SHOWN,{relatedTarget:t}),r=function(){n._config.focus&&n._element.focus(),n._isTransitioning=!1,e(n._element).trigger(o)};if(i){var a=s.getTransitionDurationFromElement(this._dialog);e(this._dialog).one(s.TRANSITION_END,r).emulateTransitionEnd(a)}else r()},ie.prototype._enforceFocus=function(){var t=this;e(document).off(Qt.FOCUSIN).on(Qt.FOCUSIN,function(n){document!==n.target&&t._element!==n.target&&0===e(t._element).has(n.target).length&&t._element.focus()})},ie.prototype._setEscapeEvent=function(){var t=this;this._isShown&&this._config.keyboard?e(this._element).on(Qt.KEYDOWN_DISMISS,function(e){27===e.which&&(e.preventDefault(),t.hide())}):this._isShown||e(this._element).off(Qt.KEYDOWN_DISMISS)},ie.prototype._setResizeEvent=function(){var t=this;this._isShown?e(window).on(Qt.RESIZE,function(e){return t.handleUpdate(e)}):e(window).off(Qt.RESIZE)},ie.prototype._hideModal=function(){var t=this;this._element.style.display="none",this._element.setAttribute("aria-hidden",!0),this._element.removeAttribute("aria-modal"),this._isTransitioning=!1,this._showBackdrop(function(){e(document.body).removeClass(zt),t._resetAdjustments(),t._resetScrollbar(),e(t._element).trigger(Qt.HIDDEN)})},ie.prototype._removeBackdrop=function(){this._backdrop&&(e(this._backdrop).remove(),this._backdrop=null)},ie.prototype._showBackdrop=function(t){var n=this,i=e(this._element).hasClass(Xt)?Xt:"";if(this._isShown&&this._config.backdrop){if(this._backdrop=document.createElement("div"),this._backdrop.className=Yt,i&&this._backdrop.classList.add(i),e(this._backdrop).appendTo(document.body),e(this._element).on(Qt.CLICK_DISMISS,function(t){n._ignoreBackdropClick?n._ignoreBackdropClick=!1:t.target===t.currentTarget&&("static"===n._config.backdrop?n._element.focus():n.hide())}),i&&s.reflow(this._backdrop),e(this._backdrop).addClass($t),!t)return;if(!i)return void t();var o=s.getTransitionDurationFromElement(this._backdrop);e(this._backdrop).one(s.TRANSITION_END,t).emulateTransitionEnd(o)}else if(!this._isShown&&this._backdrop){e(this._backdrop).removeClass($t);var r=function(){n._removeBackdrop(),t&&t()};if(e(this._element).hasClass(Xt)){var a=s.getTransitionDurationFromElement(this._backdrop);e(this._backdrop).one(s.TRANSITION_END,r).emulateTransitionEnd(a)}else r()}else t&&t()},
// ----------------------------------------------------------------------
// the following methods are used to handle overflowing modals
// todo (fat): these should probably be refactored out of modal.js
// ----------------------------------------------------------------------
ie.prototype._adjustDialog=function(){var t=this._element.scrollHeight>document.documentElement.clientHeight;!this._isBodyOverflowing&&t&&(this._element.style.paddingLeft=this._scrollbarWidth+"px"),this._isBodyOverflowing&&!t&&(this._element.style.paddingRight=this._scrollbarWidth+"px")},ie.prototype._resetAdjustments=function(){this._element.style.paddingLeft="",this._element.style.paddingRight=""},ie.prototype._checkScrollbar=function(){var t=document.body.getBoundingClientRect();this._isBodyOverflowing=t.left+t.right<window.innerWidth,this._scrollbarWidth=this._getScrollbarWidth()},ie.prototype._setScrollbar=function(){var t=this;if(this._isBodyOverflowing){
// Note: DOMNode.style.paddingRight returns the actual value or '' if not set
// while $(DOMNode).css('padding-right') returns the calculated value or 0 if not set
var n=[].slice.call(document.querySelectorAll(ee)),i=[].slice.call(document.querySelectorAll(ne));
// Adjust fixed content padding
e(n).each(function(n,i){var o=i.style.paddingRight,s=e(i).css("padding-right");e(i).data("padding-right",o).css("padding-right",parseFloat(s)+t._scrollbarWidth+"px")}),
// Adjust sticky content margin
e(i).each(function(n,i){var o=i.style.marginRight,s=e(i).css("margin-right");e(i).data("margin-right",o).css("margin-right",parseFloat(s)-t._scrollbarWidth+"px")});
// Adjust body padding
var o=document.body.style.paddingRight,s=e(document.body).css("padding-right");e(document.body).data("padding-right",o).css("padding-right",parseFloat(s)+this._scrollbarWidth+"px")}e(document.body).addClass(zt)},ie.prototype._resetScrollbar=function(){
// Restore fixed content padding
var t=[].slice.call(document.querySelectorAll(ee));e(t).each(function(t,n){var i=e(n).data("padding-right");e(n).removeData("padding-right"),n.style.paddingRight=i||""});
// Restore sticky content
var n=[].slice.call(document.querySelectorAll(""+ne));e(n).each(function(t,n){var i=e(n).data("margin-right");void 0!==i&&e(n).css("margin-right",i).removeData("margin-right")});
// Restore body padding
var i=e(document.body).data("padding-right");e(document.body).removeData("padding-right"),document.body.style.paddingRight=i||""},ie.prototype._getScrollbarWidth=function(){// thx d.walsh
var t=document.createElement("div");t.className=Vt,document.body.appendChild(t);var e=t.getBoundingClientRect().width-t.clientWidth;return document.body.removeChild(t),e},
// Static
ie._jQueryInterface=function(t,n){return this.each(function(){var i=e(this).data("bs.modal"),o=Object.assign({},qt,e(this).data(),"object"==typeof t&&t?t:{});if(i||(i=new ie(this,o),e(this).data("bs.modal",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t](n)}else o.show&&i.show(n)})},Object.defineProperties(ie,oe),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(Qt.CLICK_DATA_API,Zt,function(t){var n,i=this,o=s.getSelectorFromElement(this);o&&(n=document.querySelector(o));var r=e(n).data("bs.modal")?"toggle":Object.assign({},e(n).data(),e(this).data());"A"!==this.tagName&&"AREA"!==this.tagName||t.preventDefault();var a=e(n).one(Qt.SHOW,function(t){t.isDefaultPrevented()||a.one(Qt.HIDDEN,function(){e(i).is(":visible")&&i.focus()})});ie._jQueryInterface.call(e(n),r,this)}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.modal=ie._jQueryInterface,e.fn.modal.Constructor=ie,e.fn.modal.noConflict=function(){return e.fn.modal=Mt,ie._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): tools/sanitizer.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
var se=["background","cite","href","itemtype","longdesc","poster","src","xlink:href"],re={
// Global attributes allowed on any supplied element below.
"*":["class","dir","id","lang","role",/^aria-[\w-]*$/i],a:["target","href","title","rel"],area:[],b:[],br:[],col:[],code:[],div:[],em:[],hr:[],h1:[],h2:[],h3:[],h4:[],h5:[],h6:[],i:[],img:["src","alt","title","width","height"],li:[],ol:[],p:[],pre:[],s:[],small:[],span:[],sub:[],sup:[],strong:[],u:[],ul:[]},ae=/^(?:(?:https?|mailto|ftp|tel|file):|[^&:\/?#]*(?:[\/?#]|$))/gi,le=/^data:(?:image\/(?:bmp|gif|jpeg|jpg|png|tiff|webp)|video\/(?:mpeg|mp4|ogg|webm)|audio\/(?:mp3|oga|ogg|opus));base64,[a-z0-9+\/]+=*$/i;function ce(t,e,n){if(0===t.length)return t;if(n&&"function"==typeof n)return n(t);for(var i=(new window.DOMParser).parseFromString(t,"text/html"),o=Object.keys(e),s=[].slice.call(i.body.querySelectorAll("*")),r=function(t,n){var i=s[t],r=i.nodeName.toLowerCase();if(-1!==o.indexOf(i.nodeName.toLowerCase())){var a=[].slice.call(i.attributes),l=[].concat(e["*"]||[],e[r]||[]);a.forEach(function(t){(function(t,e){var n=t.nodeName.toLowerCase();if(-1!==e.indexOf(n))return-1===se.indexOf(n)||Boolean(t.nodeValue.match(ae)||t.nodeValue.match(le));
// Check if a regular expression validates the attribute.
for(var i=e.filter(function(t){return t instanceof RegExp}),o=0,s=i.length;o<s;o++)if(n.match(i[o]))return!0;return!1})(t,l)||i.removeAttribute(t.nodeName)})}else i.parentNode.removeChild(i)},a=0,l=s.length;a<l;a++)r(a);return i.body.innerHTML}
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): tooltip.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */var he="tooltip",ue=e.fn.tooltip,fe=new RegExp("(^|\\s)bs-tooltip\\S+","g"),de=["sanitize","whiteList","sanitizeFn"],pe={animation:"boolean",template:"string",title:"(string|element|function)",trigger:"string",delay:"(number|object)",html:"boolean",selector:"(string|boolean)",placement:"(string|function)",offset:"(number|string|function)",container:"(string|element|boolean)",fallbackPlacement:"(string|array)",boundary:"(string|element)",sanitize:"boolean",sanitizeFn:"(null|function)",whiteList:"object"},ge={AUTO:"auto",TOP:"top",RIGHT:"right",BOTTOM:"bottom",LEFT:"left"},_e={animation:!0,template:'<div class="tooltip" role="tooltip"><div class="arrow"></div><div class="tooltip-inner"></div></div>',trigger:"hover focus",title:"",delay:0,html:!1,selector:!1,placement:"top",offset:0,container:!1,fallbackPlacement:"flip",boundary:"scrollParent",sanitize:!0,sanitizeFn:null,whiteList:re},me="show",ve="out",ye={HIDE:"hide.bs.tooltip",HIDDEN:"hidden.bs.tooltip",SHOW:"show.bs.tooltip",SHOWN:"shown.bs.tooltip",INSERTED:"inserted.bs.tooltip",CLICK:"click.bs.tooltip",FOCUSIN:"focusin.bs.tooltip",FOCUSOUT:"focusout.bs.tooltip",MOUSEENTER:"mouseenter.bs.tooltip",MOUSELEAVE:"mouseleave.bs.tooltip"},be="fade",Ee="show",Ce=".tooltip-inner",Te=".arrow",Se="hover",Ie="focus",De="click",we="manual",Ae=function(t,e){
/**
   * Check for Popper dependency
   * Popper - https://popper.js.org
   */
if(void 0===n)throw new TypeError("Bootstrap's tooltips require Popper.js (https://popper.js.org/)");
// private
this._isEnabled=!0,this._timeout=0,this._hoverState="",this._activeTrigger={},this._popper=null,
// Protected
this.element=t,this.config=this._getConfig(e),this.tip=null,this._setListeners()},Oe={VERSION:{configurable:!0},Default:{configurable:!0},NAME:{configurable:!0},DATA_KEY:{configurable:!0},Event:{configurable:!0},EVENT_KEY:{configurable:!0},DefaultType:{configurable:!0}};
// Getters
Oe.VERSION.get=function(){return"4.3.1"},Oe.Default.get=function(){return _e},Oe.NAME.get=function(){return he},Oe.DATA_KEY.get=function(){return"bs.tooltip"},Oe.Event.get=function(){return ye},Oe.EVENT_KEY.get=function(){return".bs.tooltip"},Oe.DefaultType.get=function(){return pe},
// Public
Ae.prototype.enable=function(){this._isEnabled=!0},Ae.prototype.disable=function(){this._isEnabled=!1},Ae.prototype.toggleEnabled=function(){this._isEnabled=!this._isEnabled},Ae.prototype.toggle=function(t){if(this._isEnabled)if(t){var n=this.constructor.DATA_KEY,i=e(t.currentTarget).data(n);i||(i=new this.constructor(t.currentTarget,this._getDelegateConfig()),e(t.currentTarget).data(n,i)),i._activeTrigger.click=!i._activeTrigger.click,i._isWithActiveTrigger()?i._enter(null,i):i._leave(null,i)}else{if(e(this.getTipElement()).hasClass(Ee))return void this._leave(null,this);this._enter(null,this)}},Ae.prototype.dispose=function(){clearTimeout(this._timeout),e.removeData(this.element,this.constructor.DATA_KEY),e(this.element).off(this.constructor.EVENT_KEY),e(this.element).closest(".modal").off("hide.bs.modal"),this.tip&&e(this.tip).remove(),this._isEnabled=null,this._timeout=null,this._hoverState=null,this._activeTrigger=null,null!==this._popper&&this._popper.destroy(),this._popper=null,this.element=null,this.config=null,this.tip=null},Ae.prototype.show=function(){var t=this;if("none"===e(this.element).css("display"))throw new Error("Please use show on visible elements");var i=e.Event(this.constructor.Event.SHOW);if(this.isWithContent()&&this._isEnabled){e(this.element).trigger(i);var o=s.findShadowRoot(this.element),r=e.contains(null!==o?o:this.element.ownerDocument.documentElement,this.element);if(i.isDefaultPrevented()||!r)return;var a=this.getTipElement(),l=s.getUID(this.constructor.NAME);a.setAttribute("id",l),this.element.setAttribute("aria-describedby",l),this.setContent(),this.config.animation&&e(a).addClass(be);var c="function"==typeof this.config.placement?this.config.placement.call(this,a,this.element):this.config.placement,h=this._getAttachment(c);this.addAttachmentClass(h);var u=this._getContainer();e(a).data(this.constructor.DATA_KEY,this),e.contains(this.element.ownerDocument.documentElement,this.tip)||e(a).appendTo(u),e(this.element).trigger(this.constructor.Event.INSERTED),this._popper=new n(this.element,a,{placement:h,modifiers:{offset:this._getOffset(),flip:{behavior:this.config.fallbackPlacement},arrow:{element:Te},preventOverflow:{boundariesElement:this.config.boundary}},onCreate:function(e){e.originalPlacement!==e.placement&&t._handlePopperPlacementChange(e)},onUpdate:function(e){return t._handlePopperPlacementChange(e)}}),e(a).addClass(Ee),
// If this is a touch-enabled device we add extra
// empty mouseover listeners to the body's immediate children;
// only needed because of broken event delegation on iOS
// https://www.quirksmode.org/blog/archives/2014/02/mouse_event_bub.html
"ontouchstart"in document.documentElement&&e(document.body).children().on("mouseover",null,e.noop);var f=function(){t.config.animation&&t._fixTransition();var n=t._hoverState;t._hoverState=null,e(t.element).trigger(t.constructor.Event.SHOWN),n===ve&&t._leave(null,t)};if(e(this.tip).hasClass(be)){var d=s.getTransitionDurationFromElement(this.tip);e(this.tip).one(s.TRANSITION_END,f).emulateTransitionEnd(d)}else f()}},Ae.prototype.hide=function(t){var n=this,i=this.getTipElement(),o=e.Event(this.constructor.Event.HIDE),r=function(){n._hoverState!==me&&i.parentNode&&i.parentNode.removeChild(i),n._cleanTipClass(),n.element.removeAttribute("aria-describedby"),e(n.element).trigger(n.constructor.Event.HIDDEN),null!==n._popper&&n._popper.destroy(),t&&t()};if(e(this.element).trigger(o),!o.isDefaultPrevented()){if(e(i).removeClass(Ee),
// If this is a touch-enabled device we remove the extra
// empty mouseover listeners we added for iOS support
"ontouchstart"in document.documentElement&&e(document.body).children().off("mouseover",null,e.noop),this._activeTrigger[De]=!1,this._activeTrigger[Ie]=!1,this._activeTrigger[Se]=!1,e(this.tip).hasClass(be)){var a=s.getTransitionDurationFromElement(i);e(i).one(s.TRANSITION_END,r).emulateTransitionEnd(a)}else r();this._hoverState=""}},Ae.prototype.update=function(){null!==this._popper&&this._popper.scheduleUpdate()},
// Protected
Ae.prototype.isWithContent=function(){return Boolean(this.getTitle())},Ae.prototype.addAttachmentClass=function(t){e(this.getTipElement()).addClass("bs-tooltip-"+t)},Ae.prototype.getTipElement=function(){return this.tip=this.tip||e(this.config.template)[0],this.tip},Ae.prototype.setContent=function(){var t=this.getTipElement();this.setElementContent(e(t.querySelectorAll(Ce)),this.getTitle()),e(t).removeClass(be+" "+Ee)},Ae.prototype.setElementContent=function(t,n){"object"!=typeof n||!n.nodeType&&!n.jquery?this.config.html?(this.config.sanitize&&(n=ce(n,this.config.whiteList,this.config.sanitizeFn)),t.html(n)):t.text(n):
// Content is a DOM node or a jQuery
this.config.html?e(n).parent().is(t)||t.empty().append(n):t.text(e(n).text())},Ae.prototype.getTitle=function(){var t=this.element.getAttribute("data-original-title");return t||(t="function"==typeof this.config.title?this.config.title.call(this.element):this.config.title),t},
// Private
Ae.prototype._getOffset=function(){var t=this,e={};return"function"==typeof this.config.offset?e.fn=function(e){return e.offsets=Object.assign({},e.offsets,t.config.offset(e.offsets,t.element)||{}),e}:e.offset=this.config.offset,e},Ae.prototype._getContainer=function(){return!1===this.config.container?document.body:s.isElement(this.config.container)?e(this.config.container):e(document).find(this.config.container)},Ae.prototype._getAttachment=function(t){return ge[t.toUpperCase()]},Ae.prototype._setListeners=function(){var t=this;this.config.trigger.split(" ").forEach(function(n){if("click"===n)e(t.element).on(t.constructor.Event.CLICK,t.config.selector,function(e){return t.toggle(e)});else if(n!==we){var i=n===Se?t.constructor.Event.MOUSEENTER:t.constructor.Event.FOCUSIN,o=n===Se?t.constructor.Event.MOUSELEAVE:t.constructor.Event.FOCUSOUT;e(t.element).on(i,t.config.selector,function(e){return t._enter(e)}).on(o,t.config.selector,function(e){return t._leave(e)})}}),e(this.element).closest(".modal").on("hide.bs.modal",function(){t.element&&t.hide()}),this.config.selector?this.config=Object.assign({},this.config,{trigger:"manual",selector:""}):this._fixTitle()},Ae.prototype._fixTitle=function(){var t=typeof this.element.getAttribute("data-original-title");(this.element.getAttribute("title")||"string"!==t)&&(this.element.setAttribute("data-original-title",this.element.getAttribute("title")||""),this.element.setAttribute("title",""))},Ae.prototype._enter=function(t,n){var i=this.constructor.DATA_KEY;(n=n||e(t.currentTarget).data(i))||(n=new this.constructor(t.currentTarget,this._getDelegateConfig()),e(t.currentTarget).data(i,n)),t&&(n._activeTrigger["focusin"===t.type?Ie:Se]=!0),e(n.getTipElement()).hasClass(Ee)||n._hoverState===me?n._hoverState=me:(clearTimeout(n._timeout),n._hoverState=me,n.config.delay&&n.config.delay.show?n._timeout=setTimeout(function(){n._hoverState===me&&n.show()},n.config.delay.show):n.show())},Ae.prototype._leave=function(t,n){var i=this.constructor.DATA_KEY;(n=n||e(t.currentTarget).data(i))||(n=new this.constructor(t.currentTarget,this._getDelegateConfig()),e(t.currentTarget).data(i,n)),t&&(n._activeTrigger["focusout"===t.type?Ie:Se]=!1),n._isWithActiveTrigger()||(clearTimeout(n._timeout),n._hoverState=ve,n.config.delay&&n.config.delay.hide?n._timeout=setTimeout(function(){n._hoverState===ve&&n.hide()},n.config.delay.hide):n.hide())},Ae.prototype._isWithActiveTrigger=function(){for(var t in this._activeTrigger)if(this._activeTrigger[t])return!0;return!1},Ae.prototype._getConfig=function(t){var n=e(this.element).data();return Object.keys(n).forEach(function(t){-1!==de.indexOf(t)&&delete n[t]}),"number"==typeof(t=Object.assign({},this.constructor.Default,n,"object"==typeof t&&t?t:{})).delay&&(t.delay={show:t.delay,hide:t.delay}),"number"==typeof t.title&&(t.title=t.title.toString()),"number"==typeof t.content&&(t.content=t.content.toString()),s.typeCheckConfig(he,t,this.constructor.DefaultType),t.sanitize&&(t.template=ce(t.template,t.whiteList,t.sanitizeFn)),t},Ae.prototype._getDelegateConfig=function(){var t={};if(this.config)for(var e in this.config)this.constructor.Default[e]!==this.config[e]&&(t[e]=this.config[e]);return t},Ae.prototype._cleanTipClass=function(){var t=e(this.getTipElement()),n=t.attr("class").match(fe);null!==n&&n.length&&t.removeClass(n.join(""))},Ae.prototype._handlePopperPlacementChange=function(t){var e=t.instance;this.tip=e.popper,this._cleanTipClass(),this.addAttachmentClass(this._getAttachment(t.placement))},Ae.prototype._fixTransition=function(){var t=this.getTipElement(),n=this.config.animation;null===t.getAttribute("x-placement")&&(e(t).removeClass(be),this.config.animation=!1,this.hide(),this.show(),this.config.animation=n)},
// Static
Ae._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.tooltip"),i="object"==typeof t&&t;if((n||!/dispose|hide/.test(t))&&(n||(n=new Ae(this,i),e(this).data("bs.tooltip",n)),"string"==typeof t)){if(void 0===n[t])throw new TypeError('No method named "'+t+'"');n[t]()}})},Object.defineProperties(Ae,Oe),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.tooltip=Ae._jQueryInterface,e.fn.tooltip.Constructor=Ae,e.fn.tooltip.noConflict=function(){return e.fn.tooltip=ue,Ae._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): popover.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var Ne="popover",je=e.fn.popover,Pe=new RegExp("(^|\\s)bs-popover\\S+","g"),Le=Object.assign({},Ae.Default,{placement:"right",trigger:"click",content:"",template:'<div class="popover" role="tooltip"><div class="arrow"></div><h3 class="popover-header"></h3><div class="popover-body"></div></div>'}),ke=Object.assign({},Ae.DefaultType,{content:"(string|element|function)"}),Re="fade",He="show",xe=".popover-header",Fe=".popover-body",Ue={HIDE:"hide.bs.popover",HIDDEN:"hidden.bs.popover",SHOW:"show.bs.popover",SHOWN:"shown.bs.popover",INSERTED:"inserted.bs.popover",CLICK:"click.bs.popover",FOCUSIN:"focusin.bs.popover",FOCUSOUT:"focusout.bs.popover",MOUSEENTER:"mouseenter.bs.popover",MOUSELEAVE:"mouseleave.bs.popover"},We=function(t){function n(){t.apply(this,arguments)}t&&(n.__proto__=t),n.prototype=Object.create(t&&t.prototype),n.prototype.constructor=n;var i={VERSION:{configurable:!0},Default:{configurable:!0},NAME:{configurable:!0},DATA_KEY:{configurable:!0},Event:{configurable:!0},EVENT_KEY:{configurable:!0},DefaultType:{configurable:!0}};return i.VERSION.get=function(){return"4.3.1"},i.Default.get=function(){return Le},i.NAME.get=function(){return Ne},i.DATA_KEY.get=function(){return"bs.popover"},i.Event.get=function(){return Ue},i.EVENT_KEY.get=function(){return".bs.popover"},i.DefaultType.get=function(){return ke},
// Overrides
n.prototype.isWithContent=function(){return this.getTitle()||this._getContent()},n.prototype.addAttachmentClass=function(t){e(this.getTipElement()).addClass("bs-popover-"+t)},n.prototype.getTipElement=function(){return this.tip=this.tip||e(this.config.template)[0],this.tip},n.prototype.setContent=function(){var t=e(this.getTipElement());
// We use append for html objects to maintain js events
this.setElementContent(t.find(xe),this.getTitle());var n=this._getContent();"function"==typeof n&&(n=n.call(this.element)),this.setElementContent(t.find(Fe),n),t.removeClass(Re+" "+He)},
// Private
n.prototype._getContent=function(){return this.element.getAttribute("data-content")||this.config.content},n.prototype._cleanTipClass=function(){var t=e(this.getTipElement()),n=t.attr("class").match(Pe);null!==n&&n.length>0&&t.removeClass(n.join(""))},
// Static
n._jQueryInterface=function(t){return this.each(function(){var i=e(this).data("bs.popover"),o="object"==typeof t?t:null;if((i||!/dispose|hide/.test(t))&&(i||(i=new n(this,o),e(this).data("bs.popover",i)),"string"==typeof t)){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t]()}})},Object.defineProperties(n,i),n}(Ae);
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.popover=We._jQueryInterface,e.fn.popover.Constructor=We,e.fn.popover.noConflict=function(){return e.fn.popover=je,We._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): scrollspy.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var Me="scrollspy",qe=e.fn[Me],Ke={offset:10,method:"auto",target:""},Qe={offset:"number",method:"string",target:"(string|element)"},Be={ACTIVATE:"activate.bs.scrollspy",SCROLL:"scroll.bs.scrollspy",LOAD_DATA_API:"load.bs.scrollspy.data-api"},Ve="dropdown-item",Ye="active",ze='[data-spy="scroll"]',Xe=".nav, .list-group",$e=".nav-link",Ge=".nav-item",Je=".list-group-item",Ze=".dropdown",tn=".dropdown-item",en=".dropdown-toggle",nn="offset",on="position",sn=function(t,n){var i=this;this._element=t,this._scrollElement="BODY"===t.tagName?window:t,this._config=this._getConfig(n),this._selector=this._config.target+" "+$e+","+this._config.target+" "+Je+","+this._config.target+" "+tn,this._offsets=[],this._targets=[],this._activeTarget=null,this._scrollHeight=0,e(this._scrollElement).on(Be.SCROLL,function(t){return i._process(t)}),this.refresh(),this._process()},rn={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
rn.VERSION.get=function(){return"4.3.1"},rn.Default.get=function(){return Ke},
// Public
sn.prototype.refresh=function(){var t=this,n=this._scrollElement===this._scrollElement.window?nn:on,i="auto"===this._config.method?n:this._config.method,o=i===on?this._getScrollTop():0;this._offsets=[],this._targets=[],this._scrollHeight=this._getScrollHeight(),[].slice.call(document.querySelectorAll(this._selector)).map(function(t){var n,r=s.getSelectorFromElement(t);if(r&&(n=document.querySelector(r)),n){var a=n.getBoundingClientRect();if(a.width||a.height)
// TODO (fat): remove sketch reliance on jQuery position/offset
return[e(n)[i]().top+o,r]}return null}).filter(function(t){return t}).sort(function(t,e){return t[0]-e[0]}).forEach(function(e){t._offsets.push(e[0]),t._targets.push(e[1])})},sn.prototype.dispose=function(){e.removeData(this._element,"bs.scrollspy"),e(this._scrollElement).off(".bs.scrollspy"),this._element=null,this._scrollElement=null,this._config=null,this._selector=null,this._offsets=null,this._targets=null,this._activeTarget=null,this._scrollHeight=null},
// Private
sn.prototype._getConfig=function(t){if("string"!=typeof(t=Object.assign({},Ke,"object"==typeof t&&t?t:{})).target){var n=e(t.target).attr("id");n||(n=s.getUID(Me),e(t.target).attr("id",n)),t.target="#"+n}return s.typeCheckConfig(Me,t,Qe),t},sn.prototype._getScrollTop=function(){return this._scrollElement===window?this._scrollElement.pageYOffset:this._scrollElement.scrollTop},sn.prototype._getScrollHeight=function(){return this._scrollElement.scrollHeight||Math.max(document.body.scrollHeight,document.documentElement.scrollHeight)},sn.prototype._getOffsetHeight=function(){return this._scrollElement===window?window.innerHeight:this._scrollElement.getBoundingClientRect().height},sn.prototype._process=function(){var t=this._getScrollTop()+this._config.offset,e=this._getScrollHeight(),n=this._config.offset+e-this._getOffsetHeight();if(this._scrollHeight!==e&&this.refresh(),t>=n){var i=this._targets[this._targets.length-1];this._activeTarget!==i&&this._activate(i)}else{if(this._activeTarget&&t<this._offsets[0]&&this._offsets[0]>0)return this._activeTarget=null,void this._clear();for(var o=this._offsets.length;o--;){this._activeTarget!==this._targets[o]&&t>=this._offsets[o]&&(void 0===this._offsets[o+1]||t<this._offsets[o+1])&&this._activate(this._targets[o])}}},sn.prototype._activate=function(t){this._activeTarget=t,this._clear();var n=this._selector.split(",").map(function(e){return e+'[data-target="'+t+'"],'+e+'[href="'+t+'"]'}),i=e([].slice.call(document.querySelectorAll(n.join(","))));i.hasClass(Ve)?(i.closest(Ze).find(en).addClass(Ye),i.addClass(Ye)):(
// Set triggered link as active
i.addClass(Ye),
// Set triggered links parents as active
// With both <ul> and <nav> markup a parent is the previous sibling of any nav ancestor
i.parents(Xe).prev($e+", "+Je).addClass(Ye),
// Handle special case when .nav-link is inside .nav-item
i.parents(Xe).prev(Ge).children($e).addClass(Ye)),e(this._scrollElement).trigger(Be.ACTIVATE,{relatedTarget:t})},sn.prototype._clear=function(){[].slice.call(document.querySelectorAll(this._selector)).filter(function(t){return t.classList.contains(Ye)}).forEach(function(t){return t.classList.remove(Ye)})},
// Static
sn._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.scrollspy");if(n||(n=new sn(this,"object"==typeof t&&t),e(this).data("bs.scrollspy",n)),"string"==typeof t){if(void 0===n[t])throw new TypeError('No method named "'+t+'"');n[t]()}})},Object.defineProperties(sn,rn),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(window).on(Be.LOAD_DATA_API,function(){for(var t=[].slice.call(document.querySelectorAll(ze)),n=t.length;n--;){var i=e(t[n]);sn._jQueryInterface.call(i,i.data())}}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn[Me]=sn._jQueryInterface,e.fn[Me].Constructor=sn,e.fn[Me].noConflict=function(){return e.fn[Me]=qe,sn._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): tab.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var an=e.fn.tab,ln={HIDE:"hide.bs.tab",HIDDEN:"hidden.bs.tab",SHOW:"show.bs.tab",SHOWN:"shown.bs.tab",CLICK_DATA_API:"click.bs.tab.data-api"},cn="dropdown-menu",hn="active",un="disabled",fn="fade",dn="show",pn=".dropdown",gn=".nav, .list-group",_n=".active",mn="> li > .active",vn='[data-toggle="tab"], [data-toggle="pill"], [data-toggle="list"]',yn=".dropdown-toggle",bn="> .dropdown-menu .active",En=function(t){this._element=t},Cn={VERSION:{configurable:!0}};
// Getters
Cn.VERSION.get=function(){return"4.3.1"},
// Public
En.prototype.show=function(){var t=this;if(!(this._element.parentNode&&this._element.parentNode.nodeType===Node.ELEMENT_NODE&&e(this._element).hasClass(hn)||e(this._element).hasClass(un))){var n,i,o=e(this._element).closest(gn)[0],r=s.getSelectorFromElement(this._element);if(o){var a="UL"===o.nodeName||"OL"===o.nodeName?mn:_n;i=(i=e.makeArray(e(o).find(a)))[i.length-1]}var l=e.Event(ln.HIDE,{relatedTarget:this._element}),c=e.Event(ln.SHOW,{relatedTarget:i});if(i&&e(i).trigger(l),e(this._element).trigger(c),!c.isDefaultPrevented()&&!l.isDefaultPrevented()){r&&(n=document.querySelector(r)),this._activate(this._element,o);var h=function(){var n=e.Event(ln.HIDDEN,{relatedTarget:t._element}),o=e.Event(ln.SHOWN,{relatedTarget:i});e(i).trigger(n),e(t._element).trigger(o)};n?this._activate(n,n.parentNode,h):h()}}},En.prototype.dispose=function(){e.removeData(this._element,"bs.tab"),this._element=null},
// Private
En.prototype._activate=function(t,n,i){var o=this,r=(!n||"UL"!==n.nodeName&&"OL"!==n.nodeName?e(n).children(_n):e(n).find(mn))[0],a=i&&r&&e(r).hasClass(fn),l=function(){return o._transitionComplete(t,r,i)};if(r&&a){var c=s.getTransitionDurationFromElement(r);e(r).removeClass(dn).one(s.TRANSITION_END,l).emulateTransitionEnd(c)}else l()},En.prototype._transitionComplete=function(t,n,i){if(n){e(n).removeClass(hn);var o=e(n.parentNode).find(bn)[0];o&&e(o).removeClass(hn),"tab"===n.getAttribute("role")&&n.setAttribute("aria-selected",!1)}if(e(t).addClass(hn),"tab"===t.getAttribute("role")&&t.setAttribute("aria-selected",!0),s.reflow(t),t.classList.contains(fn)&&t.classList.add(dn),t.parentNode&&e(t.parentNode).hasClass(cn)){var r=e(t).closest(pn)[0];if(r){var a=[].slice.call(r.querySelectorAll(yn));e(a).addClass(hn)}t.setAttribute("aria-expanded",!0)}i&&i()},
// Static
En._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.tab");if(i||(i=new En(this),n.data("bs.tab",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t]()}})},Object.defineProperties(En,Cn),
/**
 * ------------------------------------------------------------------------
 * Data Api implementation
 * ------------------------------------------------------------------------
 */
e(document).on(ln.CLICK_DATA_API,vn,function(t){t.preventDefault(),En._jQueryInterface.call(e(this),"show")}),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.tab=En._jQueryInterface,e.fn.tab.Constructor=En,e.fn.tab.noConflict=function(){return e.fn.tab=an,En._jQueryInterface};
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): toast.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
/**
 * ------------------------------------------------------------------------
 * Constants
 * ------------------------------------------------------------------------
 */
var Tn=e.fn.toast,Sn={CLICK_DISMISS:"click.dismiss.bs.toast",HIDE:"hide.bs.toast",HIDDEN:"hidden.bs.toast",SHOW:"show.bs.toast",SHOWN:"shown.bs.toast"},In="fade",Dn="hide",wn="show",An="showing",On={animation:"boolean",autohide:"boolean",delay:"number"},Nn={animation:!0,autohide:!0,delay:500},jn='[data-dismiss="toast"]',Pn=function(t,e){this._element=t,this._config=this._getConfig(e),this._timeout=null,this._setListeners()},Ln={VERSION:{configurable:!0},DefaultType:{configurable:!0},Default:{configurable:!0}};
// Getters
Ln.VERSION.get=function(){return"4.3.1"},Ln.DefaultType.get=function(){return On},Ln.Default.get=function(){return Nn},
// Public
Pn.prototype.show=function(){var t=this;e(this._element).trigger(Sn.SHOW),this._config.animation&&this._element.classList.add(In);var n=function(){t._element.classList.remove(An),t._element.classList.add(wn),e(t._element).trigger(Sn.SHOWN),t._config.autohide&&t.hide()};if(this._element.classList.remove(Dn),this._element.classList.add(An),this._config.animation){var i=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,n).emulateTransitionEnd(i)}else n()},Pn.prototype.hide=function(t){var n=this;this._element.classList.contains(wn)&&(e(this._element).trigger(Sn.HIDE),t?this._close():this._timeout=setTimeout(function(){n._close()},this._config.delay))},Pn.prototype.dispose=function(){clearTimeout(this._timeout),this._timeout=null,this._element.classList.contains(wn)&&this._element.classList.remove(wn),e(this._element).off(Sn.CLICK_DISMISS),e.removeData(this._element,"bs.toast"),this._element=null,this._config=null},
// Private
Pn.prototype._getConfig=function(t){return t=Object.assign({},Nn,e(this._element).data(),"object"==typeof t&&t?t:{}),s.typeCheckConfig("toast",t,this.constructor.DefaultType),t},Pn.prototype._setListeners=function(){var t=this;e(this._element).on(Sn.CLICK_DISMISS,jn,function(){return t.hide(!0)})},Pn.prototype._close=function(){var t=this,n=function(){t._element.classList.add(Dn),e(t._element).trigger(Sn.HIDDEN)};if(this._element.classList.remove(wn),this._config.animation){var i=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,n).emulateTransitionEnd(i)}else n()},
// Static
Pn._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.toast");if(i||(i=new Pn(this,"object"==typeof t&&t),n.data("bs.toast",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t](this)}})},Object.defineProperties(Pn,Ln),
/**
 * ------------------------------------------------------------------------
 * jQuery
 * ------------------------------------------------------------------------
 */
e.fn.toast=Pn._jQueryInterface,e.fn.toast.Constructor=Pn,e.fn.toast.noConflict=function(){return e.fn.toast=Tn,Pn._jQueryInterface},
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.3.1): index.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */
function(){if(void 0===e)throw new TypeError("Bootstrap's JavaScript requires jQuery. jQuery must be included before Bootstrap's JavaScript.");var t=e.fn.jquery.split(" ")[0].split(".");if(t[0]<2&&t[1]<9||1===t[0]&&9===t[1]&&t[2]<1||t[0]>=4)throw new Error("Bootstrap's JavaScript requires at least jQuery v1.9.1 but less than v4.0.0")}(),t.Util=s,t.Alert=u,t.Button=T,t.Carousel=J,t.Collapse=dt,t.Dropdown=Ut,t.Modal=ie,t.Popover=We,t.Scrollspy=sn,t.Tab=En,t.Toast=Pn,t.Tooltip=Ae,Object.defineProperty(t,"__esModule",{value:!0})});
//# sourceMappingURL=bootstrap.js.map
//# sourceMappingURL=bootstrap.min.js.map